-- evidencija radnog vremena
CREATE TABLE radno_vrijeme (
  kodRadnika char(11) NOT NULL,
  datum date NOT NULL,
  oznakaVremena char(5) NOT NULL,
  indikatorVisestrukosti INT DEFAULT 0,
  
  vrijeme DECIMAL(4,2) DEFAULT 8,

  dan CHAR(3) NOT NULL,
  radniPraznikNeradni CHAR(1) NOT NULL, 

  pocetakRadaSatMin varchar(5) DEFAULT '07:00',
  zavrsetakRadaSatMin varchar(5) DEFAULT '15:00',
      
  komentar text DEFAULT NULL,
 
  datumZakljucavanja datetime DEFAULT NULL,
  voditeljEvidencije varchar(40) NOT NULL,
    
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT '0000-00-00 00:00:00',
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodRadnika, datum, oznakaVremena, indikatorVisestrukosti)    
) DEFAULT CHARSET=utf8 ;  
/*  indikatorVisestrukosti  ako se tokom dana ista oznakaVremena pojavi više puta
  npr. radnik ujutro dođe na posao pa ode nakon 2 sata rada na GO 2 sata, pa se vrati pa radi 1 sat pa opet ode na GO 3 sata
  voditeljEvidencije može biti i uređaj-automat koji bilježi dolaske i odlaske radnika 
*/                   
