<?php
include_once 'model/zemlje_db.php';

$parametri=parse_ini_file('styles/naljepnice/'.$_POST['vrstaNaljepnica']);

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
<TITLE><?php echo $parametri['naziv'] ?></TITLE>
<script language="Javascript1.2">
  function printpage() {
    //document.body.innerHTML = "";
    window.print();
  }
</script>
</head>
<?php
if($parametri['css']=='deklaracije_N41.css' || $parametri['css']=='deklaracije_N43.css')
    $lijevaMargina='&nbsp;  &nbsp;  &nbsp;';
else
    $lijevaMargina='';

// php datoteka u kojoj se nalaze funkcije za kreiranje izgleda naljepnice i ispis naljepnice
// echo 'var_dump parametriphp=' . var_dump($parametri['php']) . '<br>';
if(isset($parametri['php'])) {
 //   echo 'parametriphp' . $parametri['php'];
    include 'naljepnice/'.$parametri['php'];
}
if(isset($parametri['kreirajNaljepnicu'])) {
    //naljepnice imaju svoju funkciju za kreiranje
    $kreirajNaljepnicu = $parametri['kreirajNaljepnicu'];
}    
else  {
    // koristi se standardna funkcija
    $kreirajNaljepnicu = 'kreiraj_naljepnicu';
}    
if(isset($parametri['ispisiNaljepnicu'])) {
    // koristi se posebna funkcija za ispis
    $ispisiNaljepnicu = $parametri['ispisiNaljepnicu'];
}    

$ispisanoStranica=0;
$brojKolona=$parametri['kolona'];
$brojRedova=$parametri['redova'];
$brojStavaka=$_POST['brojStavaka'];
$kolona=1;
$red=1;
$brojacPotrosenih=1;
$vrstaPoslovnice=$_POST['vrstaPoslovnice'];
$potroseno=$_POST['potroseno'];

if($potroseno>=$brojKolona*$brojRedova)
    display_db_error("Broj potrošenih naljepnica je veći od jedne stranice! pogrešan unos!!!!");

if(isset($_SESSION['naljepnice'])) {
    foreach ($_SESSION['naljepnice'] as $naziv => $vrijednost) {
        if(!isset($_POST[$naziv]))
            $_POST[$naziv] = $_SESSION['naljepnice'][$naziv];
    }
    unset($_SESSION['naljepnice']);
}    

if(isset($_POST['zapamti'])) {
    azuriraj_parametar('deklDobavljacJeProizvodjac_'.$_SESSION['skracenicaFirme'], isset($_POST['dobavljacJeProizvodjac'])?'Da':'Ne', 'Ispis deklaracija. Ako je polje Da dobavljača uzima kao proizvođača');
    azuriraj_parametar('deklIspisCijena_'.$_SESSION['skracenicaFirme'], isset($_POST['ispisCijena'])?'Da':'Ne', 'Ispis deklaracija. Dali ispisije cijenu na naljepnicu');
    azuriraj_parametar('deklIspisDokumenta_'.$_SESSION['skracenicaFirme'], isset($_POST['ispisDokumenta'])?'Da':'Ne', 'Ispis cijena. Dali ispisuje vrstu i broj dokumenta');
    azuriraj_parametar('deklIspisZemlje_'.$_SESSION['skracenicaFirme'], isset($_POST['ispisZemlje'])?'Da':'Ne', 'Ispis zemlje porijekla. Dali ispisuje zemlju porijekla');
}

// ako dokument ne postoji ispisujemo po robi ili po grupi
if(!isset($_POST['dokument'])) {
    include 'model/naljepnice_db.php';
    $roba=get_naljepnice($_POST['proda']);
    //delete_tablicu_za_naljepnice();
    $brojStavaka = count($roba);
}
else {
    if(isset($_POST['dobavljacJeProizvodjac'])) {
        $partner=get_partner($_POST['kodPartnera']); 
        $zemlja=  get_zemlja($partner['zemlja']);
        // $proizvodjac='Proizvođač:'.trim($partner['nazivPartnera']).', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
        if(!isset($zemlja['nazivZemljeHR']))
           $zemlja['nazivZemljeHR']='';
       
        $proizvodjac='86'.trim($partner['nazivPartnera']).', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
        // echo ' partner zemlja=' . $partner['zemlja'];
        // donji if dodan za auto akciju 26.1.2021
        if ($_SESSION['skracenicaFirme'] == 'akc' && $parametri['css']=='deklaracije_N41.css' && (trim($partner['zemlja'])  !='HR' && trim($partner['zemlja']) !='') )  {    
            $proizvodjac='Zemlja uvoza: '. trim($zemlja['nazivZemljeHR']);
        }
    }
}

if(isset($_POST['ukupno']))
    $ukupnoNaljepnica = (int)$_POST['ukupno'];
else {
    $ukupnoNaljepnica = 0;
   
    for ($i = 1; $i <= $brojStavaka; $i++) {
        if(!isset($_POST['sel'][$i])) {
            ?>
                <div id="Prelijev" class="neIspisuje">
                    <span style="color: #CC0000"><b> POZOR! Odabrano je više od <?php echo $i ?> artikala (što je maksimalni broj) Preostali artikli se neće ispisati!</b> </span>
                </div>
            <?php
            break;
        }
        $sel=$_POST['sel'][$i];
        $brNaljPoSifri=$_POST['koliko'][$i];
        if ($sel!='on' || $brNaljPoSifri<1)
            continue;
        $ukupnoNaljepnica += $brNaljPoSifri;
    }    
}
$brojStranica = (int)($ukupnoNaljepnica/($brojKolona*$brojRedova));
if($ukupnoNaljepnica%($brojKolona*$brojRedova)>0)
    $brojStranica++;

if(isset($_POST['stranicaOd'])) {
    $stranicaOd = $_POST['stranicaOd'];
    $stranicaDo = $_POST['stranicaDo'];
}
else {
    $stranicaOd = 1;
    $stranicaDo = $brojStranica;
}

?>


<!--<link rel="stylesheet" type="text/css" href="<?php echo $app_path ?>/styles/naljepnice/deklaracije_N41.css" />--> 
<link rel="stylesheet" type="text/css" href="<?php echo $app_path ?>/styles/naljepnice/<?php echo $parametri['css'] ?>" />
<body>
    <div id="non-printable">
        <form method="post" action="?action=view_naljepnice" >
        <input type="submit" value="Povratak" /> 
        <input type="button" value="Ispis" onclick="printpage()" />
        <b>Vrsta naljepnica: <?php echo $parametri['naziv']; ?></b>
        </form> 
        
        <form method="post" action="?action=ispis_naljepnica" >
            Broj potrošenih naljepnica na prvoj stranici:
            <input type="text" size="2" name="potroseno" value="<?php echo $potroseno; ?>" pattern="\d+" title="Unesite broj potrošenih naljepnica" />
            <br>
            Ispis stranica od: <input type="text" name="stranicaOd" value="<?php echo $stranicaOd ?>" size="3" pattern="\d{1,3}" required />
            do: <input type="text" name="stranicaDo" value="<?php echo $stranicaDo ?>" size="3" pattern="\d{1,3}" required />
            <?php
            foreach ($_POST as $naziv => $vrijednost) {
                if($naziv=='stranicaOd' || $naziv=='stranicaDo' || $naziv=='potroseno')
                    continue;
                if(is_array($_POST[$naziv]))
                    $_SESSION['naljepnice'][$naziv] = $_POST[$naziv];
                else
                    echo "<input type='hidden' name='$naziv' value='$vrijednost' /> ";   
            }
            ?>
        <input type="submit" value="Odabir stranica" /> 
        </form> 
        <p> POZOR:Moguće da se 'najdesnija' slova ne vide na ekranu. Kad se naljepnca ispiše sve se vidi. </p>
    </div>
    
<div id="printable"> 

<?php

$firma=get_poslovnica(0);
//$znakovaURedu=$parametri['znakovaURedu'];
//$znakovaURedu=40;
$prviIspis = true;
// ***************************************************************************************************************************
for ($i = 1; $i <= $brojStavaka; $i++) {
    if($stranicaDo<$ispisanoStranica+1) 
      // ispisali smo zadnju stranicu koju smo željeli ispisati
      break;
    
    if(!isset($_POST['dokument'])) {

        //za ispis po grupi ili odabranoj robi u $_postu se nalazi do 490 stavaka
        // nakon toga uzima broj naljepnica iz tablice
        if(isset($_POST['koliko'][$i-1]))
            $brNaljPoSifri=$_POST['koliko'][$i-1];
        else
            $brNaljPoSifri=$roba[$i-1]['koliko'];
        if($brNaljPoSifri==0)
            continue;
        $cijena=$roba[$i-1]['cijenaSPorezom'];
        $kodRobe=$roba[$i-1]['kodRobe'];
    }
    else {
        if(!isset($_POST['sel'.$i]))
            continue;
        
        $sel=$_POST['sel'.$i];
        $brNaljPoSifri=$_POST['koliko'.$i];
        if ($sel!='on' || $brNaljPoSifri<1)
            continue;
        $cijena=$_POST['cijena'.$i];
        $kodRobe=$_POST[$i];
    }
    
    $naljepnica = $kreirajNaljepnicu($kodRobe, $i);

    // ispisuje naljepnicu $brNaljPoSifri puta  
    $j=0;
    while ($j<$brNaljPoSifri) {
        if($stranicaDo<$ispisanoStranica+1) 
            // ispisali smo zadnju stranicu koju sno željeli ispisati
            break;
        
        if($stranicaOd>$ispisanoStranica+1) {
            //preskace do stranice koju prvu ispisujemo
            $j++;
        }
        else {    
            if($kolona==1) {
                //if($red==1)
                    //echo '<div id="stranica">';
                if($red==1) {
                    ?>
                    <div id="zagStranice" class="neIspisuje">
                        <span style="background-color: cyan"><b> Stranica: <?php echo $ispisanoStranica+1 .'/'.$brojStranica?></b> </span>
                    </div>
                    <div class="stranica" >
                    <?php if($prviIspis)
                        ; // $prviIspis = false;
                    else {
                        ?>
                        <div class="header_stranice">&nbsp;</div>
                        <?php
                    }
                }    
            }
            if(isset($ispisiNaljepnicu))
                $ispisiNaljepnicu($naljepnica, $potroseno, $j);
            else {
                ?>
                <div class="naljepnica">
                
                <div class="sadrzaj">
                <?php
                if($brojacPotrosenih>$potroseno) {
                    foreach ($naljepnica as $linija)           
                        echo $linija.'<br>';
                        $j++;
                }
                ?>
                </div>
                </div>
                <?php                
            }
        }

        $kolona++;
        if ($kolona>$brojKolona) {
            $red++;
            if($red>$brojRedova) {
                if(!($stranicaOd>$ispisanoStranica+1)) {
                ?>
                    </div> <!-- stranica -->
                    <div id="krajJedneStraneNaljepnica">    </div>
                <?php
                }
                $red=1;
                $ispisanoStranica++;
            }
            $kolona=1;

        }
        $brojacPotrosenih++;
                
    }
    
    unset($sadrzaj);
}

?>
   
        
</div>
    
</body>
</html>

<?php

function kreiraj_naljepnicu($kodRobe, $i) {
    // Kreira izgled jedne naljepnice u varijablu $sadrzaj
    // var_dump($_POST);
    global $firma, $lijevaMargina, $roba, $cijena, $vrstaPoslovnice;
    
    $sadrzaj[]=array();
    $artikl= get_uvozni_podaci_robe($kodRobe);
    
    if(empty($artikl['kodUvoznika']) || trim($firma['OIB'])==trim($artikl['OIBUvoznika'])) {
        $uvoznik='Uvoznik-distributer:'.trim($firma['nazivPoslovnice']).' '.trim($firma['ulicaBroj']);
        if(trim($firma['mjestoSjedista'])!=trim($firma['mjestoPoste']))
            $uvoznik.='<br> &nbsp;  &nbsp;  &nbsp;' . trim($firma['mjestoSjedista']);
        $uvoznik.=' '.trim($firma['brojPoste']).' '.trim($firma['mjestoPoste']);
    }
    else {
        $uvoznik='Uvoznik:'.trim($artikl['nazivUvoznika']).' '.trim($artikl['ulicaUvoznika']);
        if(trim($artikl['sjedisteUvoznika'])!=trim($artikl['mjestoPosteUvoznika']))
            $uvoznik.='<br> &nbsp;  &nbsp;  &nbsp;' . trim($artikl['sjedisteUvoznika']);
        $uvoznik.=' '.trim($artikl['brojPosteUvoznika']).' '.trim($artikl['mjestoPosteUvoznika']);
        $distributer='Distributer:'.$firma['nazivPoslovnice'];
    }
    if(!isset($_POST['dobavljacJeProizvodjac']) || !isset($_POST['dokument'])) 
        // $proizvodjac='Proizvođač:'.trim($artikl['nazivProizvodjaca']).', '.trim($artikl['nazivZemljeProizvodjaca']);
        $proizvodjac='Dobavljač:'.trim($artikl['nazivProizvodjaca']).', '.trim($artikl['nazivZemljeProizvodjaca']);
    
    //$sadrzaj[0]='<br> &nbsp;  &nbsp;   &nbsp;Kod robe:<span style="font-weight: bold; font-size: 150%;" >'.$artikl['kodRobe'].'</span>';
    $sadrzaj[0]='<br> '.$lijevaMargina.'Kod robe:<span style="font-weight: bold; font-size: 150%;" >'.$artikl['kodRobe'].'</span>';
    //$sadrzaj=  razlomiIStaviNaKraj($artikl['nazivRobe'], $znakovaURedu, $sadrzaj);
    //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;<b>' . $artikl['nazivRobe'].'</b>';
    $sadrzaj[]=' '.$lijevaMargina.'<b>' . substr($artikl['nazivRobe'],0,37).'</b>';
    //$sadrzaj=  razlomiIStaviNaKraj($uvoznik, $znakovaURedu, $sadrzaj);
    //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . $uvoznik;
    $sadrzaj[]=' '.$lijevaMargina.$uvoznik;
    if(!isset($_POST['dokument'])) {
        $d=explode(';', $roba[$i-1]['dokument']);
        $dokument=isset($d[1])?$d[1]:'';
        if(isset($_POST['dobavljacJeProizvodjac'])) {
            $proizvodjac='';
            $partner=isset($d[2])?get_partner($d[2]):''; 
            if(is_array($partner)) {
                $zemlja=get_zemlja($partner['zemlja']);
                if(!isset($zemlja['nazivZemljeHR']))
                    $zemlja['nazivZemljeHR']='';
                
                //$proizvodjac='Proizvođač:'.trim($partner['nazivPartnera']).', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
                $proizvodjac='Dobavljač:'.trim($partner['nazivPartnera']).', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
                if ($_SESSION['skracenicaFirme'] == 'agm') unset ($proizvodjac);
            }
            else if(isset($d[3])) {
                $kljuc=explode(':', $d[3]);
                $dokZag=get_dok_zag($kljuc[0], $kljuc[1], $kljuc[2], $kljuc[3], $kljuc[4], $kljuc[5]);
                if(is_array($dokZag)) {
                    $partner=get_partner($dokZag['kodPartnera']); 
                    if(is_array($partner)) {
                        $zemlja=get_zemlja($partner['zemlja']);
                    if(!isset($zemlja['nazivZemljeHR']))
                        $zemlja['nazivZemljeHR']='';
                        //$proizvodjac='Proizvođač:'.trim($partner['nazivPartnera']).', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
                        $proizvodjac='Dobavljač:'.trim($partner['nazivPartnera']).!isset($_POST['ispisZemlje'])?'': ', '.(trim($partner['zemlja'])!=''?trim($zemlja['nazivZemljeHR']):'Hrvatska');
                    }
                     
                }
            }
        }
    }
    
    //$sadrzaj=  razlomiIStaviNaKraj($proizvodjac, $znakovaURedu, $sadrzaj);
    //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . $proizvodjac;
    if(isset($proizvodjac))
        if(trim($proizvodjac)!='')
            $sadrzaj[]=$lijevaMargina . $proizvodjac;
    if(isset($distributer))
        //$sadrzaj=razlomiIStaviNaKraj($distributer, $znakovaURedu, $sadrzaj);
        //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . $distributer;
        $sadrzaj[]=$lijevaMargina . $distributer;
    if(isset($_POST['ispisZemlje']) && trim($artikl['zemljaPorijekla'])!='' && $artikl['zemljaPorijekla']!='HR') {
        $zemljaPorijeklaPr = get_zemlja($artikl['zemljaPorijekla']);
       if(!isset($zemlja['nazivZemljeHR']))
           $zemlja['nazivZemljeHR']='';
        if(isset($zemljaPorijeklaPr['nazivZemljeHR']))
           $sadrzaj[]=$lijevaMargina . 'Zemlja Porijekla:'.$zemljaPorijeklaPr['nazivZemljeHR'];
    }
   
    if(isset($_POST['ispisCijena'])) {
      //  include_once 'util/prijelaz_na_euro.php';       
        //$sadrzaj[]='<b>Cijena:  '.number_format($cijena, $vrstaPoslovnice=='0'?3:2, ',', '.').' kn</b>';
        //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . '<span style="font-weight: bold; font-size: 150%;" >Cijena:  '.number_format($cijena, $vrstaPoslovnice=='0'?3:2, ',', '.').' kn</span>';
        $cijenaPoJediniciPaka = cijena_po_jmj_pakiranja($artikl, $cijena, 3);
 //       echo 'cijena iz ispis_predef_naljepnica=' . $cijena;
        $dvojniPrikazCijena = 'Da';
        if($dvojniPrikazCijena=='Da') {
            $redCijene=$lijevaMargina . '<span style="font-weight: bold; font-size: 150%;" >Cijena:  '.number_format($cijena, $vrstaPoslovnice=='0'?3:2, ',', '.').'€ '
            .number_format($cijena * 7.53450, $vrstaPoslovnice=='0'?3:2, ',', '.').'kn</span> ';
             $sadrzaj[]=$redCijene;
            if($cijenaPoJediniciPaka>0) {
                $redCijene= $lijevaMargina . $lijevaMargina . $lijevaMargina . '<b>'.number_format(($cijenaPoJediniciPaka), $vrstaPoslovnice=='0'?3:2, ',', '.').'€ &nbsp;'
                .number_format($cijenaPoJediniciPaka * 7.53450, $vrstaPoslovnice=='0'?4:2, ',', '.').'kn za 1 '.$artikl['jedinicaMjerePakiranja']. '</b>';
                $sadrzaj[]=$redCijene;
            }    
        } else { 
            $redCijene=$lijevaMargina . '<span style="font-weight: bold; font-size: 150%;" >Cijena:  '.number_format($cijena, $vrstaPoslovnice=='0'?3:2, ',', '.').' €</span> ';
            if($cijenaPoJediniciPaka>0)$redCijene.='<b>'.number_format($cijenaPoJediniciPaka, $vrstaPoslovnice=='0'?3:2, ',', '.').' € za 1 '.$artikl['jedinicaMjerePakiranja'].'</b>';
        }    
     //   $sadrzaj[]=$redCijene;
    }    
    if(isset($_POST['ispisDokumenta'])) {
      //  include_once 'util/prijelaz_na_euro.php';
        if($dvojniPrikazCijena=='Da') {
          /*  $redCijene=$lijevaMargina . '<span style="font-weight: bold; font-size: 140%;" >Cijena:  '.number_format($cijena, $vrstaPoslovnice=='0'?3:2, ',', '.').' kn</span> ';   // prije 120
            if($cijenaPoJediniciPaka>0)$redCijene.='<b>'.number_format($cijenaPoJediniciPaka, $vrstaPoslovnice=='0'?3:2, ',', '.').' kn za 1 '.$artikl['jedinicaMjerePakiranja'].'</b>';
            $sadrzaj[]=$redCijene;
           * 
           */
        } else {
            if(isset($_POST['dokument'])) {
                //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . $_POST['dokument'];
                $sadrzaj[]=$lijevaMargina . $_POST['dokument'];               
            }  else {
                //$sadrzaj[]=' &nbsp;  &nbsp;  &nbsp;' . $dokument;
                $sadrzaj[]=$lijevaMargina . $dokument;           
            }
        }                
    //     var_dump($sadrzaj);
    //      exit;
    // Kreira izgled jedne  naljepnice --- KRAJ
    }   
   return $sadrzaj;    
}

function razlomiIStaviNaKraj($tekst,$duljina,$redovi) {
    $tekst=trim($tekst);
    $max=  mb_strlen($tekst);
    $od=0;
    while($od<$max) {
        //$red=substr($tekst,$od,$duljina);
        $red=trim(mb_substr($tekst,$od,$duljina, 'UTF-8'));
        if(!empty($red))
            $redovi[]=$red;
        $od+=$duljina;
    }
    return $redovi;
}


function mb_wordwrap_array($string, $width)
{
    if (($len = mb_strlen($string, 'UTF-8')) <= $width)
    {
        return array($string);
    }

    $return = array();
    $zadnji_razmqak = FALSE;
    $i = 0;

    do
    {
        if (mb_substr($string, $i, 1, 'UTF-8') == ' ')
        {
            $zadnji_razmqak = $i;
        }

        if ($i > $width)
        {
            $zadnji_razmqak = ($zadnji_razmqak == 0) ? $width : $zadnji_razmqak;
   
            $return[] = trim(mb_substr($string, 0, $zadnji_razmqak, 'UTF-8'));
            $string = mb_substr($string, $zadnji_razmqak, $len, 'UTF-8');
            $len = mb_strlen($string, 'UTF-8');
            $i = 0;
        }

        $i++;
    }
    while ($i < $len);

    $return[] = trim($string);

    return $return;
}

function cijena_po_jmj_pakiranja($artikl, $cijena, $decimala=2) {
    if($artikl['sadrzajPakiranja']==1 || $artikl['jedinicaMjerePakiranja']='') return 0;
    
    return round($cijena * (1 / $artikl['sadrzajPakiranja']), $decimala);
}

?>
