<?php
    function pregledOpci($naslov, $query, $action=null, array $kljucevi=null)
    {
        global $app_path;
        global $db;
       try {
            $statement = $db->prepare($query);
            $statement->execute();
            $result = $statement->fetchAll();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            $statement->closeCursor();
            display_db_error($error_message);
        }

        echo '<span class="veca_slova_110"> <b>'.$naslov.' &nbsp; </b> <br></span><br>';
        
        echo'<table class="t_lista_primka"><tr>';
        $colcount = $statement->columnCount(); 
        echo '<thead>';
        for ($i = 0; $i < $colcount; ++$i)
        {
            $metadata = $statement->getColumnMeta($i);
            echo '<th class="left" style="padding-left: 1em">';
            echo $metadata['name'];
            echo "</th>";
        }
        echo '</thead>';
       
        $brojSlogova = 0;
        
      foreach ($result as $row)
      {
        $brojSlogova++;
        $pozadina = ($brojSlogova % 2 == 0) ? 'pozadina1' : 'pozadina2';
        echo '<tr class="'.$pozadina.'">';
        for($i=0;$i<$colcount;$i++) 
        {
          echo '<td style="padding-left: 1em">';
          if ($i==0 && isset($action) && isset($kljucevi)) {
               $ref='<a href="'.$app_path .'?action='.$action;
               foreach ($kljucevi as $kljuc) {
                   $ref .='&'.$kljuc.'='.$row[$kljuc];
               }
               $ref .= '">';
               $ref .=$row[$i].'</a>';
               echo $ref;
          }
          else
            echo $row[$i];
          echo "</td>";
        }
        echo "</tr>";
      }
      echo "</td> </tr>";
      
      
     echo '<tfoot><tr> <td class="right_t_lista"><b>Pronađeno: &nbsp;'.$brojSlogova.'</b> </td>'; 
     echo '</tfoot>';      
       
      echo "</table >"; 
      echo '<br>';

      $statement->closeCursor();
      
    }

?>
