set @konto='1200', @kodPartnera='1022', @DVOod='2016-01-01', @DVOdo='2017-12-05';  
 /* virman ljevo račun desno u tabeli veze, izabiremo ključ računa iz veze (desno), valutu računa iz gk_stavke i datumNaplate kao DVO virmana(lijevo veze) */   
select 
v.vKonto as konto, v.vKodPartnera as kodPartnera, v.vVrsDo as vrsDo, v.vBroDo as broDo, v.vDVO as DVO, valuta, v.DVO as datumNaplate, iznosVeze
from veze as v
inner join gk_stavke as g on g.konto=v.vKonto and g.vrsDo = v.vVrsdo and g.broDo = v.vBroDo
where v.vKonto = @konto 
 and (v.vKodPartnera = @kodPartnera or trim(@kodPartnera) = '')
 and v.vVrsDo in('20', '24')  
 and v.vDVO between @DVOod and @DVOdo
 and v.DVO > valuta   /* DVO = valuta naplate-virmana lijevo je virman */

union all
/* virman desno račun lijevo u tabeli veze, izabiremo ključ računa iz veze (ljevo), valutu računa iz gk_stavke i datumNaplate kao DVO virmana(desno veze) */
select 
v.konto as konto, v.kodPartnera as kodPartnera, v.vrsDo as vrsDo, v.broDo as broDo, v.DVO as DVO, valuta, v.vDVO as datumNaplate, iznosVeze 
from veze as v
inner join gk_stavke as g on g.konto=v.konto  and g.vrsDo = v.vrsDo and g.broDo = v.broDo
where v.konto = @konto 
 and (v.kodPartnera = @kodPartnera or trim(@kodPartnera) = '')
 and v.vrsDo in('20', '24')  
 and v.DVO between @DVOod and @DVOdo
 and v.vDVO > valuta   /* DVO = valuta naplate-virmana  desno je virman*/

union all

/*  ovdje dolje se obuhvaćaju samo otvoreni iznosi računa(cijeli račun ili dio(neplaćen)) jer su gore obuhaćeni plaćeni cijeli ili dio */
select
  konto, kodPartnera, vrsDo, broDo, DVO, valuta, '9999-00-00 00:00:00' as datumNaplate,  iznosOtv as iznosVeze 
  from gk_stavke
  where konto = @konto 
 and (kodPartnera = @kodPartnera or trim(@kodPartnera) = '')
 and vrsDo in('20', '24')  
 and DVO between @DVOod and @DVOdo
 and iznosOtv > 0
 
ORDER BY konto, kodPartnera, broDo, datumNaplate
