<?php
// Create an empty cart if it doesn't exist
if (!isset($_SESSION['cart']) ) {
    $_SESSION['cart'] = array();
}

function puni_dokument_robom($roba, $kolicine) {
    $n=count($roba);
    for ($i = 0; $i < $n; $i++) {
        $kolicina=floatval(str_replace(',','.',$kolicine[$i]));
        if($kolicina<>0) {
            //u $roba[i] zapisano je 'kodRobe||VP' i potrebno je napraviti explode
            $artikl=  explode('||', $roba[$i]);
            // u $artikl[0} je kodRobe, u artikl[1] je vrstaProdaje, u artikli[2] je cjenik, u artikl[3] cijena
            $kolicina=str_replace(',', '.', $kolicine[$i]);
            $pArtikl=  get_product_maticna_robe($artikl[0]);
            if($artikl[2]=='null')
                $artikl[2]=null;
            if(trim($_SESSION['dok_zag']['vrsDo'])=='1') {
                //$artikal=get_product_maticna_robe($kodRobe);
                $poreznaGrupa = $pArtikl['poreznaGrupa'];
                $pg=get_porez($poreznaGrupa);
                $PDV = $ukalkuliraniPDV = $pg['PDV'];
                cart_add_item($pArtikl['kodRobe'], $pArtikl['cijena'], 0, 0, $kolicina, $artikl[1],'',null, 0, '0',
                              ' ', $poreznaGrupa, $PDV, $ukalkuliraniPDV,0, $pArtikl['cijena']);  
            }
            else {
                $rabatPopust=0;
                if($pArtikl['popust']!=0)
                    $rabatPopust=$pArtikl['popust'];
                else {
                    include_once 'model/rabati_db.php';
                    $rabatPopust=postavi_rabat($_SESSION['dok_zag']['vrsDo'], $_SESSION['dok_zag']['zapis'], 
                                               $_SESSION['dok_zag']['kodPartnera'], $pArtikl['kodGrupe'], $rabatPopust);

                    /*
                    include_once 'model/vrste_dokumenata_db.php';
                    $slogVrsDo=get_vrsta_dokumenta($_SESSION['dok_zag']['vrsDo']);
                    if($slogVrsDo['azurStanja']!=1 && trim($_SESSION['dok_zag']['vrsDo'])!='6') {
                        include_once 'model/rabati_db.php';
                        $rabatPoPartneru=get_rabat($_SESSION['dok_zag']['kodPartnera'], $pArtikl['kodGrupe']);
                        if(isset($rabatPoPartneru['rabatPopust'])) {
                            if($rabatPoPartneru['rabatPopust']!=0) {
                                $rabatPopust = $rabatPoPartneru['rabatPopust'];
                            }    
                        }    
                    }
                    */
                }    

                cart_add_item($pArtikl['kodRobe'], $artikl[3], $rabatPopust, '%', $kolicina, $artikl[1],'',$artikl[2]);  
            }
        }
    }
    $slogStanja = stanje_po_kodu_robe_1p($_SESSION['odabranaPoslovnica'], $artikl[0], $artikl[1]);
    // u $artikl[0} je kodRobe, u artikl[1] je vrstaProdaje, u artikli[2] je cjenik, u artikl[3] cijena
    posalji_stanje_kosarice($slogStanja['suma_po_kodu_robe']);
    //redirect('../cart');
    echo '<script type="text/javascript"> window.location.href="../cart"; </script>';
    exit;
}


// Add an item to the cart
function cart_add_item($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$kolicina,
   $vrstaProdaje = '0', $vezniDokument='', $oznakaCjenika=null, $cijenaZaIntFak = 0, $rabatPopustNaKol = '0',
   $absRabatPopustNaKol = ' ', $poreznaGrupa = 'A', $PDV = '25', $ukalkuliraniPDV = '25',
   $povratnaNaknada = 0, $nabavnaCijena = 0, $marza = 0, $absMarza = ' ', $zavisniTroskovi = 0,
   $absZavTr = ' ', $tekst = NULL, $jedinicaMjere='') {
   //  echo 'kodRobe=' . $kodRobe;
   if (trim($kodRobe) != '#') {
      $roba = get_product_maticna_robe($kodRobe);
      $poreznaGrupa = $roba['poreznaGrupa'];
    }
   
    $porez = get_porez($poreznaGrupa);
    $PDV = $porez['PDV'];
    //	 echo 'iz cart_add_item PDV I poreznaGrupa' . $PDV . $poreznaGrupa;
    $ukalkuliraniPDV = $PDV;  
                 
 //   if ($_SESSION['dok_zag']['PDVstatus'] == '0' || $_SESSION['dok_zag']['PDVstatus'] == '1' || $_SESSION['dok_zag']['PDVstatus'] == '2') {
   $PDVstatus=trim($_SESSION['dok_zag']['PDVstatus']);
 //   $PDVstatus=$_SESSION['dok_zag']['PDVstatus'];
    if ($PDVstatus != '') {
       //prazno je oporezivo a sve ostalo neoporezivo 
        $PDV = 0;
    }
    $stavka = array();
    $stavka['kolicina'] = $kolicina; 
    $stavka['rabatPopust'] = $rabatPopust;
    $stavka['cijena'] = $cijena;
    $stavka['kodRobe'] = $kodRobe;
    $stavka['vrstaProdaje'] = $vrstaProdaje;
    $stavka['cijenaZaIntFak'] = $cijenaZaIntFak;
    $stavka['absRabatPopust'] = $absRabatPopust;
    $stavka['rabatPopustNaKol'] = $rabatPopustNaKol;
    $stavka['absRabatPopustNaKol'] = $absRabatPopustNaKol;
    $stavka['poreznaGrupa'] = $poreznaGrupa;
    $stavka['PDV'] = $PDV;
    $stavka['ukalkuliraniPDV'] = $ukalkuliraniPDV;
    $stavka['povratnaNaknada'] = $povratnaNaknada;
    $stavka['nabavnaCijena'] = $nabavnaCijena;
    $stavka['marza'] = $marza;
    $stavka['absMarza'] = $absMarza;
    $stavka['zavisniTroskovi'] = $zavisniTroskovi;
    $stavka['absZavTr'] = $absZavTr;
    $stavka['tekst'] = $tekst;
    $stavka['vezniDokument'] = $vezniDokument;
    $stavka['oznakaCjenika']=$oznakaCjenika;
    $stavka['jedinicaMjere']=$jedinicaMjere;
    $stavka['zeljenaKolicina']=0;
    /*
    if(isset($_REQUEST['oznakaCjenika']))
        $stavka['oznakaCjenika']=$_REQUEST['oznakaCjenika'];
    else
        $stavka['oznakaCjenika']='';
    */
//dodaje na kraj -----------------------	
    $_SESSION['cart'][] = $stavka;
//--------------------------------------
    
    
//--------------------------------------------------------------------------------------------------------------------------------------------    
    include_once 'model/dokumenti_db.php';
    $proda = $_SESSION['odabranaPoslovnica'];
    $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    $proIn = $_SESSION['dok_zag']['proIn'];
    $zapis = $_SESSION['dok_zag']['zapis']; 
    $verzi = $_SESSION['dok_zag']['verzi'];
    //odabir zadnjeg broja dokumenta,(ako nije popunjen broj dokumenta)
    if (empty($_SESSION['cart'])) { 
        $error_message = 'Došlo je do problema zbog sporosti interneta! Ako dokument broj '. $_SESSION['dok_zag']['brojDokumenta']
                        .' nije ispisan izvršite naknadni ispis dokumenta!';       
        display_error($error_message);  
    } 

    // if ($vrsDo == '8 ') $_SESSION['dok_zag']['brojDokumenta'] = ''; 
   //  if (trim($vrsDo) == '8') $_SESSION['dok_zag']['brojDokumenta'] = '';  // ? nepotrebno
    
    
    if ( $_SESSION['dok_zag']['fiskalizacijaDaNe']=='Da' || trim($vrsDo)=='8' || trim($vrsDo)=='PB') {
           $_SESSION['dok_zag']['verzi'] = $verzi = 'NZV';  
          /*
           *  kod otvaranja sloga u dok_zag za dokumente koji se fiskaliziraju privremeno se dokument knjiži pod verziju NZV(nezavršen)
           *  isto tako i u dok_stavke i rate_kartice, a kada se dokument završi odabire se sljedeći slobodni broDo, $verzi se postavlja na '', i updataju 
           * se dok_zag dok_stavke i rate_kartice 
           */
      }        
    if (empty($_SESSION['dok_zag']['brojDokumenta'])) {	  
       if ( $_SESSION['dok_zag']['fiskalizacijaDaNe']=='Da' || trim($vrsDo)=='8' || trim($vrsDo)=='PB') {
          $zadnji_broj = zadnji_broj($proda, $vrsDo, $zapis, 'Sve'); 
          // privremeni broj = zadnji broj po svim verzijama, ako npr. više korisnika na istoj prodavaoni istovremeno rade paragonac NZV da svaki dobije svoj jedinstveni privremeni broj
       } else {
         $zadnji_broj = zadnji_broj($proda, $vrsDo, $zapis, $verzi);
       }  
	//	   echo 'zadnji_broj=' . $zadnji_broj[0];
        if (!isset($zadnji_broj[0])) {
            $broDo = 1;
        } else {
            $broDo = $zadnji_broj[0] + 1;
        }
    } 
    else {
        $broDo = $_SESSION['dok_zag']['brojDokumenta'];		   
    }
    $_SESSION['dok_zag']['broDo'] = $broDo;
                            
    $_SESSION['dok_zag']['prodaVezni'] = '';
    $_SESSION['dok_zag']['vrsDoVezni'] = '';
    $_SESSION['dok_zag']['proInVezni'] = '';
    $_SESSION['dok_zag']['zapisVezni'] = '';
    $_SESSION['dok_zag']['broDoVezni'] = 0;
    $_SESSION['dok_zag']['verziVezni'] = '';
          
    
    //---------knjiženje dokumenta u dok_zag------------------ 
    if ( !(get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi)) ) {
       $rowCount = add_dok_zag($_SESSION['dok_zag']);       
       if ($rowCount != 1) {
           $error_message = '<p>Neuspio upis u dok_zag, rowCount = $rowCount </p> '
                           .' <p>Greška dokument nije proknjižen !!!</p>';       
           display_error($error_message);               		 
       }
       $_SESSION['dok_zag']['brojDokumenta']=$broDo;
       
    }
  //--------------------------------------------------------    
  //          
  //----------knjiženje u dok_stavke  -------------------------------            
    //  include('../dokumenti/iz_carta_u_dok_stavke.php');
    include('dokumenti/iz_carta_u_dok_stavke.php');
  //-----------------------------------------------------------------    
      

//----------------------------------------------------------------------------------------------------------------------------

    // Set last category added to cart
    // $roba = get_product($_SESSION['odabranaPoslovnica'], $kodRobe);
    if (trim($kodRobe) != '#') {
        $_SESSION['last_category_id'] = $roba['kodGrupe'];
        $_SESSION['last_category_name'] = $roba['nazivGrupe']; 
        if(!isset($_REQUEST['cjenikPoStranicama'])) {
            $_SESSION['parametriPretrage']['kodRobe']=$roba['kodRobe'];
        }
    }
    //?
}


function cart_update_1_item($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$kolicina,
    $vrstaProdaje = '0', $brojStavke = 1, $cijenaZaIntFak = 0, $rabatPopustNaKol = '0',
    $absRabatPopustNaKol = ' ', $poreznaGrupa = 'A', $PDV = '25', $ukalkuliraniPDV = '25',
    $povratnaNaknada = 0, $nabavnaCijena = 0, $marza = 0, $absMarza = ' ', $zavisniTroskovi = 0,
    $absZavTr = ' ', $tekst = NULL, $jedinicaMjere='') {
    if (isset($_SESSION['cart'][$brojStavke])) {
          
	if (trim($kodRobe) != '#') {
           $roba = get_product_maticna_robe($kodRobe);
           $poreznaGrupa = $roba['poreznaGrupa'];
        }   
	$porez = get_porez($poreznaGrupa);
	$PDV = $porez['PDV'];	
	$ukalkuliraniPDV = $PDV;
        
       //  if ($_SESSION['dok_zag']['PDVstatus'] == '0' || $_SESSION['dok_zag']['PDVstatus'] == '1' || $_SESSION['dok_zag']['PDVstatus'] == '2') {
       //prazno je oporezivo a sve ostalo neoporezivo(0-oslobođeno PDV, 1-izvoz, 2-branitelji)  
       $PDVstatus=trim($_SESSION['dok_zag']['PDVstatus']);
       if ($PDVstatus != '') {
       //prazno je oporezivo a sve ostalo neoporezivo 
          $PDV = 0;
       } 
       $staraKolicina=$_SESSION['cart'][$brojStavke]['kolicina'];
       $staraCijena=$_SESSION['cart'][$brojStavke]['cijena'];
       $staraVP=$_SESSION['cart'][$brojStavke]['vrstaProdaje'];
       
       $_SESSION['cart'][$brojStavke]['kodRobe'] = $kodRobe;
       $_SESSION['cart'][$brojStavke]['cijena'] = $cijena;
       $_SESSION['cart'][$brojStavke]['rabatPopust'] = $rabatPopust;
       $_SESSION['cart'][$brojStavke]['kolicina'] = $kolicina;
       $_SESSION['cart'][$brojStavke]['vrstaProdaje'] = $vrstaProdaje;
       $_SESSION['cart'][$brojStavke]['cijenaZaIntFak'] = $cijenaZaIntFak;
       $_SESSION['cart'][$brojStavke]['absRabatPopust'] = $absRabatPopust;
       $_SESSION['cart'][$brojStavke]['rabatPopustNaKol'] = $rabatPopustNaKol;
       $_SESSION['cart'][$brojStavke]['absRabatPopustNaKol'] = $absRabatPopustNaKol;
       $_SESSION['cart'][$brojStavke]['poreznaGrupa'] = $poreznaGrupa;
       $_SESSION['cart'][$brojStavke]['PDV'] = $PDV;
       $_SESSION['cart'][$brojStavke]['ukalkuliraniPDV'] = $ukalkuliraniPDV;
       $_SESSION['cart'][$brojStavke]['povratnaNaknada'] = $povratnaNaknada;
       $_SESSION['cart'][$brojStavke]['nabavnaCijena'] = $nabavnaCijena;
       $_SESSION['cart'][$brojStavke]['marza'] = $marza;
       $_SESSION['cart'][$brojStavke]['absMarza'] = $absMarza;
       $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $zavisniTroskovi;
       $_SESSION['cart'][$brojStavke]['absZavTr'] = $absZavTr;
       $_SESSION['cart'][$brojStavke]['tekst'] = $tekst;
       $_SESSION['cart'][$brojStavke]['jedinicaMjere'] = $jedinicaMjere;
    } else {
       echo 'P. greška, nije pronađen brojStavke u cartu dokumenta brojStavke=' .
            $brojStavke . ' u funkciji cart_update_1_item koja je pozvana ' .    
            'iz cart indexa';
       exit;
    }
    if ($_SESSION['knjizenjeStavkeOdmah']=='Da' && trim($_SESSION['dok_zag']['zavrsen'])!='') {
        /*
        $ulaznaInterna = 'N';

        $oznakaCjenika = $_SESSION['cart'][$brojStavke]['oznakaCjenika'];
        $vezniDokument = $_SESSION['cart'][$brojStavke]['vezniDokument'];
        update_dok_stavke($brojStavke,$kodRobe,$vrstaProdaje,$cijena,$cijenaZaIntFak,$kolicina,
                        $rabatPopust,$absRabatPopust,$rabatPopustNaKol,$absRabatPopustNaKol,
                        $poreznaGrupa,$PDV,$ukalkuliraniPDV,$povratnaNaknada,$nabavnaCijena,$marza,
                        $absMarza,$zavisniTroskovi,$absZavTr,$tekst,$vezniDokument,$oznakaCjenika,
                        $ulaznaInterna,$jedinicaMjere, $staraKolicina, $staraCijena,$staraVP);
        */

        $proda = $_SESSION['odabranaPoslovnica'];
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
        $proIn = $_SESSION['dok_zag']['proIn'];
        $zapis = $_SESSION['dok_zag']['zapis']; 
        $broDo = $_SESSION['dok_zag']['broDo'];
        $verzi = $_SESSION['dok_zag']['verzi'];
        
        $izmjenaStavke=true;
        include('../dokumenti/iz_carta_u_dok_stavke.php');
    }    
}

// Remove an item from the cart
function cart_remove_item($brojStavke) {
    // echo '$kodRobe=' . $kodRobe;
//	echo 'Stavki u cartu=' . cart_product_count();
//	echo 'Broj stavke=' . $brojStavke; 
	/* $kodRobe = str_pad($kodRobe, 16);  */
    if (isset($_SESSION['cart'][$brojStavke])) {
        unset($_SESSION['cart'][$brojStavke]);
		$_SESSION['cart'] = array_values($_SESSION['cart']);
		//gapove odstrani pa su indexi nakon toga u redu
        if ($_SESSION['knjizenjeStavkeOdmah']=='Da') {
            $proda = $_SESSION['odabranaPoslovnica'];
            $vrsDo = $_SESSION['dok_zag']['vrsDo'];
            $proIn = $_SESSION['dok_zag']['proIn'];
            $zapis = $_SESSION['dok_zag']['zapis'];
            $broDo = $_SESSION['dok_zag']['brojDokumenta'];
            $verzi = $_SESSION['dok_zag']['verzi'];
            $pozvanIzBrisanja=true;
            //delete_dok_1_stavku($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $brojStavke);
            delete_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi); 
            if(count($_SESSION['cart'])>0)
                include('../dokumenti/iz_carta_u_dok_stavke.php');
            else {
                delete_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
                clear_cart();
                $opSaDok='Unos';
                $_SESSION['dok_zag']['zavrsen']='Ne';
            }    
        }
        
    }
	
}


// Get an array of items for the cart
function cart_get_items($stavkeSveJednaZadnja='') {   
    $items = array();
    $pocetni = 0; 
    if (!isset($_SESSION['cart'])) $_SESSION['cart']=array();
    $zadnji = count($_SESSION['cart']);   
    if($stavkeSveJednaZadnja != '') {   
        //poziv iz iz_carta_u_dok_stavke za knjiženje samo zadnje stavke u dok_stavke
       $pocetni = $stavkeSveJednaZadnja; $zadnji = $stavkeSveJednaZadnja + 1;
     
       if($stavkeSveJednaZadnja==0)
           $zadnji = 1;
    } 
 //   echo 'pocetni=' . $pocetni . ' zadnji=' . $zadnji;
    for ($i = $pocetni; $i < $zadnji; $i++) {
         // echo 'i = ' . $i . '<br>';
        $brojStavke = $i; 
        $stavka = $_SESSION['cart'][$i];
 //   foreach ($_SESSION['cart'] as $brojStavke => $stavka) { 	
      /*  $roba = get_product($_SESSION['odabranaPoslovnica'],$kodRobe); */
         
        $kodRobe = $stavka['kodRobe']; 
        $cijena = $stavka['cijena'];
        if (trim($stavka['rabatPopust']) == '') $stavka['rabatPopust'] = 0;
        $rabatPopust = $stavka['rabatPopust'];     
        $absRabatPopust = $stavka['absRabatPopust'];
        $poreznaGrupa = $stavka['poreznaGrupa'];  //treba za kodRobe # 
        $rabatPopustOrg = $rabatPopust;
        if (trim($stavka['rabatPopustNaKol']) == '') $stavka['rabatPopustNaKol'] = 0;
        $rabatPopust += $stavka['rabatPopustNaKol'];
        $porezZaCijenuSporezom=NULL;
        if ( isset($_SESSION['dok_zag']['PDVstatus']) ) {
            if ( trim($_SESSION['dok_zag']['PDVstatus']) != '') $porezZaCijenuSporezom = 0;
        }
        $cijene = cijene($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$poreznaGrupa,$porezZaCijenuSporezom);  
	$rabatPopust = $rabatPopustOrg;
    	$kolicina = $stavka['kolicina'];
//veleprodaje-maloprodaje razrada treba		
        $iznosStavkeSpdv = round($cijene['netoCijenaSpdv'] * $kolicina, 2);
       	$iznosStavkeBpdv = round($cijene['netoCijenaBpdv'] * $kolicina, 3);	
	/*	if (empty($roba['nazivRobe'])) {   */
// kod PRIJAVE nove robe kod primki još nije stavka provedena na stanja a prijavljena je u
// maticna_robe	i kod robe koja je postojala u maticna_robe a u stanju je nema
           if (trim($kodRobe) != '#') {
                $robaMaticna = get_product_maticna_robe($kodRobe);
                $items[$brojStavke]['nazivRobe'] = $robaMaticna['nazivRobe'];
                $items[$brojStavke]['jedinicaMjere'] = $robaMaticna['jedinicaMjere'];
                $items[$brojStavke]['opis'] = $robaMaticna['opis'];
           }
           if (trim($kodRobe) == '#') {
               $items[$brojStavke]['nazivRobe'] =  $stavka['tekst'];
               $items[$brojStavke]['jedinicaMjere'] =  $stavka['jedinicaMjere'];
               $items[$brojStavke]['opis'] = '';
           }    
	/*	}  */
		
        $items[$brojStavke]['cijena'] = $cijena;
			
    //    $items[$brojStavke]['cijena'] = $roba['cijena'];
//? gore cijena	fiksna

        $items[$brojStavke]['cijenaSpdv'] = $cijene['cijenaSpdv'];
        $items[$brojStavke]['netoCijenaSpdv'] = $cijene['netoCijenaSpdv'];
        $items[$brojStavke]['netoCijenaBpdv'] = $cijene['netoCijenaBpdv'];
        $items[$brojStavke]['rabatPopust'] = $rabatPopust;
    //    $items[$brojStavke]['iznos_popusta'] = $iznos_popusta;
    //    $items[$brojStavke]['unit_price'] = $unit_price;
        $items[$brojStavke]['kolicina'] = $kolicina;
        $items[$brojStavke]['iznosStavkeSpdv'] = $iznosStavkeSpdv;
        $items[$brojStavke]['iznosStavkeBpdv'] = $iznosStavkeBpdv;
        $items[$brojStavke]['kodRobe'] = $stavka['kodRobe'];
        $items[$brojStavke]['vrstaProdaje'] = $stavka['vrstaProdaje'];
        $items[$brojStavke]['cijenaZaIntFak'] = $stavka['cijenaZaIntFak']; 
        $items[$brojStavke]['absRabatPopust'] = $stavka['absRabatPopust'];
        $items[$brojStavke]['rabatPopustNaKol'] = $stavka['rabatPopustNaKol'];
        $items[$brojStavke]['absRabatPopustNaKol'] = $stavka['absRabatPopustNaKol'];
        $items[$brojStavke]['poreznaGrupa'] = $stavka['poreznaGrupa'];
        $items[$brojStavke]['PDV'] = $stavka['PDV'];
        $items[$brojStavke]['ukalkuliraniPDV'] = $stavka['ukalkuliraniPDV'];
        $items[$brojStavke]['povratnaNaknada'] = $stavka['povratnaNaknada'];
        $items[$brojStavke]['nabavnaCijena'] = $stavka['nabavnaCijena'];
        $items[$brojStavke]['marza'] = $stavka['marza'];
        $items[$brojStavke]['absMarza'] = $stavka['absMarza'];
        $items[$brojStavke]['zavisniTroskovi'] = $stavka['zavisniTroskovi'];
        $items[$brojStavke]['absZavTr'] = $stavka['absZavTr'];
        $items[$brojStavke]['tekst'] = $stavka['tekst'];
        $items[$brojStavke]['vezniDokument'] = $stavka['vezniDokument'];
        $items[$brojStavke]['oznakaCjenika'] = $stavka['oznakaCjenika'];
        $items[$brojStavke]['zeljenaKolicina'] = $stavka['zeljenaKolicina'];
//      echo 'Ulazim u petlju' . $items[$brojStavke]['kodRobe'];
      }  
//    }
    return $items;
}

// Get the number of products in the cart
function cart_product_count() {
    if (isset($_SESSION['cart'])) {
        return count($_SESSION['cart']);
    } else {
        return 0;    
    }    
}

// Get the number of items in the cart
function cart_item_count () {
    $count = 0;
    $cart = cart_get_items();
    foreach ($cart as $item) {
        $count += $item['kolicina'];
    }
    return $count;
}

// Get the subtotal for the cart
function cart_subtotal () {
    $iznosi = array(); 
    $iznosi['greska'] = '';
    
    $netoCijenaSpdvIznos = 0;
	$cijenaSpdvIznos = 0;
	$zbrojKolicina = 0;
	$nabavnaCijenaIznos = 0;
	$marzaIznos = 0;
	$rabatPopustIznos = 0;
	$zavisniTroskoviIznos = 0;
	$prodajnaCijenaIznos = 0;
        $iznosBezPDVbruto = 0; //  cijena * kolicina   vpc cijena na 3 decimale(zajedničko za VPC i MPC)
        $iznosRabatPopustVPC = 0; //uključuje i dodatni-količinski popust
        $iznosRabatPopustVPCobicni = 0; //samo rabat obični bez dodatnog količinskog rabata
        $ukIznosPDVvpc = 0;
        $ukPoreznaOsnovicaVPC = 0; 
        
    $cart = cart_get_items();
    
    foreach ($cart as $item) {       
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
        $kodRobe_ = $item['kodRobe'];
        if ( (trim($vrsDo) == '1' || trim($vrsDo) == '2' || trim($vrsDo) == '3' || trim($vrsDo) == '5'  || trim($vrsDo) == '6'
                 || trim($vrsDo) == '7' || trim($vrsDo) == '8') && trim($kodRobe_) == '#')
                 $iznosi['greska'] = '! Kod robe za navedenu vrstu dokumenta ne smije biti #';
        
        $netoCijenaSpdvIznos += $item['netoCijenaSpdv'] * $item['kolicina'];
	$cijenaSpdvIznos += $item['cijenaSpdv'] * $item['kolicina'];
	$zbrojKolicina += $item['kolicina'];
	$nabavnaCijenaIznos += $item['nabavnaCijena'] * $item['kolicina'];
	$marzaIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['marza'] / 100;
        
        if($item['absRabatPopust'] == 'A') { 
            $rabatPopustIznos += $item['kolicina'] * $item['rabatPopust'];
        } else {    
	    $rabatPopustIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['rabatPopust'] / 100;
        }   
        
        if($item['absZavTr'] == 'A') { 
           $zavisniTroskoviIznos += $item['kolicina'] * $item['zavisniTroskovi'];
        } else {
	   $zavisniTroskoviIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['zavisniTroskovi'] / 100;
        }   
           
	   $prodajnaCijenaIznos += $item['cijena'] * $item['kolicina'];
     
 //iz zbroj_po_dok 
        $kolicina = $item['kolicina'];
        $cijena = $item['cijena'];
        $cijenaSpdv = $item['cijenaSpdv'];
        $rabatPopust = $item['rabatPopust'];
        $rabatPopustNaKol = $item['rabatPopustNaKol'];
        $absRabatPopust = $item['absRabatPopust'];
        $bezPdvStavka = $cijena * $kolicina;	
        $iznosBezPDVbruto += $bezPdvStavka;                
    
        if ($rabatPopust != 0 || $rabatPopustNaKol != 0) {
           if ($absRabatPopust == 'A') { 
              $rabatPopustNaCijenu = ($cijenaSpdv * $rabatPopustNaKol / 100) + $rabatPopust; 
              $rabatPopustNaCijenuVPC = ($cijena * $rabatPopustNaKol / 100)  + $rabatPopust;
             //ako je absolutni onda je to popust S POREZOM!!!  kod maloprodaja  a kod veleprodaja bez PDV
             //dodatni popust ne može biti absolutni (samo %) 
           } else {
              $rabatPopustNaCijenu = $cijenaSpdv * ($rabatPopust + $rabatPopustNaKol) / 100; 
              $rabatPopustNaCijenuVPC = $cijena * ($rabatPopust + $rabatPopustNaKol) / 100;
              $rabatPopustNaCijenuVPCobicni = $cijena * $rabatPopust / 100;
           } 
        } else {
             $rabatPopustNaCijenu = 0; 
             $rabatPopustNaCijenuVPC = 0;
             $rabatPopustNaCijenuVPCobicni = 0;
        }
        
        $netoCijenaVPC = $cijena - $rabatPopustNaCijenuVPC;
        if (!isset($rabatPopustNaCijenuVPCobicni)) $rabatPopustNaCijenuVPCobicni = 0;
        $netoCijenaVPCobicna = $cijena - $rabatPopustNaCijenuVPCobicni;
        $rabatPopustStavkaVPCobicni = ($cijena - $netoCijenaVPCobicna) * $kolicina;
        $pdvUstavkiVPC = $netoCijenaVPC * $kolicina * $item['PDV'] / 100;
        $ukIznosPDVvpc += $pdvUstavkiVPC; 
        $poreznaOsnovicaUstavkiVPC = $netoCijenaVPC * $kolicina;
        $ukPoreznaOsnovicaVPC += $poreznaOsnovicaUstavkiVPC;
        $rabatPopustStavkaVPC = ($cijena - $netoCijenaVPC) * $kolicina;
        $iznosRabatPopustVPC += $rabatPopustStavkaVPC;
        $iznosRabatPopustVPCobicni += $rabatPopustStavkaVPCobicni;      
  // end for each                         
   } 
   
        $iznosi['iznosBezPDVbruto'] = round($iznosBezPDVbruto,2);
	$iznosi['zaNaplatu'] = round($netoCijenaSpdvIznos,2);
	$iznosi['iznosPopusta'] = round(($cijenaSpdvIznos - $netoCijenaSpdvIznos), 2);
	$iznosi['zbrojKolicina'] = $zbrojKolicina;
	$iznosi['nabavnaCijenaIznos'] = $nabavnaCijenaIznos;
	$iznosi['marzaIznos']         = $marzaIznos; 
	$iznosi['rabatPopustIznos']   = $rabatPopustIznos;
	$iznosi['zavisniTroskoviIznos'] = $zavisniTroskoviIznos;
	$iznosi['prodajnaCijenaIznos'] = $prodajnaCijenaIznos;
	$iznosi['cijenaSpdvIznos'] = $cijenaSpdvIznos;
        
       $iznosi['iznosRabatPopustVPC'] = round($iznosRabatPopustVPC,2); //zbrojen obični i količinski rabat      
       $iznosi['iznosRabatPopustVPCnaKol'] = 0;
       if ( abs(round($iznosRabatPopustVPCobicni,2) - $iznosi['iznosRabatPopustVPC']) > 0.02 )
          $iznosi['iznosRabatPopustVPCnaKol'] =  $iznosi['iznosRabatPopustVPC'] - round($iznosRabatPopustVPCobicni,2);        
       
       $iznosi['ukPoreznaOsnovicaVPC'] = round($ukPoreznaOsnovicaVPC,2);
       $iznosi['ukIznosPDVvpc'] = round($ukIznosPDVvpc,2);
       $iznosi['zaNaplatuVPC'] = round(($ukPoreznaOsnovicaVPC + $ukIznosPDVvpc),2);
     return $iznosi;
}

// Remove all items from the cart
function clear_cart() {
    unset($_SESSION['rate']);
  //  $_SESSION['cart'] = array();
    unset($_SESSION['cart']);	  
    $_SESSION['dok_zag']['proIn'] = '';
    $_SESSION['dok_zag']['zapis'] = '';
    $_SESSION['dok_zag']['brojDokumenta'] = '';
    $_SESSION['dok_zag']['broDo'] = '';
    $_SESSION['dok_zag']['verzi'] = '';
    if ($_SESSION['admin']['prioritet'] != 9) {  
        $_SESSION['dok_zag']['kodPartnera'] = '';
        $_SESSION['dok_zag']['partner'] = '';
        $_SESSION['dok_zag']['nazivPartnera'] = '';
        $_SESSION['dok_zag']['mjestoSjedista'] = ''; 
    }
    else
        $_SESSION['dok_zag']['vrsDo'] = 'N';
    
 //   $_SESSION['dok_zag']['kasa'] = '1';
    $_SESSION['dok_zag']['DVO'] = '';
    $_SESSION['dok_zag']['kodPoslovniceMp'] = '';
    $_SESSION['dok_zag']['valuta'] = '';
    $_SESSION['dok_zag']['daniOdgodePl'] = '';
    $_SESSION['dok_zag']['nacinPlacanja'] = '';
    $_SESSION['dok_zag']['datumRacuna'] = '';
    $_SESSION['dok_zag']['datumNarudzbe'] = '';
    $_SESSION['dok_zag']['brojNarudzbe'] = '';
    $_SESSION['dok_zag']['PDVstatus'] = '';
    $_SESSION['dok_zag']['casasSconto'] = '';
    $_SESSION['dok_zag']['absCasasSconto'] = '';
    $_SESSION['dok_zag']['daniZaCasasSconto'] = '';
    $_SESSION['dok_zag']['komercijalista'] = '';
    $_SESSION['dok_zag']['kodPoslovniceMp'] = '';
    $_SESSION['dok_zag']['stranaValuta'] = '';
    $_SESSION['dok_zag']['iznosUstranojValuti'] = 0;
    $_SESSION['dok_zag']['zasticeniDokument'] = '';
    $_SESSION['dok_zag']['privremeniDokument'] = '';
    $_SESSION['dok_zag']['datumZakljucavanja'] = '';
    $_SESSION['dok_zag']['jedinicaMjere'] = '';
    if ( $_SESSION['dok_zag']['opSaDok'] == 'Izmjena' || $_SESSION['dok_zag']['opSaDok'] == 'Brisanje' ) $_SESSION['dok_zag']['opSaDok'] = 'Unos';
//    	$_SESSION['dok_zag']['komentar'] = '';       
//        if ( (trim($_SESSION['dok_zag']['vrsDo']) == '5' || trim($_SESSION['dok_zag']['vrsDo']) == 'PR') && $_SESSION['skracenicaFirme'] =="cha" )   
//               $_SESSION['dok_zag']['komentar'] = 'OBAVIJEST O PROIZVODU, JAMSTVENI LISTOVI ZA ISPORUČENU ROBU SU PREDANI
//Za zakašnjela plaćanja zaračunavamo zatezne kamate uvećane za 2% mjesečno, osim ako ugovorom nije drugačije regulirano.
//U slučaju promjene tečaja EUR prema tečajnoj listi NBH više od 3%, vršit ćemo korekciju iznosa fakture.
//Račun je pravovaljan bez pečata. Roba je u vlasništvu CHAKY d.o.o. do konačne isplate.
//                   
//BROJ NARUDŽBE:
//DATUM ISPORUKE IZ SKLADIŠTA:
//ADRESA ISPORUKE: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;  &nbsp; &nbsp; &nbsp; &nbsp;  &nbsp; &nbsp; &nbsp; &nbsp; tel:   ';

    if(isset($_SESSION['dok_zag']['vrsDo'])) {    
        include_once 'model/predlosci_db.php';
        $predlosci=get_predlosci($_SESSION['dok_zag']['vrsDo']);
        if(isset($predlosci[0]['predlozak']))
            $_SESSION['dok_zag']['komentar']=$predlosci[0]['predlozak'];
        else
            $_SESSION['dok_zag']['komentar']='';
    }
    else
        $_SESSION['dok_zag']['komentar']='';
    
    $_SESSION['dok_zag']['novac'] = 0;
    $_SESSION['dok_zag']['iznosKartice'] = 0;
    $_SESSION['dok_zag']['iznosTransRacun'] = 0;
    $_SESSION['dok_zag']['povrat'] = 0;
    $_SESSION['dok_zag']['vrstaKartice'] = '';   
    if ($_SESSION['knjizenjeStavkeOdmah']=='Da')
        $_SESSION['dok_zag']['zavrsen'] = 'Ne';
    else
        $_SESSION['dok_zag']['zavrsen'] = '';
    
    $_SESSION['dok_zag']['prodaVezni'] = '';
    $_SESSION['dok_zag']['vrsDoVezni'] = '';
    $_SESSION['dok_zag']['proInVezni'] = '';
    $_SESSION['dok_zag']['zapisVezni'] = '';
    $_SESSION['dok_zag']['broDoVezni'] = 0;
    $_SESSION['dok_zag']['verziVezni'] = '';
    $_SESSION['dok_zag']['ispisCasasSconto'] = '';
    if(isset($_SESSION['rate']))
        unset($_SESSION['rate']);
    $_SESSION['dok_zag']['tkoJeKreirao'] = '';
    
    $_SESSION['dok_zag']['fiskalizacijaDaNe'] = 'Ne';
    if (isset($_POST['fiskalizacijaDaNe'])) $_POST['fiskalizacijaDaNe'] = 'Ne';
/*   
    $vrsDo = trim($_SESSION['dok_zag']['vrsDo']);
    $fiskalizacijaDaNe_ = $_SESSION['dok_zag']['fiskalizacijaDaNe'];
    $_SESSION['dok_zag']['fiskalizacijaDaNe'] = 'Ne';      
    if ( $_SESSION['knjizenjeStavkeOdmah']=='Da' && !($vrsDo=='8' || $vrsDo=='7' || $vrsDo=='PB') && $fiskalizacijaDaNe_ != 'Da' && $_SESSION['admin']['prioritet'] != '9' ) {         
        // za ostale dokumente obavezno treba partner pa se mora usmjeriti nakon šišćenja na index view_zag_svih_dok 
           global $app_path;
           $url = $app_path.'/?action=view_zag_svih_dok&vrsDo=' . $_SESSION['dok_zag']['vrsDo'];
           redirect($url);
    }    
 */
}

// Set the category for the last item added to the cart
function set_last_category($kodGrupe, $nazivGrupe) {
    $_SESSION['last_category_id'] = $kodGrupe;
    $_SESSION['last_category_name'] = $nazivGrupe;
}

// Set the product for the last item added to the cart
function set_last_product($kodRobe, $nazivRobe) {
    $_SESSION['last_product_id'] = $kodRobe;
    $_SESSION['last_product_name'] = $nazivRobe;
}

// Get the correct word for the number of items
function cart_get_item_word() {
    if (cart_product_count() == 1) {
        $item_word =  'Stavka';
    } else {
        $item_word =  'Stavki';
    }
    return $item_word;
}

// Get an array of items for the cart
function cart_iste_stavke($istaMarza,$istiRabatPopust,$istirabatPopustNaKol,$istiZavTr,$fiksneCijene,$koeficijent,$kolicineDrugiPredznak,$istaVrstaProdaje) {
    if ($kolicineDrugiPredznak === 'Da')
        $predznak=-1;
    else
        $predznak=1;
    
    foreach ($_SESSION['cart'] as $brojStavke => $stavka) { 
        $staraKolicina=$_SESSION['cart'][$brojStavke]['kolicina'];   
        $staraCijena=$_SESSION['cart'][$brojStavke]['cijena'];   
        $staraVrstaProdaje=$_SESSION['cart'][$brojStavke]['vrstaProdaje'];
        if ($istiRabatPopust != '') 
            $_SESSION['cart'][$brojStavke]['rabatPopust'] = $istiRabatPopust; 

        if ($kolicineDrugiPredznak === 'Da') 
            $_SESSION['cart'][$brojStavke]['kolicina'] = $_SESSION['cart'][$brojStavke]['kolicina'] * (-1);
        if ($istaVrstaProdaje != ' ') 
            $_SESSION['cart'][$brojStavke]['vrstaProdaje'] = $istaVrstaProdaje;
        if ($istirabatPopustNaKol != '') 
            $_SESSION['cart'][$brojStavke]['rabatPopustNaKol'] = $istirabatPopustNaKol;      
        //fiksne cijene 
        if ($_SESSION['dok_zag']['vrsDo'] == '1 ') {
            if ($koeficijent != '' && $koeficijent!=0) {
                $nabavnaCijena = round(($stavka['nabavnaCijena'] * $koeficijent),3);
                //echo 'Nabavna cijena=' . $nabavnaCijena;
                $stavka['nabavnaCijena'] = $nabavnaCijena;
                $_SESSION['cart'][$brojStavke]['nabavnaCijena'] = $nabavnaCijena;
            }  
            if ($fiksneCijene) {
                if ($istiZavTr != '' || $koeficijent !='') {
                    if ($istiZavTr != '' ) {
                        $zavTr = $istiZavTr;
                        $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $istiZavTr;
                    } else {
                        $zavTr = $stavka['zavisniTroskovi'];
                    }   

                    //maržu treba preračunati jer je fiksna cijena 
                    //prodCijena = nabCijena(1+ zavTr/100 + marza/100)= nabCijena + nabCijena*zavTr/100 + nabCijena*marza/100
                    //prodCijena * 100 =  100*nabCijena + nabCijena*zavTr + nabCijena*marza;
                    //prodCijena * 100 - 100*nabCijena -nabCijena*zavTr = nabCijena*marza;
                    //marza = (prodCijena*100 -100*nabCijena -nabCijena*zavTr) / nabCijena               
                    //marza = (prodCijena/nabCijena)*100 - 100 - zavTr               
                    $cijena = $stavka['cijena'];
                    $nabavnaCijena = $stavka['nabavnaCijena'];
                    $marza = ($cijena / $nabavnaCijena)*100 - 100 - $zavTr;
                    $marza = round($marza,3);
                    $_SESSION['cart'][$brojStavke]['marza'] = $marza;
                } 
            } else {
                //prodajna cijena NIJE FIKSNA mjenja se cijena ako su promjenjeni zavisni troškovi ili marža
                if ($istiZavTr != '' || $istaMarza != ''  || $koeficijent != '') {
                    $nabavnaCijena = $stavka['nabavnaCijena'];
                    if ($istiZavTr != '' ) {
                        $zavTr = $istiZavTr;
                        $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $istiZavTr;
                    } else {
                        $zavTr = $stavka['zavisniTroskovi'];
                    }
                    if ($istaMarza != '' ) {
                       $marza = $istaMarza;
                       $_SESSION['cart'][$brojStavke]['marza'] = $istaMarza; 
                    } else {
                        $marza = $stavka['marza'];
                   }    
                   $cijena = round($nabavnaCijena * (1 + ($marza + $zavTr)/100),3);
                   $_SESSION['cart'][$brojStavke]['cijena'] = $cijena;
               }
           } 

        } // vrsdo '1 '

        if($_SESSION['knjizenjeStavkeOdmah']=='Da' && trim($_SESSION['dok_zag']['zavrsen'])!='')
            update_dok_stavke_popust($brojStavke, $predznak, $staraCijena, $staraKolicina, $staraVrstaProdaje);
   
    } //foreach
    
    if($_SESSION['knjizenjeStavkeOdmah']=='Da' && trim($_SESSION['dok_zag']['zavrsen'])!='') {
        global $db;
        $email_user = $_SESSION['admin']['email'];
        $proda = $_SESSION['odabranaPoslovnica'];
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
        $proIn = $_SESSION['dok_zag']['proIn'];
        $zapis = $_SESSION['dok_zag']['zapis']; 
        $broDo = $_SESSION['dok_zag']['broDo'];
        $verzi = $_SESSION['dok_zag']['verzi'];
        $DVO = $_SESSION['dok_zag']['DVO'];
        do {
        $query = " 
        UPDATE dok_zag
        SET  
            datumIzmjene=NOW(),
            tkoJeIzmjenio=:email_user
        
        WHERE proda=:proda AND vrsDo=:vrsDo AND proIn=:proIn AND zapis=:zapis AND broDo=:broDo AND verzi=:verzi 
        ";
        try {
            $statement = $db->prepare($query);
            $statement->bindValue(':proda', $proda);
            $statement->bindValue(':vrsDo', $vrsDo);
            $statement->bindValue(':proIn', $proIn);
            $statement->bindValue(':zapis', $zapis);
            $statement->bindValue(':broDo', $broDo);
            $statement->bindValue(':verzi', $verzi);

            $statement->bindValue(':email_user', $email_user);
            $statement->execute();
            $rowCount = $statement->rowCount();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = 'Pogreška prilikom promjena stavaka! <br>'.$e->getMessage().'<br>'.$query;
            display_db_error($error_message);
        }

            if (trim($vrsDo) == '6') {
                $vrsDo = '2 ';
                $proIn = $proda;
                $proda = $_SESSION['dok_zag']['kodPartnera'];
    }
            else  $vrsDo='';
        } while(trim($vrsDo)=='2');    
    }

} 

function cart_prazni_pdv() {
/* Ako se promjeni PDVstatus u zaglavlju a cart od prije imamo npr. sa PDV-om 
          //prazno je oporezivo a sve ostalo neoporezivo(0-oslobođeno PDV, 1-izvoz, 2-branitelji)  
        $PDV = 0;
  } */
   foreach ($_SESSION['cart'] as $brojStavke => $stavka) { 
       $_SESSION['cart'][$brojStavke]['PDV'] = 0;       
   }
}

function cart_add_rata($slog_rate) {
    if(!isset($_SESSION['rate'])) {
        $_SESSION['rate']=array();
        $slog_rate['brojStavke']=1;
    }
    else
        $slog_rate['brojStavke']=count($_SESSION['rate'])+1;
    $_SESSION['rate'][] = $slog_rate;    
}

function cart_delete_rata($index) {
    $brojSlogova=count($_SESSION['rate']);
    while($index<$brojSlogova-1) {
        $_SESSION['rate'][$index]=$_SESSION['rate'][$index+1];
        $_SESSION['rate'][$index]['brojStavke']--;
        $index++;
    }
    unset($_SESSION['rate'][$index]);
}

function cart_update_rata($slog_rate) {
    $_SESSION['rate'][$slog_rate['brojStavke']-1] = $slog_rate;    
}

function puni_rate_iz_baze($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    $rate=get_rate_kartice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    foreach ($rate as $slog_rate) {
        cart_add_rata($slog_rate);
    }
} 

function rate_u_bazu($broDo) {
    if(!isset($_SESSION['rate']))
        return;
    $brojSlogova=count($_SESSION['rate']);
    foreach ($_SESSION['rate'] as $slog_rate) {
        $slog_rate['broDo']=$broDo;
        add_rate_kartice($slog_rate);
    }  
}

function rate_zbroj() {
    $zbroj=0;
    if(isset($_SESSION['rate']))
        foreach ($_SESSION['rate'] as $slog_rate) {
            $zbroj+=$slog_rate['iznosRateKartice'];
        }
    return $zbroj;
}

function is_ne_negativna_stanja($kodRobe, $vrstaProdaje, $kolicina) {
    
    if(isset($_SESSION['odabranaPoslovnica']))
        $proda=$_SESSION['odabranaPoslovnica'];
    if(isset($_SESSION['dok_zag']['proda']))
        $proda=$_SESSION['dok_zag']['proda'];
    
    $slogProda=get_poslovnica($proda);
    if($slogProda['negativnaStanja']=='N') {
      $artikl=get_product_maticna_robe($kodRobe);
      if($artikl['robaUsluga']!='U') {   
        include_once 'model/vrste_dokumenata_db.php';
        $slogVrsDo= get_vrsta_dokumenta($_SESSION['dok_zag']['vrsDo']);
        if($kolicina>0 && $slogVrsDo['azurStanja']==-1) { // ako je izlazni dokument i nije storno  kontrolira da stanje nije negativno
            $stanje=stanje_po_kodu_robe_1p($proda, $kodRobe, $vrstaProdaje);
            $novoStanje=$stanje['suma_po_kodu_robe'] + ($kolicina
                        +kolicina_po_dokumentu_cart($kodRobe, $vrstaProdaje)   
                        -kolicina_po_dokumentu_u_bazi($kodRobe, $vrstaProdaje))*$slogVrsDo['azurStanja'] ;
            //if($stanje['suma_po_kodu_robe']-$kolicina<0)
            if($novoStanje<0)
                return 'Negativna stanja na skladištu nisu dozvoljena! Trenutno stanje je '.$stanje['suma_po_kodu_robe'].'. ';
        } 
      }  
    }
    return '';
}

function is_nedozvoljena_stavka() {
    include_once 'model/vrste_dokumenata_db.php';
    $slogVrsDo =  get_vrsta_dokumenta($_SESSION['dok_zag']['vrsDo']);
    if($slogVrsDo['azurStanja']==0) 
        return false;

    $cart = cart_get_items();
    foreach ($cart as $i => $stavka) {
        if(trim($stavka['kodRobe'])=='#' && $stavka['kolicina']*$stavka['cijena']!=0)
            return $i;
    }
    return false;
}

function posalji_stanje_kosarice($stanje) {
    if(isset($_REQUEST['staviUkosaricu'])) {
        $zaNaplatu = 0;
        if(isset($_SESSION['odabranaPoslovnica']) && isset($_SESSION['dok_zag'])) {
            $iznosi = zbroj_po_dok($_SESSION['odabranaPoslovnica'], $_SESSION['dok_zag']['vrsDo'], $_SESSION['dok_zag']['proIn'], 
                                   $_SESSION['dok_zag']['zapis'], $_SESSION['dok_zag']['broDo'], $_SESSION['dok_zag']['verzi']);  
            $zaNaplatu = $iznosi['zaNaplatu'];
        }
        ?>
        <script>
        const message = JSON.stringify({
            brojStavkiKosarice: <?php echo cart_product_count() ?>,
            iznosKosarice: <?php echo $zaNaplatu ?>,
            novoStanje: <?php echo $stanje ?>,
        });            
        window.parent.postMessage(message, "*");
        </script>
        <?php
    } 
}
?>