<?php
function po_rijeci($proda,$rijec,$kodGrupe='', $vrstaProdaje='', $stanjeOd='', $stanjeDo='', 
                   $cijenaOd='', $cijenaDo='', $sortRobe='NazivRobe', $dodatniUvjeti='', $oznakaCjenika='') {
    global $app_path, $db;
    $path=$_SERVER['DOCUMENT_ROOT'].$app_path;

    /*
    $prikazPretragePoRijeci=true;
    include $path.'view/header.php'; 
    include $path.'view/sidebar.php';
    */
    $parametar=get_parametar('cjenikPoStranicama_'.$_SESSION['skracenicaFirme']);
    if(!is_array($parametar))
       $_REQUEST['cjenikPoStranicama']='Da';
    else
       $_REQUEST['cjenikPoStranicama']=trim($parametar['vrijednostParametra']);

    //po stranica
    if(strtoupper($_REQUEST['cjenikPoStranicama'])=='DA') {
        $_REQUEST['sql']=sql_cjenika($proda, $rijec, $kodGrupe, $vrstaProdaje, $stanjeOd, $stanjeDo, $cijenaOd, $cijenaDo, 
                  $sortRobe, $dodatniUvjeti,$oznakaCjenika);

        $robe=null;
        
        //Ako nije cjenik, ušli smo iz unosa dokumenta
        //kod unosa dokumenta pretraga radi neke kontrole
        if(!isset($_REQUEST['odabranaPoslovnicaCjenik'])) {
            // dohvača samo prva dva sloga zbog kontrola koje su postavljene u pretraga.php
            // cijelu stranicu dohvaća kasbije
        //error_log('upad u cjenik. Baza:' .$_SESSION['odabranaBaza']);
        //error_log($_REQUEST['sql']);
            $query=$_REQUEST['sql']." LIMIT 2";
            // echo nl2br($query);
            $statement = $db->prepare($query);
            $statement->execute();
            $robe = $statement->fetchAll();
            $statement->closeCursor();
        }
        return $robe;
    }
    else {
        return po_rijeci_sve($proda,$rijec,$kodGrupe, $vrstaProdaje, $stanjeOd, $stanjeDo, 
                   $cijenaOd, $cijenaDo, $sortRobe, $dodatniUvjeti, $oznakaCjenika);
    }
    // po stranicama KRAJ
    
} 

function po_rijeci_sve($proda,$rijec,$kodGrupe='', $vrstaProdaje='', $stanjeOd='', $stanjeDo='', 
                   $cijenaOd='', $cijenaDo='', $sortRobe='NazivRobe', $dodatniUvjeti='', $oznakaCjenika='') {
    global $db;

    $query=  sql_cjenika($proda, $rijec, $kodGrupe, $vrstaProdaje, $stanjeOd, $stanjeDo, $cijenaOd, $cijenaDo, $sortRobe, $dodatniUvjeti);

    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }


    
}

function sql_cjenika($proda,$rijec,$kodGrupe='', $vrstaProdaje='', $stanjeOd='', $stanjeDo='', 
                   $cijenaOd='', $cijenaDo='', $sortRobe='NazivRobe', $dodatniUvjeti='', $oznakaCjenika='') {

    if(isset($_REQUEST['spol']))
        $spol=$_REQUEST[ 'spol'];
    else 
        $spol='';
    if(isset($_REQUEST['velicinaRame']))
        $velicinaRame=$_REQUEST[ 'velicinaRame'];
    else 
        $velicinaRame='';
    if(isset($_REQUEST['velicinaKotaca']))
        $velicinaKotaca=$_REQUEST[ 'velicinaKotaca'];
    else 
        $velicinaKotaca='';
    if(isset($_REQUEST['brand']))
        $brand=$_REQUEST[ 'brand'];
    else 
        $brand='';
    if(isset($_REQUEST['brojBrzina']))
        $brojBrzina=$_REQUEST[ 'brojBrzina'];
    else 
        $brojBrzina='';
 
    $prioritet=$_SESSION['admin']['prioritet'];
    if ($_SESSION['skracenicaFirme']=='cha' and $prioritet == 6) $prioritet = 5;
    // g.vidljivaZaTrgovineP678 izuzetak za Chaky da dopušta da se vidi grupa koja je inače nevidljiva za prioritet 6(DINAMIC) a za Chaky je vidljiva za prioritet 6
        
    $rijec = '%' . $rijec . '%';
    
    $EANkod='';
    if (isset($_SESSION['prikazEANkoda'])) $EANkod = $rijec;
    
    $dioWhere='';
    $join=join_za_cjenik();   
                   
    $vidljiviStatusiRobe=$_SESSION['admin']['vidljiviStatusiRobe'];
    if($prioritet=='9'&& trim($vidljiviStatusiRobe)!='')
        $sqlB2B="AND FIND_IN_SET(IFNULL(s.vrstaProdaje,0), '$vidljiviStatusiRobe')";
    else 
        $sqlB2B='';
        
    $query = " 
        SELECT m.kodRobe, nazivRobe, jedinicaMjere, m.kodGrupe, kodGrupe2, m.popust, m.EANkod,  m.robaUsluga, sadrzajPakiranja, jedinicaMjerePakiranja,
        IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) AS cijena, 
        preporucenaMPC, cj.cijena as cijenaCjenik, poreznaGrupa, SUM(IFNULL(stanje,0)) as stanje, ifnull(s.vrstaProdaje,'0') as vrstaProdaje,
        ifnull(mz.minZaliha ,0) as minZaliha, m.opis        
        FROM maticna_robe m
        $join stanja s ON s.kodRobe = m.kodRobe AND ( FIND_IN_SET(trim(s.proda), '$proda') or trim('$proda')='0')
        $join poslovnice as p ON p.kodPoslovnice=s.proda
        -- join robne_grupe as g on g.kodGrupe=m.kodGrupe
        LEFT OUTER JOIN minimalne_zalihe AS mz ON mz.kodRobe=s.kodRobe AND mz.kodPoslovnice=s.proda 
        LEFT OUTER JOIN 
        (
        select cj.`kodPoslovnice`, cj.`oznakaCjenika`, cj.`kodRobe`, cj.`vrstaProdaje`, cijena
        from posebni_cjenik as cj
        inner join 
        (
        select max(kodPoslovnice) as kodPoslovnice, `oznakaCjenika`, `kodRobe`, `vrstaProdaje` 
        from posebni_cjenik
        where (oznakaCjenika='$oznakaCjenika' or trim('$oznakaCjenika')<>'') and kodPartnera=''
        and (FIND_IN_SET(trim(kodPoslovnice), '$proda') or kodPoslovnice='0')
        group by `oznakaCjenika`, `kodRobe`, `vrstaProdaje`
        ) as p on p.kodPoslovnice=cj.`kodPoslovnice` and p.`oznakaCjenika`=cj.`oznakaCjenika` and p.`kodRobe`=cj.`kodRobe` and p.`vrstaProdaje`=cj.`vrstaProdaje`
        where cj.oznakaCjenika='$oznakaCjenika'
        )
        AS cj ON cj.oznakaCjenika='$oznakaCjenika' AND cj.kodRobe=m.kodRobe AND cj.vrstaProdaje=s.vrstaProdaje 

        WHERE ( nazivRobe LIKE '$rijec' OR m.kodRobe LIKE '$rijec' OR (EANkod LIKE '$rijec') )
        AND ( FIND_IN_SET(trim(proda), '$proda')  or trim('$proda')='0' or proda is null)
        AND ((m.kodGrupe LIKE '$kodGrupe%' or trim('$kodGrupe')='')
          OR (m.kodGrupe2 LIKE '$kodGrupe%' or trim('$kodGrupe')=''))
        AND (FIND_IN_SET(trim(m.spol), '$spol') or trim('$spol')='')
        AND (FIND_IN_SET(trim(m.velicinaRame), '$velicinaRame') or trim('$velicinaRame')='')
        AND (FIND_IN_SET(trim(m.velicinaKotaca), '$velicinaKotaca') or trim('$velicinaKotaca')='')
        AND (FIND_IN_SET(trim(m.brand), '$brand') or trim('$brand')='')
        AND (FIND_IN_SET(trim(m.brojBrzina), '$brojBrzina') or trim('$brojBrzina')='')
        AND (IFNULL(s.vrstaProdaje,0)='$vrstaProdaje' or trim('$vrstaProdaje')='')
        $sqlB2B      
        ";
    $p=explode(',',$proda);
    $jednaPoslovnica=trim($proda)!='0' && count($p)==1;
    if($jednaPoslovnica)
        $group=" 
        GROUP BY m.kodRobe, nazivRobe, jedinicaMjere, cijena, poreznaGrupa, m.kodGrupe, vrstaProdaje,  p.stanjaRobe    
        ";
    else
        $group=" 
        GROUP BY m.kodRobe, nazivRobe, jedinicaMjere, cijena, poreznaGrupa, m.kodGrupe, vrstaProdaje
        ";

    /*
    if(trim($stanjeOd)!='' || trim($stanjeDo)!='') {
        $stanjeOd=str_replace(',', '.', $stanjeOd);
        $stanjeDo=str_replace(',', '.', $stanjeDo);
        if(trim($stanjeOd)!='' && trim($stanjeDo)!='') {
            // kreira uvjete za stanje npr:
            $group.="
            HAVING SUM(IFNULL(s.stanje,0)) between $stanjeOd and $stanjeDo
            ";	
        }
        else if(trim($stanjeOd)!='' && trim($stanjeDo)=='')
            $group.="
            HAVING SUM(IFNULL(s.stanje,0)) >= $stanjeOd
            ";	
        else if(trim($stanjeOd)=='' && trim($stanjeDo)!='')
            $group.="
            HAVING SUM(IFNULL(s.stanje,0)) <= $stanjeDo
            ";	
    }
    else if($jednaPoslovnica) {
        $group.="
        HAVING SUM(IFNULL(s.stanje,0))>0 and ifnull(g.kojaStanja,'')='>0' 
            or (trim(ifnull(g.kojaStanja,''))='' 
            and (IFNULL(p.stanjaRobe,'')=''
              or (p.`stanjaRobe`='+' and SUM(IFNULL(s.stanje,0))>0)
              or (p.`stanjaRobe`='-' and SUM(IFNULL(s.stanje,0))<0)
              or (p.`stanjaRobe`='+-' and SUM(IFNULL(s.stanje,0))<>0)
              or (p.`stanjaRobe`='0' and SUM(IFNULL(s.stanje,0))=0)
            ))
        ";
    }
    else
        $group.="
        HAVING SUM(IFNULL(s.stanje,0))>0 and ifnull(g.kojaStanja,'')='>0' or trim(g.kojaStanja)='' or trim(ifnull(g.kojaStanja,''))='' 
        ";

    */
    
    $_REQUEST['stanjaPoStanjuGrupe']=trim($stanjeOd)=='' && trim($stanjeDo)=='';

    if(trim($stanjeOd)!='' || trim($stanjeDo)!='') {
        $stanjeOd=str_replace(',', '.', $stanjeOd);
        $stanjeDo=str_replace(',', '.', $stanjeDo);
        if(trim($stanjeOd)!='' && trim($stanjeDo)!='') {
            // kreira uvjete za stanje npr:
            $whereStanja="
            WHERE IFNULL(r.stanje,0) between $stanjeOd and $stanjeDo
            ";	
        }
        else if(trim($stanjeOd)!='' && trim($stanjeDo)=='')
            $whereStanja="
            WHERE IFNULL(r.stanje,0) >= $stanjeOd
            ";	
        else if(trim($stanjeOd)=='' && trim($stanjeDo)!='')
            $whereStanja="
            WHERE IFNULL(r.stanje,0) <= $stanjeDo
            ";
    }
    else if($jednaPoslovnica) {
        $whereStanja="
        JOIN poslovnice as p ON p.kodPoslovnice='$proda' 
        WHERE IFNULL(r.stanje,0)>0 and ifnull(gr.kojaStanja,'')='>0' 
            or (trim(ifnull(gr.kojaStanja,''))='' 
            and (IFNULL(p.stanjaRobe,'')=''
              or (p.`stanjaRobe`='+' and IFNULL(r.stanje,0)>0)
              or (p.`stanjaRobe`='-' and IFNULL(r.stanje,0)<0)
              or (p.`stanjaRobe`='+-' and IFNULL(r.stanje,0)<>0)
              or (p.`stanjaRobe`='0' and IFNULL(r.stanje,0)=0)
            ))
        ";
    }
    
    else
        $whereStanja="";
        // $whereStanja="
        // WHERE (IFNULL(r.stanje,0)>0 and ifnull(gr.kojaStanja,'')='>0') or trim(ifnull(gr.kojaStanja,''))='' 
        // ";
    
    /*
    $order="
        ORDER BY m.$sortRobe
        ";	
     * 
     */
    $order="
        ORDER BY $sortRobe
        ";
    
    $_REQUEST['cjenikPoCijeniGrupe']=false;
    $cijenaOd=str_replace(',', '.', $cijenaOd);
    $cijenaDo=str_replace(',', '.', $cijenaDo);
    if(trim($cijenaOd)!='' && trim($cijenaDo)!='') {
        $dioWhere.="
        AND  IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) between $cijenaOd and $cijenaDo
        ";	
    } elseif (trim($cijenaOd)!='' && trim($cijenaDo)=='') {
        $dioWhere.="
        AND  IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) >= $cijenaOd
        ";	
    } elseif (trim($cijenaOd)=='' && trim($cijenaDo)!='') {
        $dioWhere.="
        AND  IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) <= $cijenaDo            
        ";
    // cijenaOd i cijenaDo su prazne
    } else {
        if(trim($kodGrupe)!='') {
            $Rgrupa = get_category($kodGrupe);
           // prikazRobeSaCijenama   varchar(15) default NULL  npr. >10,53 ili npr. <15.79
            $veceManje = substr($Rgrupa['prikazRobeSaCijenama'],0,1);   // < >
            $cijenaIzGrupa = substr($Rgrupa['prikazRobeSaCijenama'],1); // 10,53  
            // pretvoriti zarez u točku
            $cijenaIzGrupa = str_replace(",",".",$cijenaIzGrupa); // 10.53
            $cijenaIzGrupa = (float)$cijenaIzGrupa;
    //        echo 'cjenaIZGRUPA2=' . $cijenaIzGrupa;
            if ($veceManje == '>')       
               $dioWhere.="
               AND  IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) > $cijenaIzGrupa 
              "; 
            if ($veceManje == '<')
               $dioWhere.="
               AND  IF(kojeCijeneZaIzlaze='M', m.cijena, IFNULL(s.cijena, m.cijena)) < $cijenaIzGrupa 
              ";       
        }
        // else     
            $_REQUEST['cjenikPoCijeniGrupe']=true;

    }
    
    if($_SESSION['admin']['prioritet']==9 && trim($_SESSION['admin']['kodPartnera'])!='' ) {
        include_once 'model/rabati_db.php';
        $grupe=get_grupe_rabata($_SESSION['admin']['kodPartnera']);
        if($grupe!='')
        $dioWhere.="
        and FIND_IN_SET(trim(m.kodGrupe), '$grupe')
        ";	
    }
    if($whereStanja=='')
        /* rjesava (category_view. red 261):
        if($_REQUEST['cjenikPoCijeniGrupe'] && trim($roba['prikazRobeSaCijenama'])!='')
            if(!uvjetPoGrupi($roba['cijena'], $roba['prikazRobeSaCijenama'])) 
                continue;
        if($_REQUEST['stanjaPoStanjuGrupe'] && trim($roba['kojaStanja'])!='')
            if(!uvjetPoGrupi($roba['stanje'], $roba['kojaStanja'])) 
                continue;
        */
        $whereStanja="
        where (ifnull(manjeViseCijena,'')='' 
            or (manjeViseCijena='>' and cijena > prikazRobeSaCijenamaNum) 
            or (manjeViseCijena='<' and cijena < prikazRobeSaCijenamaNum))
        and (ifnull(manjeViseStanja,'')='' 
            or (manjeViseStanja='>' and kojaStanjaNum > prikazRobeSaCijenamaNum) 
            or (manjeViseStanja='<' and kojaStanjaNum < prikazRobeSaCijenamaNum))
        ";
    else
        $whereStanja.="
        and (ifnull(manjeViseCijena,'')='' 
            or (manjeViseCijena='>' and cijena > prikazRobeSaCijenamaNum) 
            or (manjeViseCijena='<' and cijena < prikazRobeSaCijenamaNum))
        and (ifnull(manjeViseStanja,'')='' 
            or (manjeViseStanja='>' and kojaStanjaNum > prikazRobeSaCijenamaNum) 
            or (manjeViseStanja='<' and kojaStanjaNum < prikazRobeSaCijenamaNum))
        ";
    $B2Bdio='';
    if($_SESSION['admin']['prioritet']==9) {
        // rješava: if($_SESSION['admin']['prioritet']==9 && ($roba['vrstaProdaje']=='2' || $roba['vrstaProdaje']=='1') ) continue; (red 255, category_view.php)
        $B2Bdio=" 
        and NOT (vrstaProdaje='1' or vrstaProdaje='2')          
        ";
        // rješava: if ( $roba['vrstaProdaje'] == 'D' && $stanje == '0,00' ) continue; (red 286, category_view.php)
        $B2Bdio.=" 
        and NOT (vrstaProdaje='D' and stanje<=0)          
        ";
        // rješava: if($_SESSION['admin']['prioritet']==9 && $_SESSION['admin']['vidljivoStanjeNula']=='N' && (float)$roba['stanje']==0) continue; (red 257, category_view.php)
        if($_SESSION['admin']['vidljivoStanjeNula']=='N')
        $B2Bdio.=" 
        and stanje<>0
        ";
    }
 
    $query=" 
        select r.*, gr.kojaStanja, gr.prikazRobeSaCijenama
        from ( 
            "
            .$query.$dioWhere.$group.
        " 
        ) as r    
            JOIN
            (
                -- Vidljivost robe iz grupe za ovlasti 6,7 i 8  
                select g.kodGrupe, g.kojaStanja, g.prikazRobeSaCijenama, 
                LEFT(g.kojaStanja,1) as manjeViseStanja, 
                IF(LEFT(g.kojaStanja,1)='>' OR LEFT(g.kojaStanja,1)='<',  REPLACE(REPLACE(g.kojaStanja, LEFT(g.kojaStanja,1), ''),',','.'), '') AS  kojaStanjaNum,
                LEFT(g.prikazRobeSaCijenama,1) as manjeViseCijena,  
                IF(LEFT(g.prikazRobeSaCijenama,1)='>' OR LEFT(g.prikazRobeSaCijenama,1)='<',  
                   REPLACE(REPLACE(g.prikazRobeSaCijenama, LEFT(g.prikazRobeSaCijenama,1), ''),',','.'), '') AS  prikazRobeSaCijenamaNum
                from robne_grupe as g
                left outer join robne_grupe as rg on g.kodGrupe like  concat(trim(rg.kodGrupe), '%') and rg.kodGrupe<>g.kodGrupe
                where upper(ifnull(g.vidljivaZaTrgovineP678,''))<>'NE' or $prioritet<6
                group by g.kodGrupe
                having max(upper(ifnull(rg.vidljivaZaTrgovineP678,'')))<>'NE' or $prioritet<6
            ) as gr ON gr.kodGrupe=r.kodGrupe
        $whereStanja
        $B2Bdio    
        ".$order;    
    // echo nl2br($query.'<br>');
    return $query;
}        

function join_za_cjenik() {
    if(!isset($_REQUEST['odabranaPoslovnicaCjenik'])) {
        include_once 'model/vrste_dokumenata_db.php';
        $vd=get_vrsta_dokumenta($_SESSION['dok_zag']['vrsDo']);
        if((trim($vd['vrsDo'])=='1' || $vd['azurStanja']==0) && $_SESSION['admin']['prioritet']!=9)
            return 'LEFT OUTER JOIN';
    }
    return 'JOIN';
  //  return 'LEFT OUTER JOIN';
}

function cijene($kodRobe,$cijena=NULL,$rabatPopust=NULL,$absRabatPopust=NULL,$poreznaGrupa='A',$porezZaCijenuSporezom=NULL) {
// minimalno popunjen kodRobe    
// izračunava mpc cijene i neto cijene iz tabele maticna_robe
//  ili iz dok_stavke (svi parametri su u tom slučaju popunjeni) $porezZaCijenuSporezom nije NULL ako je pozvan iz pisi_dok(iz dok_stavke)
// ako  $cijena nije popunjena(NULL je) ili je nula
//ako je $rabatPopust NULL isto ga vadi iz maticna_robe s tim da onda
//postavlja absRabatPopust na %  
//  inače ako je absRabatPopust = 'A' ONDA JE ABSOLUTNI inače sve ostalo je %
//  
// u programima order.php i account>_view_order koristi se prvotna verzija cijene(za Web prodaju)   
// krivi raspored parametara
    
    global $db;
 $porezZaCijenuSporezomOrg=$porezZaCijenuSporezom;   // iz dok_stavke to je ukalkuliraniPorez (za maloprodaje) a PDV za veleprodaje 
 $cijenaSpdvIzMaticne = 0; // za # nema ulogu, a za svaki stvarni kod robe je računa      
 if (trim($kodRobe) != '#') {
	$query = '
        SELECT cijena, poreznaGrupa, popust
        FROM maticna_robe m
           INNER JOIN robne_grupe g
           ON m.kodGrupe = g.kodGrupe
        WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();        
//       if (isset($_SESSION['dok_zag']['vrsDo']) && $_SESSION['dok_zag']['vrsDo'] == 'N ' && $cijena == 0) {
            //ne radi nista
//        } else {   
        
 	if (!isset($cijena) || $cijena == 0) $cijena = $result['cijena'];
           
//        }              
	if (!isset($rabatPopust)) {
	 $rabatPopust = $result['popust'];  
	 $absRabatPopust = '%'; 
        }		 
        $poreznaGrupa = $result['poreznaGrupa'];
	$porez = get_porez($poreznaGrupa);
	$porezZaCijenuSporezom = $porez['PDV'];
        $cijenaSpdvIzMaticne = round($result['cijena'] * (1 + $porezZaCijenuSporezom / 100),2);
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 } else	{
 //  kodRobe=#    u ovom slučaju je popunjen parametar porezna grupa 
    $porez = get_porez($poreznaGrupa);
    $porezZaCijenuSporezom = $porez['PDV']; 
 }
                    
 if ($porezZaCijenuSporezomOrg !== NULL) $porezZaCijenuSporezom = $porezZaCijenuSporezomOrg;  // pozvan iz pisi_dok ili vezano uz dok_stavke
 
  // za maloprodaje
  //  VAŽNO  ABSOLUTNI POPUST JE S UKLJUČENIM POREZOM
 	    $cijenaSpdv = round($cijena * (1 + $porezZaCijenuSporezom / 100),2); 
            if ( trim($rabatPopust) == '' )  $rabatPopust = 0;
	    $popustNaCijenuSpdv = $cijenaSpdv * $rabatPopust / 100;         
	    if ($absRabatPopust == 'A') $popustNaCijenuSpdv = $rabatPopust;
	    $netoCijenaSpdv = round(($cijenaSpdv - $popustNaCijenuSpdv),2); 
//za veleprodaje
//ABSOLUTNI POPUST JE BEZ POREZA i cijena se na 3 decimale zaokruzi
	    $popustNaCijenuBpdv = $cijena * $rabatPopust / 100;
	    if ($absRabatPopust == 'A') $popustNaCijenuBpdv = $rabatPopust;
	    $netoCijenaBpdv = round(($cijena - $popustNaCijenuBpdv),4); 
		
	    $cijene = array();
            $cijene['cijena'] = $cijena; 
	    $cijene['cijenaSpdv'] = $cijenaSpdv;
            $cijene['netoCijenaSpdv'] = $netoCijenaSpdv;
 	    $cijene['netoCijenaBpdv'] = $netoCijenaBpdv;
            $cijene['cijenaSpdvIzMaticne'] = $cijenaSpdvIzMaticne;
  return $cijene;
}
function zbroj($prodavaona, $vrstaDokumenta, $proIn, $zapisnik, $brojDokumenta, $verzija) {
    global $db;
//samo internet narudzbe	
 if ($vrstaDokumenta == "IN") {
	    $query = 'SELECT PDV, cijena, popust, kolicina
		FROM narudzbe_stavke WHERE  brojNarudzbe = :brojDokumenta ';
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':brojDokumenta', $brojDokumenta);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
     // return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  }
  
  $iznosBezPdv = 0;
  $iznosPopusta = 0;
  $zaNaplatu = 0;
  $zbroj = array();   
  foreach($result as $stavkaZbroja) {
         $cijena = $stavkaZbroja['cijena'];
         $kolicina = $stavkaZbroja['kolicina'];
		 $PDV = $stavkaZbroja['PDV'];
		 $popust = $stavkaZbroja['popust'];
	$bezPdvStavka = $cijena * $kolicina;	
	$iznosBezPdv += $bezPdvStavka;
    $cijenaSpdv = round(($cijena * (1 + $PDV / 100)),2); 	
	$popustNaCijenu = $cijenaSpdv * $popust / 100; 
	$netoCijenaSpdv = round(($cijenaSpdv - $popustNaCijenu),2);
	$zaNaplatuStavka = $netoCijenaSpdv * $kolicina;
   	$zaNaplatu += $zaNaplatuStavka;
    // $pdvUstavki = ($netoCijena - ($netoCijena / ( 1 + $PDV / 100))) * $kolicina;
    $popustStavka = ($cijenaSpdv - $netoCijenaSpdv) * $kolicina;
    $iznosPopusta += $popustStavka;  	
//razrada po stopama
   // if (!isset($zbroj[$PDV])) {
//	   $zbroj[$PDV] = $PDV;
//	   $zbroj[$PDV]['iznosPdv'] = $pdvUstavki;
//	 }  
//	elseif ( $zbroj[$PDV] == $PDV ) {
//	    $zbroj[$PDV]['iznosPdv'] = $zbroj[$PDV]['iznosPdv'] + $pdvUstavki;
//	}	
  } 
  
  $zbroj['zbrojStavki'] = $zaNaplatu; 
  
   if ($vrstaDokumenta == "IN") {
	    $query = 'SELECT trosakIsporuke, poreznaGrupaIsporuke, PDVisporuke
		FROM narudzbe WHERE  brojNarudzbe = :brojDokumenta ';
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':brojDokumenta', $brojDokumenta);
        $statement->execute();
        $result2 = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
	$zaNaplatu += $result2['trosakIsporuke']; 
	// treba razraditi po stopama
    // trosakIsporuke je s PDV-om	
  }
  
  $zbroj['iznosPopusta'] = round($iznosPopusta, 2);
  $zbroj['iznosBezPdv'] = $iznosBezPdv; 
  $zbroj['zaNaplatu'] = $zaNaplatu; 
  return $zbroj;
}

function drzave($zemlja) {
       switch ($zemlja) {
		    case '1':
		       $naziv_zemlje = "Austrija";
		       break; 
		    case '2':
		       $naziv_zemlje = "Bosna i Hercegovina";
		       break; 
		    case '3':
		       $naziv_zemlje = "Hrvatska";
		       break; 
			case '4':
		       $naziv_zemlje = "Italija";
		       break; 
            case '5':
		       $naziv_zemlje = "Mađarska";
		       break; 			   
			case '6':
		       $naziv_zemlje = "Slovenija";
		       break; 			 
            case '7':
		       $naziv_zemlje = "Srbija";
		       break; 	
			case '999':
		       $naziv_zemlje = "Ostale države";
		       break; 	   
            default:
               $naziv_zemlje = "Ostale zemlje";
            break;			   
		}
return $naziv_zemlje;	
}	
function prijevoz($nacinIsporuke) {
       switch ($nacinIsporuke) {
		    case '1':
		       $naziv_prijevoza = "Naš prijevoz";
		       break; 
		    case '2':
		       $naziv_prijevoza = "Poštom";
		       break; 
		    case '3':
		       $naziv_prijevoza = "HPexpress";
		       break; 
			case '4':
		       $naziv_prijevoza = "Kupac sam preuzima robu";
		       break; 
            case '5':
		       $naziv_prijevoza = "CityExpress";
		       break; 			   
			case '999':
		       $naziv_prijevoza = "Ostalo";
		       break; 	   
            default:
               $naziv_prijevoza = "Ostalo";
            break;			   
		}
return $naziv_prijevoza;	
}	

function get_pocetna_stranica_prodaje($vrstaBloka='',$verzijaBloka='',$kodRobe='') {   
    global $db;
	    $query = "SELECT * from pocetna_stranica_prodaje
		WHERE
                (vrstaBloka = :vrstaBloka or trim(:vrstaBloka) = '')
                and (verzijaBloka = :verzijaBloka or trim(:verzijaBloka)='')
                and (kodRobe = :kodRobe or trim(:kodRobe)='')
                ORDER by redosljedBloka, vrstaBloka, verzijaBloka, redniBrojZaKodRobe
            ";
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaBloka', $vrstaBloka);
        $statement->bindValue(':verzijaBloka', $verzijaBloka);
         $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;    
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function delete_pocetna_stranica_prodaje_jedan_blok($vrstaBloka,$verzijaBloka) {   
    global $db;
	    $query = 'DELETE FROM pocetna_stranica_prodaje
                WHERE vrstaBloka = :vrstaBloka 
            AND verzijaBloka = :verzijaBloka';
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaBloka', $vrstaBloka);
        $statement->bindValue(':verzijaBloka', $verzijaBloka);        
        $statement->execute();
        $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        } 
}
function update_redosljedBloka($slogZaUnos) {
     /*  provjera da li je došlo do promjene redosljedBloka pa se u tom slučaju na taj novi redosljed bloka ažuriraju sve
               stavke toga bloka da se ne mora ažurirati svaki slog pojedinačno   */ 
    global $db;
    $slogBlokaKojieSeMijenja=get_pocetna_stranica_prodaje($slogZaUnos['vrstaBloka'],$slogZaUnos['verzijaBloka'],$slogZaUnos['kodRobe']);
  
    if (empty($slogBlokaKojieSeMijenja)) {
        echo 'Greška, nije nađen slog koji se želi mijenjati u pocetna_stranica_prodaje PG!';
        exit;
    }
    if ($slogBlokaKojieSeMijenja[0]['redosljedBloka'] != $slogZaUnos['redosljedBloka']) {
         $query = 'UPDATE pocetna_stranica_prodaje
                set redosljedBloka = :redosljedBloka
                WHERE vrstaBloka = :vrstaBloka 
                AND verzijaBloka = :verzijaBloka';
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaBloka', $slogZaUnos['vrstaBloka']);
        $statement->bindValue(':verzijaBloka', $slogZaUnos['verzijaBloka']);  
        $statement->bindValue(':redosljedBloka', $slogZaUnos['redosljedBloka']);  
        $statement->execute();
        $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        } 
        
    }              
}
?>