<?php
include_once './dokumenti/komponenteZaPlace.php';
include_once '../model/maticna_radnika_db.php';
include_once './model/obracuni_placa_db.php';
include_once './model/primici_po_obracunu_db.php';    
include_once './model/osobni_odbici_db.php';    
include_once './model/doprinosi_porezi_db.php';
include_once './model/krediti_obustave_db.php';

$greska=''; // greška kod prihvata podataka stvarna greška
$poruka=''; // poruka koja nije greška

$oznakeGreske['godinaObracuna'] = '&nbsp;';
$indikatorGreskeUobracunu = false;
    // izvršavanje komplet obračuna    
$brojRadnikaUobradi = 0;
$sumaZaIsplatu = 0;

$naslov='Obračun plaće';

// *************************************************************************************************************************************

if(isset($_POST['mjesecObracuna'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracuna = $_POST['mjesecObracuna'];
    $godinaObracuna = $_POST['godinaObracuna'];
    $vrstaPlace = $_POST['vrstaPlace'];
    $verzijaPlace = $_POST['verzijaPlace'];
    if (!isset($_POST['prehrana'])) $_POST['prehrana'] = 55.08;
    $prehrana = $_POST['prehrana'];
    if (!isset($_POST['bonus'])) $_POST['bonus'] = 55.08;
    $bonus = $_POST['bonus'];
    if ($vrstaPlace != 'redPla') {
        $bonus=0;
        $prehrana=0;
    }
    $vrstaJOPPDizvjesca=$_POST['vrstaJOPPDizvjesca'];
    if ( isset($_POST['vrstaNeoporezivogPrimitka']) ) $vrstaNeoporezivogPrimitka = $_POST['vrstaNeoporezivogPrimitka']; else  $vrstaNeoporezivogPrimitka = '';  
    if ( isset($_POST['iznosNeoporezivogPrimitka']) ) $iznosNeoporezivogPrimitka = $_POST['iznosNeoporezivogPrimitka']; else  $iznosNeoporezivogPrimitka = '';
    
    $obracun = get_obracuni_placa($godinaObracuna, $mjesecObracuna, $godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika='');
    $brojDjelatnika = count($obracun);
    $primici = get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca);
    $brojPrimitaka = count($primici);

    if (empty($obracun)) {
       $mjesecniFondSati = $_POST['ukupniFondSati'];
       $satiBlagdana = $_POST['satiBlagdana'];
       $JOPPD = $_POST['JOPPD'];
       $datumIsplatePlace = $_POST['datumIsplatePlace'];
       $greska = is_valid_datum_($datumIsplatePlace,/*$unutarArhive=*/false,/*$formatBezTocaka=*/true,/*$trebaBitiPopunjen=*/true,/*$buduciDatum=*/true);
    } else {
        $mjesecniFondSati = $obracun['0']['ukupniFondSati']; 
        $satiBlagdana = $obracun['0']['satiBlagdana'];
        $di = new DateTime($obracun['0']['datumIsplatePlace']);        
        $datumIsplatePlace = $di->format("d.m.Y");
        $JOPPD = $obracun['0']['JOPPD'];        
    } 
    // donji postovi ne moraju postojati npr. ako je obračun zaključan nema ih u formi
    $primiciPlaceIz = 'prijePripremljeni';
    $ponistavanjeObracunaPrimitaka = 'nistaSeNeBrise';
    if ( isset($_POST['primiciPlaceIz']) ) $primiciPlaceIz = $_POST['primiciPlaceIz']; 
    if ( isset($_POST['ponistavanjeObracunaPrimitaka']) ) $ponistavanjeObracunaPrimitaka = $_POST['ponistavanjeObracunaPrimitaka']; 
   
  
    if (isset($_POST['neoporeziviPrimiciDaNe']))
        $neoporeziviPrimiciDaNe=$_POST['neoporeziviPrimiciDaNe'];
    else
        $neoporeziviPrimiciDaNe = '';
    
    if (isset($_POST['neoporeziviPrimiciDaNe']) && $iznosNeoporezivogPrimitka == 0) {
        $greska = 'Odabran je obračun neoporezivh primitaka, a iznos neoporezivog primitka je NULA (0) ! '; 
    }
    
// ======================================================================================================================================================= 
  
   if (!empty($obracun)) {    // zaključavanja ,otključavanje, brisanja
   // 
       // ako nije zaključavanje brisanje i otključavanje
       $poruka = 'Obračun postoji sa navedenim podacima: Broj primitaka=' . $brojPrimitaka . ' broj djelatnika=' . $brojDjelatnika;
       if ( trim($obracun['0']['datumZakljucavanja'] !='') ) {
            $poruka .= ' i zaključen je sa datumom ' . $obracun['0']['datumZakljucavanja']  . ' i ne može se više mjenjati.';
       } else {
            $poruka .= ' i nije zaključen. ';             
       }  
       if (empty($primici)) {
           $greska .= ' GREŠKA ne postoje primici !?';
       }    
       
        if( isset($_POST['zakljucavanjeObracuna']) ) {
            if (trim($obracun['0']['datumZakljucavanja']) == '') {
               $brojZakljucanih = zakljucavanja_obracuna($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca);              
               $poruka = 'Obračun je zaključen i zaključan za ' .  $brojZakljucanih . ' djelatnika i ne može se više mjenjati';
            } else {
               $greska = 'Obračun je zaključan sa datumom: ' . $obracun['0']['datumZakljucavanja'] . ' i ne može se ponovno zaključavati!.'; 
            } 
            unset($_POST['zakljucavanjeObracuna']);
        }
        if( isset($_POST['otkljucavanjeObracuna']) ) {    
            if (trim($obracun['0']['datumZakljucavanja']) != '') {            
               $brojOtkljucanih  = otkljucavanje_obracuna($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca);
               $poruka = 'Obračun je otključan za ' . $brojOtkljucanih . ' djelatnika i može se mjenjati';
            } else {
                $greska = 'Navedni obračun je otprije otključan pa ga ne treba ponovno zakljućavati !';
            }   
            unset($_POST['otkljucavanjeObracuna']);
        }     
        if ($ponistavanjeObracunaPrimitaka != 'nistaSeNeBrise' and !isset($_POST['zakljucavanjeObracuna']) and !isset($_POST['otkljucavanjeObracuna'])  and !isset($_POST['konacniObracun']) ) {  //  ostaju dvije varijante za brisanje        
            if ( trim($obracun['0']['datumZakljucavanja']) == '' ) {
                $brojBrisanih = brisanjeObracuna($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca, $ponistavanjeObracunaPrimitaka);
                
                $porukaBrisanje2 =
                'Obrisano primitka:' . $brojBrisanih['primici_po_obracunu'] . ', djelatnika iz obracuna:' . $brojBrisanih['obracuni_placa'] . ', obračunatih doprinosa poreza:' .
                $brojBrisanih['doprinosi_porezi_po_obracun'] . ', kredita-obustava:' . $brojBrisanih['krediti_obustave_po_obracunu'] . 
                ' isplata na banke:'. $brojBrisanih['isplate_na_banke_po_obracunu'];       
                
                if ( $ponistavanjeObracunaPrimitaka == 'brisiObracunAprimitkeNe' ) {                   
                    $poruka = 'Obračun je obrisan, a primici plaće nisu. <br> ' . $porukaBrisanje2;                   
                } else {
                    $poruka = 'Obrisan je kompletni obračun sa primicima plaće.<br> ' . $porukaBrisanje2;                       
                }  
                
            }                 
        }
   } else {  // ne postoji obračun dali postoje primici plaće ili ne?  
        if (empty($primici)) {
            $poruka = 'Ne postoje primici plaće niti obračun. Prvo treba kreirati primitke plaće(iz evidencije radnog vremena ili matične tabele radnika) <br>'
                    . ' ili ih unjeti ručno. Nakon provjere primitaka plaće pušta se konačni obračun(kvačica na rubriku Konačni obračun)';
      //      $primiciPlaceIz='izEVRV';
            $ponistavanjeObracunaPrimitaka = 'nistaSeNeBrise';
        } else { // postoje primici plaće a obračun ne
            $poruka = 'Postoje primici plaće(ukupno ' . $brojPrimitaka . ' stavki po svim djelatnicima), ali obračun još nije proveden. <br>'
                    . ' Nakon provjere primitaka plaće pokreće se konačni obračun(kvačica na rubriku Konačni obračun plaće)';         
            if ($ponistavanjeObracunaPrimitaka != 'nistaSeNeBrise' and !isset($_POST['zakljucavanjeObracuna']) and !isset($_POST['otkljucavanjeObracuna'])  and !isset($_POST['konacniObracun']) ) {  //  ostaju dvije varijante za brisanje        
            // kako obračuna nema za brisanje jedina opcija je brisanjeKompletObracuna (ali u ustvari briše samo primitke)        
                $brojBrisanih = brisanjeObracuna($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$ponistavanjeObracunaPrimitaka);    
                $poruka = 'Obrisano je ' . $brojBrisanih['primici_po_obracunu'] . ' primitaka plaće.';                                  
           }         
            $primiciPlaceIz='prijePripremljeni'; 
            $ponistavanjeObracunaPrimitaka = 'nistaSeNeBrise';
        }
   }   
if ($greska == '')  {  
    
// =========================OBRAČUN==================================================================================================
// primici se kreiraju samo ako obračun ne postoji i ako ne postoje primici  
//   echo ' !issetttprimici' . !isset($primici);
    if ( $primiciPlaceIz != 'prijePripremljeni' and empty($obracun) and empty($primici) ) {
       // echo 'dolazim prije kreiranja primitaka';
        kreiranjePrimitakaZaObracunPlace($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$primiciPlaceIz,
                                         $mjesecniFondSati,$satiBlagdana,$vrstaNeoporezivogPrimitka,$iznosNeoporezivogPrimitka,$prehrana,$bonus);   
   /*     if( isset($_POST['konacniObracun']) ) { */
            $primiciNakonKreiranja = get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca);
            $brojPrimitaka = count($primiciNakonKreiranja);
            $poruka = 'Kreirano je ' . $brojPrimitaka . ' stavki primitaka. <br>';
      //  }    
    }

    // izvršavanje komplet obračuna    
/* iz maticna_radnika odaberu se radnici koji idu u obračun, prema datumu zaposlenja ili datumu odlaska, i prema vrsti plaće */
$radniciZaObracun = array();
 
if( isset($_POST['konacniObracun']) and ( !empty($primici) or !empty($primiciNakonKreiranja) ) ) {
   if (empty($obracun))  {              
     $radniciZaObracun = getMaticnaRadnikaZaObracunPlace($godinaObracuna, $mjesecObracuna, $vrstaPlace);
   } else {
      $greska = 'Navedeni obračun postoji prije, pa se ne može ponovno pokrenuti.' . ' Ako se obračun želi ponoviti, prije ga treba obrisati.!';   
   }      
}
// ----------------------------------------------------------------------------------------------------------------------------------------------------

$akoSuSamoNeoporeziviPrimici = akoSuSamoNeoporeziviPrimici($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca); 

foreach ($radniciZaObracun as $r) {
// izračun i upis doprinosa i poreza    
    
 //   if ($r['kodRadnika'] != '79991') continue;
    $primiciPoRadniku = get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $r['kodRadnika']);
    if (empty($primiciPoRadniku)) {
       echo 'Za djelatnika sa kodom: ' . $r['kodRadnika'] . '&nbsp; ' . $r['imeIprezime'] . ' iz &nbsp;' . $r['mjestoBoravka'] . ' &nbsp; NEMA NITI JEDNOG PRIMITKA !';
       continue;
    }   
    $rez = obracunDoprinosaPoreza($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca, $r['kodRadnika'],$JOPPD,$r['drugiStup'],
           $r['kojaVrstaZaDjecu'],$r['kojaVrstaZaUzdrzavane'],$r['kojaVrstaZaInvalidnost'],$r['opcinaPrebivalista'],$r['imeIprezime'],$r['vrstaObracuna']);
    if ($rez['greska'] != '') $indikatorGreskeUobracunu = true;
   
// kreditiObustave 
// treba sprogramirati da skida ako je popunjen broj rata do max. broja rata
//   npr. pocetakObustave  od 1.2-2020 do 29.02.2020  kredit se počinje skidati na plaći za 1. mjesec koja se isplaćuje u 2. mjesecu     
   $osnovicaZaKrediteAbsulutnaRata = $ostajeZaIsplatu_1 = $rez['netoPlaca'] + $rez['sumaNeoporeziviPrimici']; 
   $osnovicaZaKreditePostoRata = $rez['dohodak'];
   $datumSaMjesecomObustave = $godinaObracuna . '-' . str_pad(($mjesecObracuna+1),2,'0',STR_PAD_LEFT) . '-01';
     if ($mjesecObracuna == 12 )  $datumSaMjesecomObustave = ($godinaObracuna + 1) . '-' . '01' . '-01';   // 01.12.2020 TJ
   // zadnji dan u mjesecu kada može biti plaća za prošli mjesec
   $datumSaMjesecomObustave_o = new DateTime($datumSaMjesecomObustave);
   $datumSaMjesecomObustave_o->modify('last day of this month');
   $datumSaMjesecomObustaveZadnjiDan=$datumSaMjesecomObustave_o->format('Y-m-d');
  // echo 'datumZadniDan=' . $datumSaMjesecomObustaveZadnjiDan;
   
    $imaOporeziveDobiti = 'Ne';  /* dobit1 12% ili dobit2 10% */
    $imaNeoporeziveDobiti = 'Ne';
    $imaDrugihPrimitakaKojiNisuOporezivaDobit = 'Ne';

    foreach ( $primiciPoRadniku as $p) {        
        if ($p['vrstaPrimitka'] == 'dobit1' || $p['vrstaPrimitka'] == 'dobit2') $imaOporeziveDobiti = 'Da'; else $imaDrugihPrimitakaKojiNisuOporezivaDobit = 'Da';   
        if ($p['vrstaPrimitka'] == 'dobit0') $imaNeoporeziveDobiti = 'Da';
    } 
   
   if ( $akoSuSamoNeoporeziviPrimici['oporeziviNeoporezivi'] === 'samoNeoporezivi' || $imaOporeziveDobiti == 'Da' || $imaNeoporeziveDobiti == 'Da' ) {
      $obustave = array(); 
   } else {
      $obustave =  get_krediti_obustave($r['kodRadnika'], 'aktivni', $datumSaMjesecomObustaveZadnjiDan);  
  //     prikaziUTablici($obustave, 'Krediti',400);
      
   }
   
   foreach ($obustave as $ob) {
       if ( $ob['absRataKredita'] ==  '%')  $rata = round( ( $osnovicaZaKreditePostoRata * $ob['rataKredita'] / 100) ,2 );
                                            else $rata = $ob['rataKredita'];                                          
// eventualno prva ili zadnja rata  ? 
       if ($rata <= $ostajeZaIsplatu_1) {
           $ostajeZaIsplatu_1 -= $rata;
           addKrediti_obustave_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $r['kodRadnika'],$ob['kodBanke'],$ob['kodKredita'],
            $rata,$ob['virmanPojedinacniGrupni'],$ob['modelPlatitelja'],$ob['pozivNaBrojPlatitelja'],$ob['brojRacunaZaIsplatuKredita'],
            $ob['modelPrimatelja'],$ob['pozivNaBrojPrimatelja'],$JOPPD);          
       } else {
          $indikatorGreskeUobracunu = true;
          echo 'Kod pokušaja provođenja rate za kredite-obustave iznos obustave je veći od neto plaće za radnika ' . $r['kodRadnika'] .  ' ' .
          $r['imeIprezime'] . ' Banka(kreditor):' . $ob['kodBanke'] . ' Kod kredita(oznaka);' . $ob['kodKredita'] . ' rata: ' . $rata . 
          ' Ostaje za isplatu prije skidanja rate=' . $ostajeZaIsplatu . ' ' . $ob['brojRacunaZaIsplatuKredita'] . '<br>';
       }                                                                                                                    
   }
// zaIsplatu isplata po bankama 
$iznosZaIsplatu = round($ostajeZaIsplatu_1,2); // preostali dio nakon skidanja kredita (uključen i prijevoz) 

$prijevTroskovi = get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $r['kodRadnika'],'prijev');
if (empty($prijevTroskovi))  {
   $prijevoz = 0;
 } else {
   $prijevoz = $prijevTroskovi[0]; 
}

$prehrana = get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $r['kodRadnika'],'prehrM');
if (empty($prehrana))  {
   $prehrana = 0;
 } else {
   $prehrana = $prehrana[0]; 
}

$rezultatiRada = get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $r['kodRadnika'],'rezuRm');
if (empty($rezultatiRada))  {
   $rezultatiRada = 0;
 } else {
   $rezultatiRada = $rezultatiRada[0]; 
}

$placaBezPriPreRezR = $iznosZaIsplatu - $prijevoz - $prehrana - $rezultatiRada;
$placaBezPriPreRezROstalo = $placaBezPriPreRezR;

$bankePoRadniku = get_isplate_na_banke_maticna_radnika_1radnik($r['kodRadnika']);
if (empty($bankePoRadniku)) { 
    echo 'GREŠKA; Za radnika ' . $r['kodRadnika'] . ' ' . $r['imeIprezime'] . ' u matičnim podacima o radnicima '
          . ' nije prijavljena niti jedna banka na koju se isplaćuje plaća ! <br>';
    $indikatorGreskeUobracunu = true;
continue;
}

$brojBanki = 0;
$bpomo = array();

 
foreach ($bankePoRadniku as $b) {
    if ($imaOporeziveDobiti == 'Da' || $imaNeoporeziveDobiti == 'Da') {   /* isplata oporezive ili neoporezive dobiti  na isti račun kao i plaća ali različiti pozivi na broj */
        $b['modelPlatitelja'] = 'HR67'; $b['pozivNaBrojPlatitelja'] = 'OIBpl-JOPPD-12'; $b['modelPrimatelja'] = 'HR69'; $b['pozivNaBrojPrimatelja'] = '40002-OIBpl-150';
    }
   
    if ( $b['postoIliIznos'] ==  '%') {
        $iznosPoBanci = round( ($placaBezPriPreRezR * $b['postoIliIznosPlace'] / 100),2);
        if ($b['postoIliIznosPlace'] == 100) $iznosPoBanci = $placaBezPriPreRezR;
        
    } elseif ($b['postoIliIznos'] == 'iznos') {
        $iznosPoBanci = $postoIliIznosPlace;        
    } else {  
// 'ostatak'  se na kraju određuje tako ta banka ostatak ne mora biti zadnja (može biti prva ili bilo gdje)
// a po izlasku iz pelje se puni        
        $bpomo = $b;
        continue;
    }
    $placaBezPriPreRezROstalo  -= $iznosPoBanci; 
    addisplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$b['kodBanke'],$b['verzijaIsplate'],
     $b['modelPlatitelja'],$b['pozivNaBrojPlatitelja'],$b['brojRacunaZaIsplatuPlace'], 
     $b['modelPrimatelja'],$b['pozivNaBrojPrimatelja'],$iznosPoBanci,$b['nacinIsplate'],$JOPPD);    
    
    if ($brojBanki == 0 && $prijevoz != 0)  {// upis prijevoza na prvoj banki na verziju isplate PR
     $pozivNaBrojPrimateljaPrijevoz = '40002-OIBpl-190';
     addisplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$b['kodBanke'],'PR',
     'HR99','',$b['brojRacunaZaIsplatuPlace'], 
     $b['modelPrimatelja'],$pozivNaBrojPrimateljaPrijevoz,$prijevoz,$b['nacinIsplate'],$JOPPD);  
    }    
    
     if ($brojBanki == 0 && $prehrana != 0)  {// upis prehrane na prvoj banki na verziju isplate PH
     $pozivNaBrojPrimateljaPrehrana = '40002-OIBpl-191';
     addisplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$b['kodBanke'],'PH',
     'HR99','',$b['brojRacunaZaIsplatuPlace'], 
     $b['modelPrimatelja'],$pozivNaBrojPrimateljaPrehrana,$prehrana,$b['nacinIsplate'],$JOPPD);  
    }    
    
     if ($brojBanki == 0 && $rezultatiRada != 0)  {// upis rezultatat rada na prvoj banki na verziju isplate RR
     $pozivNaBrojPrimateljaRezultatiRada = '40002-OIBpl-250';
     addisplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$b['kodBanke'],'RR',
     'HR99','',$b['brojRacunaZaIsplatuPlace'], 
     $b['modelPrimatelja'],$pozivNaBrojPrimateljaRezultatiRada,$rezultatiRada,$b['nacinIsplate'],$JOPPD);  
    }    
    $brojBanki++;    
}
if (!empty($bpomo)) {
    // ima banka za isplatu na koju se isplaćuje ostatak
    $iznosPoBanci = $placaBezPriPreRezROstalo;    
    $b = $bpomo;
    addIsplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$b['kodBanke'],$b['verzijaIsplate'],
     $b['modelPlatitelja'],$b['pozivNaBrojPlatitelja'],$b['brojRacunaZaIsplatuPlace'], 
     $b['modelPrimatelja'],$b['pozivNaBrojPrimatelja'],$iznosPoBanci,$b['nacinIsplate'],$JOPPD);  
    $placaBezPriPreRezROstalo -= $iznosPoBanci;
}
if ($placaBezPriPreRezROstalo !=0) {
       $indikatorGreskeUobracunu = true;
          echo 'Nakon raspodjele iznosa za isplatu po bankama, ostao je dio neraspodjeljenog iznosa: ' . $iznosZaIsplatuOstalo . '  ' . $r['kodRadnika'] .  ' '
        . $r['imeIprezime'] . ' zadnja banka:' . $b['kodBanke']  . $b['nazivBanke']  .$b['brojRacunaZaIsplatuPlace'];
}
// pisi u obracun    
    addObracuni_placa($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$JOPPD,$datumIsplatePlace,
$rez['iznosOsnovniOdbitak'],$rez['koeficijentZaDjecu'],$rez['iznosOdbitkaZaDjecu'],$rez['koeficijentZaUzdrzavane'],$rez['iznosOdbitkaZaUzdrzavane'],
$rez['koeficijentZaInvalidnost'],$rez['iznosOdbitkaZaInvalidnost'],$rez['iznosIskoristeniOdbitak'],$iznosZaIsplatu,$mjesecniFondSati,$satiBlagdana);     
    $brojRadnikaUobradi++;
    $sumaZaIsplatu += $iznosZaIsplatu; 
  
} // end foreach radniciZaObracun

// -----------------------------------------------------------------------------------------------------------------------------------------------------

if ($indikatorGreskeUobracunu === true) {    
    brisanjeObracuna($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca); 
    echo '<br> Kod obračuna plaće pojavile su se prije navedene greške pa obračun NIJE proveden !!! , a privremeno provedeni dijelovi obračuna su obrisani: <br>';
    echo 'Obrisano primitka:' . $brojBrisanih['primici_po_obracunu'] . ', djelatnika iz obracuna:' . $brojBrisanih['obracuni_placa'] . ', obračunatih doprinosa poreza:' .
                    $brojBrisanih['doprinosi_porezi_po_obracun'] . ', kredita-obustava:' . $brojBrisanih['krediti_obustave_po_obracunu'] . 
                    ' isplata na banke:'. $brojBrisanih['isplate_na_banke_po_obracunu'];     
    exit;
} 
$obracun = get_obracuni_placa($godinaObracuna, $mjesecObracuna, $godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,$kodRadnika='');
$brojDjelatnika = count($obracun);
if ( isset($_POST['konacniObracun']) and $greska == '' ) {
    if ($brojDjelatnika > 0) {
          $poruka = 'Obračun je uredno završio na:' . $brojDjelatnika . ' djelatnika. Broj stavki primitaka:' . $brojPrimitaka . 
          ' Iznos za isplatu djelatnicima:' . number_format($sumaZaIsplatu,2,',','.');   
    } else {     
           $poruka = 'Nije pronađen niti jedan djelatnik za navedeni obračun, pa obračun nije proveden ! ' .
                  ' Potrebno je prvo kreirati primitke programski ili ih unjeti ručno';
    }     
} 
// ========================================================================================================================================================

 } //end za greška prije obračuna datum
 
} else { // ušli smo iz od menua POČETNI ULAZ
    $d = new DateTime();
    $trenutniMjesec = $d->format('m');
    if ($trenutniMjesec == 1) {
        $mjesecObracuna = 12;
        $trenutnaGodina = $d->format('Y');
        $godinaObracuna = $trenutnaGodina -1;                 
    } else {
        $mjesecObracuna = $trenutniMjesec - 1;    
        $godinaObracuna = $d->format('Y');
    }   
    $vrstaPlace='redPla';
    $verzijaPlace='';
    $prehrana=55.08;
    $bonus=55.08;
    $vrstaJOPPDizvjesca='1';
    $JOPPD='';
     $neoporeziviPrimiciDaNe = ''; 
     $vrstaNeoporezivogPrimitka = 'prehrP';
 
    $iznosNeoporezivogPrimitka =  0;
    $fondSati = get_fond_sati($mjesecObracuna,$godinaObracuna);
    if (!empty($fondSati))   {
       $mjesecniFondSati=$fondSati['mjesecniFondSati'];
       $satiBlagdana=$fondSati['satiBlagdana'];
    } else {
       $mjesecniFondSati='176';
       $satiBlagdana=0;
    }
//    $JOPPD = 19000;
// $oznakeGreske['godinaObracuna'] = '&nbsp;';
    $datumIsplatePlace = $d->format("d.m.Y");
    
    $ponistavanjeObracunaPrimitaka='nistaSeNeBrise';
    
 //   $slogPlace1= getObracuniPlaca1Slog($mjesecObracuna,$godinaObracuna,$vrstaPlace,trim($verzijaPlace));
    $obracun = get_obracuni_placa($godinaObracuna, $mjesecObracuna, $godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika='');
    $brojDjelatnika = count($obracun);
    
    $primici = get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca);   
    $brojPrimitaka = count($primici); 
    if (!empty($obracun)) {              
       $primiciPlaceIz='prijePripremljeni'; 
       $mjesecObracuna = $obracun['0']['mjesecObracuna'];
       $godinaObracuna = $obracun['0']['godinaObracuna'];
       $fondSati = $obracun['0']['ukupniFondSati'];
       $di = new DateTime($obracun['0']['datumIsplatePlace']);
       $datumIsplatePlace = $di->format("d.m.Y");
       $JOPPD = $obracun['0']['JOPPD'];
       $poruka = 'Obračun postoji sa navedenim podacima: Broj primitaka=' . $brojPrimitaka . ' broj djelatnika=' . $brojDjelatnika;
       if ( trim($obracun['0']['datumZakljucavanja'] !='') ) {
            $poruka .= ' i zaključen je sa datumom ' . $obracun['0']['datumZakljucavanja']  . ' i ne može se više mjenjati.';
       } else {
            $poruka .= ' i nije zaključen. ';             
       }  
       if (empty($primici)) {
           $greska .= ' GREŠKA ne postoje primici !?';
       }           
    } else {      
        $poruka = 'Ne postoji obračun sa gornjim podacima ';
       if (empty($primici)) {
           $poruka .= ' a ne postoje ni primici plaće. Za novi obračun prvo treba kreirati primitke plaće, provjeriti i eventualno korigirati primitke, a zatim provesti konačni obračun. ';
           $primiciPlaceIz='izEVRV'; 
       }  else {
          $poruka .= ' ali primici plaće postoje. Ukupni broj stavki primitaka plaće : ' . $brojPrimitaka . '. Prekontrolirati primitke plaće i provesti konačni obračun. ';
          $primiciPlaceIz='prijePripremljeni'; 
       }           
    }

}  // end za ulazak iz menija

?>

<form action="." method="post" id="view_obracun_place">
<input type="hidden" name="action" value="izabran_je_obracun_place" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> 
        <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Da bi se obavio konačni obračun, prvo se obično kreiraju primici za plaću
(iz evidencije radnog vremena ili iz matičnih podataka o radnicima) ili se 
unašaju potpuno neautomatski - ručno.
Obračun se može napraviti i jednim klikom, kada se istovremeno kreiraju primici
plaće i radi konačni obračun.
Nezaključan obračun može se djelomično ili u potpunosti obrisati(poništiti).
Ako se obriše djelomično tako da se primici ne obrišu, primici se u tom slučaju
mogu ispravljati i nakon tog se ponovo pušta konačni obračun plače
s odabirom Primici plaće(podaci za plaću) uzimaju se: iz prije pripremljenih primitaka.
Kod potpunog brisanja obračuna, primici plaće se nakon toga mogu unositi ručno ili se odabere
neki od automatskih načina kreiranja primitaka." />   
       
    </h1>
Plaća za mjesec: 
<?php listaMjeseci("mjesecObracuna", $mjesecObracuna); ?> godinu: <input type="text" class="text_width_3em" name="godinaObracuna" id="godinaObracuna" value="<?php echo $godinaObracuna; ?>" 

               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
    <span class="greska"><?php echo $oznakeGreske['godinaObracuna']; ?> </span>
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $vrstaPlace); ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Verzija se za sada popunjava samo u slučaju isplate samostalnih neoporezivih primitaka.
(To bi se inače moglo koristiti ako bi se redovna plaća isplaćivala više puta na mjesec na rate(po dijelovima).
Popunjava se sa 1 ili dva znaka(slova ili brojke proizvoljno odabrano)
npr. BO(Božićnica), RE(Regres), PP(paušalni troškovi prehrane),
RR(rezultati rada), OT(otpremnina), NR(novorođenče)  ....
POGLEDATI DODATNI Help UZ RUBRIKU 
Obračun samo neoporezivih-samostalnih primitaka(Božičnica(Uskrsnica),Regres,Paušalni troškovi prehrane, Rezultati rada:
" /> &nbsp; &nbsp;  
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca", $vrstaJOPPDizvjesca); ?> 


<p>
Ukupni fond radnih sati za mjesec: <input type="text" class="text_width_2em" name="ukupniFondSati"  id="ukupniFondSati" value="<?php echo $mjesecniFondSati; ?>" /> 
&nbsp; &nbsp; Od toga sati blagdana-praznika: <input type="text" class="text_width_2em" name="satiBlagdana"  id="satiBlagdana" value="<?php echo $satiBlagdana; ?>" /> 
&nbsp; &nbsp; Datum isplate plaće(datum JOPPD-a): <input type="text" class="text_width_5em" name="datumIsplatePlace"  id="datumIsplatePlace" value="<?php echo $datumIsplatePlace; ?>" 
                      pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> 
&nbsp; &nbsp; JOPPD: <input type="text" class="text_width_4em" name="JOPPD"  id="JOPPD" value="<?php echo $JOPPD; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
 "VAŽNO: Identifikator JOPPD obrasca i
  Datum isplate plaće moraju biti usklađeni."  /> 
</p>  
<p>  
    
    <!-- donja polja se prikazuju ako obračun ne postoji ili nije zakljućan.-->
<?php if ( empty($obracun) || ( !empty($obracun) && trim($obracun['0']['datumZakljucavanja']) =='') ) : ?>   
    <?php if ( empty($primici) ) : ?>
            Primici plaće(podaci za plaću) uzimat će se ili kreirati:  
                    <select name="primiciPlaceIz">	
                        <option value="izMaticne" <?php if($primiciPlaceIz == 'izMaticne') echo 'selected="selected"'; ?>>iz matičnih podataka o zaposlenicima </option>
                        <option value="izEVRV" <?php if($primiciPlaceIz == 'izEVRV') echo 'selected="selected"'; ?>>iz evidencije radnog vremena i matične tabele radnika</option>
                        <option value="prijePripremljeni" <?php if($primiciPlaceIz == 'prijePripremljeni') echo 'selected="selected"'; ?>>iz prije pripremljenih postojećih primitaka                       
                    </select> 
             <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
             " 0.
             Stimulacija,troškovi prijevoza,bodovi(ili izračun bruto osnovice), osobni odbici uzimaju se iz
             tabele Matični podaci radnika, ili se unašaju ručno.
             1.
             Ako su primici uzimaju iz evidencije radnog vremena oni se
              kombiniraju sa matičnim podacima radnika(pod 0, i u tom slučaju
              tu je moguć najdetaljniji prikaz primitaka npr.
              godišnji odmori, bolovanja i prekovremeni sati se mogu pojavljivati više
              puta tokom mjeseca u prekinutim intervalima.
             2.
             Ako se primici plaće uzimaju prema matičnim podacima radnika,
             uzimaju se podaci pod 0., a podaci
              o godišnjem odmoru i bolovanjima mogu se prikazati 
             samo u neprekinutim intervalima. 
             3.
              Ručno unešeni primici moraju se unjeti prije puštanja ovog programa,
              (preko programa Primici za plaću, ili se mogu izvršiti ručne promjene
              automatizirano preuzetih primitaka iz 1 ili 2.
             4. 
               Samostalni neoporezivi primici(Regres, Božićnica, Paušalni troškovi
               prehrane,Isplata za rezultate rada... kreiraju se pod Redovna plaća
               kao samostalni obračun,
               a verzija plaće se popunjava npr. sa RE, BO, PR, RR ..." 
              /> 
             <?php if (isset($vrstaPlace) && $vrstaPlace =='redPla')  : ?>'
              &nbsp; &nbsp; Topli obrok(prehrana): <input type="text" class="text_width_4em" name="prehrana"  id="prehrana" value="<?php echo $prehrana; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Topli obrok prehrana neoporeziv primitak. Ovo se odnosi na mjesečni obračun uz redovnu plaću.
Treba paziti da ukupni godišnji zbroj ovog neoporezivog primitka za svih 12 mjeseci,
ne pređe ukupni propisani godišnji iznos(trenutno 5000).
Polje Obračun samo neoporezivih-samostalnih primitaka... koristi se ako se obračun radi na godišnjem nivou.
Za sve obuhvaćene radnike kreira se isti upisani iznos primitka.
Ako ima potrebe da se nekom radniku promjeni ili obriše iznos toplog obroka,
to se radi programom Primici za plaću nakon što su kreirani primici plaće,
a prije konačnog obračuna.
Za topli obrok se kreira poseban virman slično kao za prijevoz,
a navodi se kao posebna stavka na JOPPD obrscu ili u okviru stavke za redovnu plaću.
" /> &nbsp; &nbsp;  
             Neoporezivi bonus: <input type="text" class="text_width_4em" name="bonus"  id="bonus" value="<?php echo $bonus; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Neoporeziv bonos(ili neooporeziva nagrada za rezultate rada). Ovo se odnosi na mjesečni obračun uz redovnu plaću.
Treba paziti da ukupni godišnji zbroj ovog neoporezivog primitka za svih 12 mjeseci,
ne pređe ukupni propisani godišnji iznos(trenutno 5000).
Polje Obračun samo neoporezivih-samostalnih primitaka... koristi se ako se obračun radi na godišnjem nivou.
Za sve obuhvaćene radnike kreira se isti upisani iznos primitka.
Ako ima potrebe da se nekom radniku promjeni ili obriše iznos bonusa,
to se radi programom Primici za plaću nakon što su kreirani primici plaće,
a prije konačnog obračuna.
Za bonus se kreira poseban virman slično kao za prijevoz,
a navodi se kao posebna stavka na JOPPD obrscu ili u okviru stavke za redovnu plaću.
" /> &nbsp; &nbsp;  
           <?php endif; ?>
     <?php else : ?>
             
            <?php if (empty($obracun) ) : ?>
                Primici plaće preuzet će se ako se odabere konačni obračun:
                <select name="primiciPlaceIz">	 
                   <option value="prijePripremljeni" <?php if($primiciPlaceIz == 'prijePripremljeni') echo 'selected="selected"'; ?>>iz prije pripremljenih postojećih primitaka                 
                </select> 
                <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
                 "
                   Primici plaće postoje(kreirani iz programa i eventalno korigirani), ili ručno uneseni 
                   i kao takvi uzet će se u obzir za konačni pbračun ako se odabere konačni obračun.
                   Prije konačnog obračuna primici plaće se mogu još korigirati ili
                   obrisati i ponovno kreirati ili ručno unjeti i korigirati.               
                 " />
            <?php endif; ?>
     <?php endif; ?>        
           
</p>
<p>

<?php if (!empty($obracun) or !empty($primici) )  : ?>  
        <?php if ( !empty($obracun) and !empty($primici) ) : ?>
                Brisanje:  <select name="ponistavanjeObracunaPrimitaka">	
                                <option value="nistaSeNeBrise" <?php if($ponistavanjeObracunaPrimitaka == 'nistaSeNeBrise') echo 'selected="selected"'; ?>>ništa se ne briše</option>
                                <option value="brisiObracunAprimitkeNe" <?php if($ponistavanjeObracunaPrimitaka == 'brisiObracunAprimitkeNe') echo 'selected="selected"'; ?>>obračuna ali se primici plaće ne brišu </option>
                                <option value="brisiKompletObracun" <?php if($ponistavanjeObracunaPrimitaka == 'brisiKompletObracun') echo 'selected="selected"'; ?>>komplet obračuna sa primicima plaće</option>	       
                           </select> 
                     <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
                     "Poništavanje obračuna bez primitaka omogućava
                     da se postojeći primici korigiraju, a kada su napravljeni svi ispravci na primicima,
                     pokreće se obračun sa opcijom Prije pripremljeni primici.
                     "  /> 
        <?php elseif (empty($obracun) && !empty($primici)) : ?>
                     <!-- obračun ne postoji  -->
               Brisanje postojećih primitaka plaće  <select name="ponistavanjeObracunaPrimitaka">	
                                <option value="nistaSeNeBrise" <?php if($ponistavanjeObracunaPrimitaka == 'nistaSeNeBrise') echo 'selected="selected"'; ?>>ništa se ne briše</option>                               
                                <option value="brisiKompletObracun" <?php if($ponistavanjeObracunaPrimitaka == 'brisiKompletObracun') echo 'selected="selected"'; ?>> za sve djelatnike</option>	       
                           </select> 
                     <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
                     "Obrisani primici se nakon brisanja mogu ponovno programski kreirati iz evidencije radnog vremena
                     ili iz matične tabele radnika ili se unesu ručno.
                     "  />       
        <?php endif; ?>             
<?php else : ?>                    
     <?php $ponistavanjeObracunaPrimitaka = 'nistaSeNeBrise'; ?>
<?php endif; ?>
 
<?php if (empty($obracun)) : ?>
<input type="checkbox" name="konacniObracun"  <?php if(isset($_POST['konacniObracun'])) echo 'checked="checked"'; ?>  /> <b> Konačni obračun </b>  
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Konačni obračun pokreće se kada su provjereni svi primici plaće.
Ako se konačni obračun ne zaključa može se poništiti." /> &nbsp; &nbsp; 
<?php endif; ?>
<!-- zaključavanje obračuna se vidi ako postoji obracun -->
    <?php if ( !empty($obracun) ) : ?>
        <input type="checkbox" name="zakljucavanjeObracuna"  <?php if(isset($_POST['zakljucavanjeObracuna'])) echo 'checked="checked"'; ?>  /> Zaključavanje(zaključivanje) obračuna  
        <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
        " Sigurni konačni obračun se zaključava i nakon toga se
        više NE MOŽE PONIŠTITI ili MIJENJATI." /> &nbsp; &nbsp; 
    <?php endif; ?>    
        
<?php endif; ?>    
    
<?php if ($_SESSION['admin']['prioritet']<4 ) : ?>
   <?php if ( !empty($obracun) && trim($obracun['0']['datumZakljucavanja']) !='' ) /* otključati se može samo zaključana plaća */ : ?>
       <input type="checkbox" name="otkljucavanjeObracuna"  <?php if(isset($_POST['otkljucavanjeObracuna'])) echo 'checked="checked"'; ?>  /> Otključavanje obračuna  
   <?php endif; ?>    
<?php endif; ?>

<p></p>   


<input type="checkbox" name="neoporeziviPrimiciDaNe" id="neoporeziviPrimiciDaNe" <?php if($neoporeziviPrimiciDaNe!='') echo 'checked=""'; ?> /> Obračun samo neoporezivih-samostalnih primitaka(Božičnica(Uskrsnica),Regres,Paušalni troškovi prehrane, Rezultati rada ...
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ovi neoporezivi primici se obračunavaju kao samostalna redovna plaća
(Vrsta plaće: Redovna plaća), a Verzija: se proizvoljno puni sa 2 znaka
npr. BO(Božićnica), RE(Regres), PP(paušalni troškovi prehrane),
RR(rezultati rada), OT(otpremnina), NR(novorođenče)  ....
Prvo se kreiraju primici na način:
Primici plaće(podaci za plaću) uzimat će se ili kreirati: iz matičnih podataka o zaposlenicima
Odabere se Vrsta neoporezivog primitka: i Iznos neoporezivog primitka:
Tako se kreira isti iznos primitka za sve aktivne radnike.
Ako neki radnici imaju drugi iznos, napravi se izmjena ili brisanje primitka
za te radnike, i provede se konačni obračun.
Dalje je ista porcedura kao za redovnu plaću(Ispis obračuna,Rekapitular,Virmani,JOPPD
s tim da se vodi računa o Verzija: 
" /> &nbsp; &nbsp;  

<p></p>
<div id="neoporeziviPrimiciPanel" style="background-color: whitesmoke; display: none"> 
<fieldset> 
<p>   
Vrsta neoporezivog primitka: <?php listaNeoporezivihPrimitaka("vrstaNeoporezivogPrimitka", $vrstaNeoporezivogPrimitka); ?> &nbsp; &nbsp;
Iznos neoporezivog primitka: <input type="text" class="text_width_4em" name="iznosNeoporezivogPrimitka"  id="iznosNeoporezivogPrimitka" value="<?php echo $iznosNeoporezivogPrimitka; ?>" /> 
</p> 

</fieldset>    
</div>   


<p></p>
<div id="unosStavke">    
   
<p></p>

<?php 
$greska .= $poruka;
postaviTipkeUnosa('Unos', $greska) ;
?>

</div>
   
</form>

<?php  
  
?>
<script type="text/javascript" src="../js/vrijemeJS.js"></script>
<script>

function racunajJOPPD() {
    p = datumIsplatePlace.value.split(".");
    datum = new Date(p[2]+"-"+p[1]+"-"+p[0]);
    // JOPPD.value = (datum.getFullYear()-2000).toString() + danUgodini(datum).toString();
    JOPPD.value = ((datum.getFullYear()-2000)*1000 + danUgodini(datum)).toString();
}

datumIsplatePlace.onchange = racunajJOPPD;

racunajJOPPD();
</script>

<script> 
$(document).ready(function(){
  $("#neoporeziviPrimiciDaNe").click(function(){    
    postaviNeoporeziviPrimiciPolja(this.checked);
  });
 });
 
 function postaviNeoporeziviPrimiciPolja(checked) {
    (checked) ? $("#neoporeziviPrimiciPanel").slideDown("slow") : $("#neoporeziviPrimiciPanel").slideUp("slow");
    
};
    
postaviNeoporeziviPrimiciPolja($("#neoporeziviPrimiciDaNe").is(':checked'));
      
</script>     