<?php

$krediti = get_krediti_obustave($slogZaUnos["kodRadnika"]);

if(count($krediti)>0) {
?>
<table class="t_lista_primka">
    <thead>
        <tr>
            <th></th>
            <th></th>
            <th class='left' style="padding-left:  0.5em" >Banka </th>
            <th></th>
            <th class='left'>Kre<br>dit </th>
            <th class='left'>Nazv kredita </th>
            <th class='left'>Rata </th>
            <th class='left'> </th>
            <th class='left'>IBAN banke<br>primatelja </th>
            <th class='left'>Model <br> prim. </th>
            <th>Poziv na broj<br>primatelja </th>
            <th class='right' style="padding-right: 1em">Ukupni iznos <br>kredita </th>
            <th class='right' style="padding-right: 1em">Broj rata </th>
            <th class='left'>Početak<br>obustave </th>
            <th class='left'>Završetak<br>obustave </th>
             <th class='left'>Virman
              <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                    Virmani po kreditima-obustavama mogu se ispisivati(platiti) pojedinačno po svakom radniku
                    -> tako se ispisuju krediti.
                    
                   Npr.virman za sindikalnu članarinu može se ispisati grupno, jedan virman
                   u kojem su zbrojeni svi iznosi tog tipa sindikalne članarine
                   po svim radnicima.          
                " />   
            
            </th>

            <th class='right' style="padding-right: 1em">Prva rata </th>
            <th class='right' style="padding-right: 1em">Zadnja rata </th>
            <th class='left'>Model <br> plat.</th>
            <th>Poziv na broj<br>platitelja </th>
            <th style="padding-right: 1em" >Aktivan </th>
        </tr>
    </thead>
<?php
    foreach ($krediti as $slog) {
        if(trim($slog['pocetakObustave']!='')) {
            $d = new DateTime($slog['pocetakObustave']);
            $pocetakObustave = $d->format('d.m.Y');
        }
        else
            $pocetakObustave='';
        if(trim($slog['zavrsetakObustave']!='')) {
            $d = new DateTime($slog['zavrsetakObustave']);
            $zavrsetakObustave = $d->format('d.m.Y');
        }
        else
            $zavrsetakObustave='';
        $link = '&action=unos_krediti'
               .'&kodRadnika='.$slog['kodRadnika']
               .'&kodBanke='.$slog['kodBanke']
               .'&kodKredita='.$slog['kodKredita'];
    ?>
    <tr>
        <td style="vertical-align: central; ">    
            &nbsp; <a href="<?php echo  './?opSaDok=Brisanje'
                                        .$link
                           ?>" >
            <img src="<?php echo $app_path .'images/brisanje.png' ?>" alt="Brisanje" title="Brisanje primanja" onclick="return brisanjeClicked(); " /> </a> 
        </td>

        <td style="vertical-align: central">
            &nbsp; <a href="<?php echo  './?opSaDok=Izmjena'
                                        .$link
                           ?>" >
            <img src="<?php echo $app_path .'images/izmjena.png' ?>" alt="Izmjena" title="Izmjena primanja" /> </a> &nbsp;
        </td>

        <td style="min-width: 4em"> 
            <?php echo $slog['kodBanke']; ?> 
        </td>
        <td style="min-width: 4em"> 
            <?php echo trim($slog['nazivPartnera']); ?> &nbsp;
        </td>
        <td style="min-width: 3em"> 
            <?php echo $slog['kodKredita']; ?> 
        </td>
        <td style="min-width: 8em"> 
            <?php echo $slog['nazivKreditaObustave']; ?> 
        </td>
        <td class="right" style="min-width: 4em">
            <?php echo $slog['rataKredita']; ?> 
        </td>
        <td>
            &nbsp; <?php echo $slog['absRataKredita'] ?> &nbsp;
        </td>
        <td style="min-width: 9em"> 
            <?php echo $slog['brojRacunaZaIsplatuKredita']; ?> &nbsp;
        </td>
        <td style="min-width: 3em"> &nbsp;
             <?php echo $slog['modelPrimatelja']; ?> 
        </td>
        <td style="min-width: 8em"> 
            <?php echo $slog['pozivNaBrojPrimatelja']; ?>   
        </td>
        <td class="right" style="min-width: 4em">
            <?php echo $slog['ukupniIznosKredita']; ?> 
        </td>
        <td class="right">
             <?php echo round($slog['brojRata']); ?> &nbsp;
        </td>

        <td style="min-width: 5em"> 
            <?php echo $pocetakObustave; ?>
        </td>
        <td style="min-width: 5em"> 
            <?php echo $zavrsetakObustave ?>
        </td>
        <td class="right_t_lista" style="min-width: 4em">
           <?php if ($slog['virmanPojedinacniGrupni'] == 'pojedi') 
                 echo 'Pojedinacni';
             else
               echo 'Grupni';         
           ?>
        </td>
        <td class="right_t_lista" style="min-width: 4em">
            <?php echo $slog['iznosPrveRate']; ?>
        </td>
        <td class="right_t_lista" style="min-width: 4em">
              <?php echo $slog['iznosZadnjeRate']; ?>
        </td>
         <td style="min-width: 2em"> &nbsp;
             <?php echo $slog['modelPlatitelja']; ?> 
        </td>
        <td style="min-width: 8em"> 
            <?php echo $slog['pozivNaBrojPlatitelja']; ?>   
        </td>
        <td> 
            <?php echo $slog['aktivan']; ?>   
        </td>
    </tr>
    <?php
    }    
?>
</table>
<?php
}
?>
<script type="text/javascript">
    function brisanjeClicked() {
        return confirm("Želite li obrisati kredit?");
    }
    
</script>    
