<?php  
function kontrolniBrojEAN13($eanKod12) {
    $lenght = trim(strlen($eanKod12)); 
    if ($lenght !=12) {
        $kontrolniBrojEAN13 = 'Greška, obradna duljina EAN koda je ' . $lenght .  ' a mora biti 12 brojki !';
        return $kontrolniBrojEAN13;
    }
    if (!is_numeric($eanKod12)) {
        $kontrolniBrojEAN13 = 'Greška !, ean kod za obradu nije numerički ' . $eanKod12;
        return $kontrolniBrojEAN13;
    }
    $i = $lenght -1;
    $suma = 0;
    while ($i >= 0) {
  //      ECHO 'I=' . $i;
      $znamenka = substr($eanKod12, $i, 1); 
 //     echo 'znamenka=' . $znamenka;
      $modulo = $i % 2;
      if ($modulo != 0)
            $suma = $suma + ($znamenka * 3);
      else 
            $suma = $suma + $znamenka;
       $i--;            
    }  
    
    // oduzimanje sume od najbliže ili jednake vrijednosti koja je djeljiva sa 10  
      $lenght = strlen($suma); 
      $zadnjaZnamenka = substr($suma,-1,1);
      $prvaZnamenka = substr($suma,0,1);
      $drugaZnamenka = substr($suma,1,1); // ako nema druge znamenke false
          
      if ($suma < 10 && $suma > 0) {
          $brojOdKojegSeOduzima = 10;
      }  elseif ($suma > 9 and $suma < 100) {
         $brojOdKojegSeOduzima = number_format(($prvaZnamenka + 1) . '0');   
      } else {            // > 99 
          $sumaPom = $suma + 10;
          $prvaZnamenkaP = substr($sumaPom,0,1);
          $drugaZnamenkaP = substr($sumaPom,1,1);
          $brojOdKojegSeOduzima = number_format($prvaZnamenkaP . $drugaZnamenkaP . '0');            
      }
      if ($zadnjaZnamenka == 0) $brojOdKojegSeOduzima = $suma;
// suma = 57 kb = 60 - 57 = 3,     suma = 70   kb = 70 - 70 = 0, suma = 113 kb = 120 - 113 = 7 suma = 9 kb = 10 - 9 = 1        
      $kontrolniBrojEAN13 = $brojOdKojegSeOduzima - $suma;      
   //   echo 'suma' . $suma . 'konrrolni broj' .$kontrolniBrojEAN13;
      return $kontrolniBrojEAN13;
}

function kontrolaIspravnostiEAN13($EANkod) {
    $greska='';
    $l=trim(strlen($EANkod));
    if($l!=13) {
        if ($l == 8 || $l == 9 || $l == 12) return $greska;
        return 'EAN kod ima '.$l.' znamenki. Duljina EAN koda mora imati 13 ili 9 ili 8 znamenki-brojki! ';
    }
    $EANkod12 = substr($EANkod,0,12);

    $kontrolni_broj = kontrolniBrojEAN13($EANkod12);

    if (strlen($kontrolni_broj) > 1) {   // ima greske kod kontrolniBrojEAN13 opis greske
        $greska=$kontrolni_broj;                                 
    } else {
        $EANkodIzracunan = $EANkod12 . $kontrolni_broj;
        if ($EANkod != $EANkodIzracunan) {
            $greska='Neispravan kontrolni broj EAN koda. Izračunan je: ' . $kontrolni_broj . '!'; 
        }

    }
    return $greska;
    
}
?>