update stanja as st
inner join
(
    select s.proda, s.kodrobe, s.vrstaProdaje, s.cijena, max_s.maxDVO, s.`vrsDo`, s.`broDo`, s.verzi
    from dok_stavke as s
    inner join
    (
        select proda, kodrobe, vrstaProdaje, cijena, max(DVO) as maxDVO
        from dok_stavke
        where vrsDo = '5' or vrsDo = '7' or vrsDo='8'
        group by proda, `kodRobe`, `vrstaProdaje`, cijena
    ) as max_s
    on max_s.proda=s.proda and max_s.`kodRobe`=s.`kodRobe` and max_s.`vrstaProdaje`=s.`vrstaProdaje` and max_s.cijena=s.cijena and max_s.maxDVO=s.DVO
    where (vrsDo = '5' or vrsDo = '7' or vrsDo='8')
    -- and s.proda = '202' and s.kodRobe = '28-622B'
) as s2
on s2.proda=st.proda and s2.`kodRobe`=st.`kodRobe` and s2.`vrstaProdaje`=st.`vrstaProdaje` and s2.cijena=st.cijena 
set st.`datumPi`=s2.maxDVO, st.`vrsDoPi`=s2.vrsDo, st.`broDoPi`=s2.broDo, st.`verziPi`=s2.verzi, st.`zapisPi`='';