/*za Panex-dinamic u maticna_robe izbaciti robu koje trenutno nema na stanju i kod koje nije
bilo prometa 2 godine */

CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) DEFAULT CHARSET=utf8;

/* ovo se pusti u 2014  */
INSERT INTO kodovi_robe
SELECT kodRobe from maticna_robestara
    WHERE datumOtvaranja > '2017-01-01 00:00:00' 
    OR datumIzmjene > '2017-01-01 00:00:00';

DELETE FROM maticna_robe
WHERE kodRobe IN
(SELECT * FROM kodovi_robe);

INSERT INTO maticna_robe
SELECT s.* from maticna_robestara s
left outer JOIN kodovi_robe k
ON k.kodRobe = s.kodRobe
where k.kodRobe is not null;
