set @kodRobe='151946123';
        select 
        m.kodRobe, m.nazivRobe, 
        m.kodUvoznika, uv.nazivPartnera as nazivUvoznika, uv.OIB as OIBUvoznika,
        uv.ulicaBroj as ulicaUvoznika, uv.mjestoSjedista sjedisteUvoznika,
        uv.zemlja as zemljaUvoznika, zu.nazivZemljeHR as nazivZemljeUvoznika,
        uv.brojPoste as brojPosteUvoznika, uv.mjestoPoste as mjestoPosteUvoznika,
        m.kodProizvodjaca, pr.nazivPartnera as nazivProizvodjaca, 
        pr.ulicaBroj as ulicaProizvodjaca, pr.mjestoSjedista sjedisteProizvodjacaaca,
        pr.brojPoste as brojPosteProizvodjaca, pr.mjestoPoste as mjestoPosteProdavaca,
        pr.zemlja as zemljaProizvodjaca, zp.nazivZemljeHR as nazivZemljeProizvodjaca,
        m.zemljaPorijekla, z.nazivZemljeHR as nazivZemljePorijekla
        from maticna_robe as m
        left outer join zemlje as z on z.zemlja=m.zemljaPorijekla
        left outer join partner as uv on uv.kodPartnera=m.kodUvoznika 
        left outer join partner as pr on pr.kodPartnera=m.kodProizvodjaca
        left outer join zemlje as zp on zp.zemlja=pr.zemlja
        left outer join zemlje as zu on zu.zemlja=uv.zemlja

where m.kodRobe=@kodRobe;
