/* dodavanje slogova iz stare prošlogodišnje tabele stanja(stanja_stara) u tabelu stanja
u novoj godini koja je prenešena po inventuri 
prije se svi slogovi u stanja_stara postave stanje na nulu i inventuru se isprazni u stanja_stara
a nakon toga se u stanja dodaju slogovi  */
UPDATE stanja_stara
SET stanje=0, kolicinaInventure=0, brojInvStavke=0, datumInventure=NULL;

select count(*) as brojSlogovaUstanjaPrije from stanja;

select SUM(stanje) as sumaStanjaPrije from stanja;
 
INSERT INTO stanja                                            
SELECT s.* FROM stanja_stara s
LEFT JOIN stanja n on n.proda=s.proda and n.kodRobe=s.kodRobe and n.vrstaProdaje=s.vrstaProdaje and n.cijena=s.cijena  
WHERE n.proda is NULL and n.kodRobe is NULL and n.vrstaProdaje is NULL and n.cijena is NULL;

select count(*) as brojSlogovaUstanjaPoslije from stanja;
select SUM(stanje) as sumaStanjaPoslje from stanja;