-- svi fiskalizirani računi od jutra do 12:30 19.01.3017 
SELECT proda, vrsDo, broDo, kodPartnera, DVO, novac, povrat, iznosKartice,
novac-povrat+iznosKartice as iznosRacuna,
round((novac-povrat+iznosKartice)/1.25,2) as osnovica,
novac-povrat+iznosKartice - round((novac-povrat+iznosKartice)/1.25,2) as PDV,
zastitniKod, JIR 
FROM dok_zag
where DVO>'2017-01-19 00:00:00' and DVO<'2017-01-19 12:30:00' and trim(JIR)<>''
order by proda, vrsDo, broDo
;

-- fiskalizirani računi u poslovnici 1802, od jutra do 12:30 19.01.3017 
SELECT proda, vrsDo, broDo, kodPartnera, DVO, novac, povrat, iznosKartice,
novac-povrat+iznosKartice as iznosRacuna,
round((novac-povrat+iznosKartice)/1.25,2) as osnovica,
novac-povrat+iznosKartice - round((novac-povrat+iznosKartice)/1.25,2) as PDV,
zastitniKod, JIR 
FROM dok_zag
where DVO>'2017-01-19 00:00:00' and DVO<'2017-01-19 12:30:00' and trim(JIR)<>''
and proda='1802'
order by proda, vrsDo, broDo
;

-- fiskalizirani računi u poslovnici 1803, od jutra do 12:30 19.01.3017 
SELECT proda, vrsDo, broDo, kodPartnera, DVO, novac, povrat, iznosKartice,
novac-povrat+iznosKartice as iznosRacuna,
round((novac-povrat+iznosKartice)/1.25,2) as osnovica,
novac-povrat+iznosKartice - round((novac-povrat+iznosKartice)/1.25,2) as PDV,
zastitniKod, JIR 
FROM dok_zag
where DVO>'2017-01-19 00:00:00' and DVO<'2017-01-19 12:30:00' and trim(JIR)<>''
and proda='1803'
order by proda, vrsDo, broDo
;

-- kumulativi fiskaliziranih računa po poslovnicama od jutra do 12:30 19.01.3017 
SELECT proda, count(broDo), sum(novac) as novsc, sum(povrat), sum(iznosKartice),
sum(novac-povrat+iznosKartice) as iznosRacuna,
sum(round((novac-povrat+iznosKartice)/1.25,2)) as osnovica,
sum(novac-povrat+iznosKartice - round((novac-povrat+iznosKartice)/1.25,2)) as PDV
 
FROM dok_zag
where DVO>'2017-01-19 00:00:00' and DVO<'2017-01-19 12:30:00' and trim(JIR)<>''
group by proda
;

-- kumulativi fiskaliziranih računa od jutra do 12:30 19.01.3017 
SELECT count(broDo), sum(novac) as novsc, sum(povrat), sum(iznosKartice),
sum(novac-povrat+iznosKartice) as iznosRacuna,
sum(round((novac-povrat+iznosKartice)/1.25,2)) as osnovica,
sum(novac-povrat+iznosKartice - round((novac-povrat+iznosKartice)/1.25,2)) as PDV
  
FROM dok_zag
where DVO>'2017-01-19 00:00:00' and DVO<'2017-01-19 12:30:00' and trim(JIR)<>''
;

