-- start transaction;

-- select brojStavke, (brojStavke + brojStavke mod 2) div 2 noviBrostavke,
-- s.*
-- from dok_stavke as s
update dok_stavke as s
join 
( 
    -- izlazne interne fakture
    select 
    z.proda, z.`vrsDo`, z.`proIn`, z.zapis, z.`broDo`, z.verzi
    from dok_stavke as s
    left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
        and z.broDo=s.broDo and z.zapis=s.zapis  and z.verzi=s.verzi and z.proIn=s.proIn
    left outer join dok_stavke as i
    on i.proda=z.`kodPartnera` and i.`vrsDo`='2' and i.`proIn`=s.`proda` and i.zapis=s.zapis 
    and i.`broDo`=s.`broDo` and i.verzi=s.verzi and i.`brojStavke`=s.`brojStavke`
    where s.vrsDo='6' and i.`brojStavke` is null
    group by z.proda, z.`vrsDo`, z.`proIn`, z.zapis, z.`broDo`, z.verzi

    union all
    -- ulazne interne fakture
    select  
    z.proda, z.`vrsDo`, z.`proIn`, z.zapis, z.`broDo`, z.verzi
    from dok_stavke as s
    left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
        and z.broDo=s.broDo and z.zapis=s.zapis  and z.verzi=s.verzi and z.proIn=s.proIn
    left outer join dok_stavke as i
    on i.proda=s.proIn and i.`vrsDo`='6' and i.`proIn`='' and i.zapis=s.zapis and i.`broDo`=s.`broDo` and i.verzi=s.verzi
    and s.`brojStavke`=i.`brojStavke`
    where s.vrsDo='2' and i.proda is null
    group by z.proda, z.`vrsDo`, z.`proIn`, z.zapis, z.`broDo`, z.verzi
) as z
on z.proda=s.proda and z.vrsDo=s.vrsDo and z.broDo=s.broDo and z.zapis=s.zapis and z.verzi=s.verzi and z.proIn=s.proIn
set brojStavke = (brojStavke + brojStavke mod 2) div 2 

;

-- rollback;