set @proda='701',@vrsDo='' ,@DVOOd = '2015-01-01 00:00:00', @DVODo='2015-12-05 23:59:00',
@donosDaNe='N'
;

select 
kodPoslovnice as proda, datumInventure as DVO, 0 as vrsDo, 'INVENTURA' as nazivDokumenta, 0 as broDo, ' ' as nazivPartnera,
'' as zapis,
'' as proIn,
'' as verzi,
vrstaPoslovnice,
if(vrstaPoslovnice=1,iznosInvSaPDV,`iznosInvBezPDV`) as zaduzenje,
0 as razduzenje, 0 as rabat, 0 as ukupnoUsl
from poslovnice
where (kodPoslovnice=@proda or trim(@proda)='' or trim(@proda)='0') and kodPoslovnice<>'0'
and @donosDaNe='D'

union all 

select 
z.proda,
z.DVO,  
z.vrsDo,
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
z.broDo,
pp.nazivPartnera,
z.zapis,
z.proIn,
z.verzi,
p.vrstaPoslovnice as vrstaPoslovnice,
if(z.vrsdo='6' or (z.vrsDo='5' or z.vrsDo='PR' or z.vrsDo='7') and int5.kodPoslovnice is not null ,-1,1 )
*round(sum(if((z.vrsDo='5' or z.vrsDo='PR' or z.vrsDo='7')  and int5.kodPoslovnice is null, 0,-- ako su dokumenti razdužemja u zaduženje stavlja 0
if(p.vrstaPoslovnice=1,
    if(z.vrsDo=1 or z.zapis='K1',
        -- bez rabata
        round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='' and trim(s.vrsDo)<>'1',s.PDV,s.ukalkuliraniPDV),0,0,0,0,'zaplatit'),2),
    -- else za : z.vrsDo=1 or z.zapis='K1'
        round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='',s.PDV,s.ukalkuliraniPDV),
           rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)
    ),
    -- else za: p.vrstaPoslovnice=1
    round(kolicina*s.cijena,4)
)
)),2) as zaduzenje, 

round(sum(if((z.vrsDo='5' or z.vrsDo='PR' or z.vrsDo='7')  and int5.kodPoslovnice is null ,
 if(p.vrstaPoslovnice=1, 
    round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='',s.PDV,s.ukalkuliraniPDV),rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2), 
    round(kolicina*s.cijena,4)),
 0)),2) as razduzenje, 
-- popust se računa samo na maloprodaji uključujući sve zapisnike osim 'K1'
sum(if(((z.vrsDo='5' or z.vrsDo='PR') or (z.vrsdo='3' and trim(z.zapis)<>'K1')) and p.vrstaPoslovnice=1,
    if(r.robaUsluga='U',0,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2))
       ,0)) as popust,
sum( if(r.robaUsluga='U', round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(p.vrstaPoslovnice=0,0,PDV),
        if(z.vrsDo=1, 0, rabatPopust),
        if(z.vrsDo=1, 0,absRabatPopust),
        if(z.vrsDo=1, 0,rabatPopustNaKol),
        if(z.vrsDo=1, 0,absRabatPopustNaKol),'zaplatit'),2),0)) as ukupnoUsl

from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join partner as pp on pp.kodPartnera=z.kodPartnera
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe
-- dali je  Interna dostavnica - kupac je jedna od poslovnica
left outer join poslovnice as  int5 on int5.kodPoslovnice=z.kodPartnera
where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and( z.vrsDo in ('1','2','3','5','6','7','PR') and (trim(@vrsDo)='' or z.vrsDo=@vrsDo))
and z.DVO between @DVOOd and @DVODo
and (z.DVO>p.datumInventure or p.datumInventure is null)


group by
z.proda,
z.zapis,
z.proIn,
z.broDo,
z.verzi,
z.DVO,
vd.nazivDokumenta,
z.vrsDo,
z.broDo,
pp.nazivPartnera,
p.vrstaPoslovnice
 
union all


select 
z.proda,
max(z.DVO) as DVO,  
'8' as vrsDo,
'REKAPITUAR' as nazivDokumenta,
date(z.DVO) as broDo,
'Utržak' as nazivPartnera,
'' as zapis,
'' as proIn,
'' as verzi,

'1' as vrstaPoslovnice,
0 as zaduzenje,
sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as razduzenje, 
sum(if(r.robaUsluga='U',0,round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2))) as popust,

sum( if(r.robaUsluga='U', round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,
         rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2),0)) as ukupnoUsl
from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe

where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and (z.vrsDo='8' and (trim(@vrsDo)='' or @vrsDo=8))
and z.DVO between @DVOOd and @DVODo
and (z.DVO>p.datumInventure or p.datumInventure is null)

group by
date(z.DVO)

order by
proda,
DVO,
nazivDokumenta,
vrsDo,
broDo

