set @kodPoslovnice='2316', @oznakaCjenika='c2', @kodPartnera='', @email_user='josip.makar@ck.t-com.hr', @vrstaProdaje='',
@kodGrupe='', @promjenaCijene='P', @posto=0
;
/*
insert into posebni_cjenik
(
select @kodPoslovnice, @oznakaCjenika, @kodPartnera,
kodRobe, vrstaProdaje, 
if(@posto=0, cijena, 
   round(if(@promjenaCijene='S', cijena - cijena*@posto/100, cijena + cijena*@posto/100 ),3)
) as cijena,
now(), null, @email_user
from maticna_robe as m,
(
    select '0' as vrstaProdaje
    union
    select '1' as vrstaProdaje
    union
    select '2' as vrstaProdaje
) as vp
where cijena>0
and (vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (kodGrupe=@kodGrupe or trim(@kodGrupe)='')
and not exists
(
    select * from posebni_cjenik as pc
    where pc.oznakaCjenika=@oznakaCjenika and pc.kodPoslovnice=@kodPoslovnice and pc.kodPartnera=@kodPartnera
    and (pc.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
    and pc.`kodRobe`=m.`kodRobe` and pc.`vrstaProdaje`=vp.`vrstaProdaje`
)
-- limit 0, 400
)
;
*/
/*
select proda, kodRobe, vrstaProdaje, count(cijena) as brojac, sum(if(stanje>0,stanje,kolicinaInventure)) ukKolicina, sum(cijena*if(stanje>0,stanje,kolicinaInventure)) cijenaXkolicina, 
round(sum(cijena*if(stanje>0,stanje,kolicinaInventure))/sum(if(stanje>0,stanje,kolicinaInventure)),3) as cijena , sum(kolicinaInventure) as ukKolicinaInventure
from stanja
where `kolicinaInventure`>0 or stanje>0
group by proda, kodRobe, vrstaProdaje
;
*/
insert into posebni_cjenik
(
select @kodPoslovnice, @oznakaCjenika, @kodPartnera,
s.kodRobe, s.vrstaProdaje, 
if(@posto=0, s.cijena, 
   round(if(@promjenaCijene='S', s.cijena - s.cijena*@posto/100, s.cijena + s.cijena*@posto/100 ),3)
) as cijena,
now(), null, @email_user
from 
(
    select proda, kodRobe, vrstaProdaje, 
    -- prosječna cijena
    round(sum(cijena*if(stanje>0,stanje,kolicinaInventure))/sum(if(stanje>0,stanje,kolicinaInventure)),3) as cijena 
    from stanja as st
    where (`kolicinaInventure`>0 or stanje>0)
    and proda=@kodPoslovnice
    and (vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
    group by proda, kodRobe, vrstaProdaje
) as s
join maticna_robe as m on m.kodRobe=s.kodRobe
where s.cijena>0
and (vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (kodGrupe=@kodGrupe or trim(@kodGrupe)='')
and not exists
(
    select * from posebni_cjenik as pc
    where pc.oznakaCjenika=@oznakaCjenika and pc.kodPoslovnice=@kodPoslovnice and pc.kodPartnera=@kodPartnera
    and (pc.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
    and pc.`kodRobe`=s.`kodRobe` and pc.`vrstaProdaje`=s.`vrstaProdaje`
)
)
;

select pc.*, m.nazivRobe, m.jedinicaMjere, m.kodGrupe, round(pc.cijena*(1+PDV/100) ,3) as cijenaSPDV
from posebni_cjenik as pc
join maticna_robe as m on m.`kodRobe`=pc.`kodRobe`
join porezi as p on p.poreznaGrupa=m.poreznaGrupa
where oznakaCjenika=@oznakaCjenika and kodPoslovnice=@kodPoslovnice and kodPartnera=@kodPartnera
and (vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (kodGrupe=@kodGrupe or trim(@kodGrupe)='')
;
 
-- delete from posebni_cjenik where oznakaCjenika=@oznakaCjenika