update poslovnice as p
inner join 
(SELECT distinct proda, datumInventure from stanja
where datumInventure > '0000-00-00 00:00:00') as t
on t.proda = p.kodPoslovnice
set p.datumInventure = t.datumInventure;

/* prebacivanje iznosa inventure na poslovnice */
update poslovnice as p
inner join 
(SELECT proda, sum(kolicinaInventure * s.cijena) as veleprodajniIznos, sum(kolicinaInventure * s.cijena)* (1 + po.PDV/100) as maloprodajniIznos from stanja as s
join maticna_robe as m on s.kodRobe = m.kodRobe
join porezi as po on po.poreznaGrupa = m.poreznaGrupa
group by proda) as t
on t.proda = p.kodPoslovnice
set p.iznosInvBezPDV = round(t.veleprodajniIznos,2), p.iznosInvSaPDV = round(t.maloprodajniIznos,2);