SET @proda='0', @kodGrupe='0101', @vrstaProdaje='', @rijec='%gu%', @oznakaCjenika='c1';

SELECT m.kodRobe, nazivRobe, jedinicaMjere, m.kodGrupe, m.cijena, cj.cijena as cijenaCjenik, poreznaGrupa, SUM(stanje) as stanje, s.vrstaProdaje
FROM maticna_robe m
JOIN robne_grupe g ON g.kodGrupe = m.kodGrupe
JOIN stanja s ON s.kodRobe = m.kodRobe 

LEFT OUTER JOIN 
(
select cj.`kodPoslovnice`, cj.`oznakaCjenika`, cj.`kodRobe`, cj.`vrstaProdaje`, cijena
from posebni_cjenik as cj
inner join 
(
select max(kodPoslovnice) as kodPoslovnice, `oznakaCjenika`, `kodRobe`, `vrstaProdaje` 
from posebni_cjenik
where oznakaCjenika=@oznakaCjenika
and (kodPoslovnice=@proda or kodPoslovnice='0')
group by `oznakaCjenika`, `kodRobe`, `vrstaProdaje`
) as p on p.kodPoslovnice=cj.`kodPoslovnice` and p.`oznakaCjenika`=cj.`oznakaCjenika` and p.`kodRobe`=cj.`kodRobe` and p.`vrstaProdaje`=cj.`vrstaProdaje`
where cj.oznakaCjenika=@oznakaCjenika
)
AS cj ON cj.oznakaCjenika=@oznakaCjenika AND cj.kodRobe=m.kodRobe AND cj.vrstaProdaje=s.vrstaProdaje 

-- LEFT OUTER JOIN posebni_cjenik AS cj ON cj.oznakaCjenika=@oznakaCjenika AND cj.kodRobe=m.kodRobe AND cj.vrstaProdaje=s.vrstaProdaje 


WHERE ( nazivRobe LIKE @rijec OR m.kodRobe LIKE @rijec )
AND ( proda = @proda or @proda='0')
AND (m.kodGrupe=@kodGrupe or trim(@kodGrupe)='')
AND (s.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
-- AND (trim(@oznakaCjenika)='' or cj.cijena is not null)
--
GROUP BY m.kodRobe, nazivRobe, jedinicaMjere, m.cijena, poreznaGrupa, m.kodGrupe, s.vrstaProdaje
 