set @zemlja='CN';
set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';

select 
    tarifniBroj,
    proda,
    vrsdo,
    brodo,  
--    sum(kolicinaPrimkeStavka) as kolicinaPrimkeStavka, 
--    sum(iznosPrimkeStavka) as iznosPrimkeStavka, 
--    sum(kolicinaIzdatniceStavka) as kolicinaIzdatniceStavka, 
--    sum(iznosIzdatniceStavka) as iznosIzdatniceStavka, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv

    from 
    (
        select 
          s.proda,  
          s.vrsdo,
          s.brodo,           
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--        if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,  
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi  
         join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between @DVOOd and @DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), @zemlja)
        and ((trim(@zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(@zemlja)='CN' and r.`zemljaPorijekla`='CN'))
         and ( (s.vrsDo='7' and s.proda = '203') or s.vrsDo='1' )
         and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')       
        union all

        select  
          s.proda,  
          s.vrsdo,
          s.brodo,   
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--          if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
          join partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between @DVOOd and @DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), @zemlja)
        and ((trim(@zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(@zemlja)='CN' and r.`zemljaPorijekla`='CN'))
         and ( (s.vrsDo='7' and s.proda = '203') or s.vrsDo='1' )
         and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')  
    ) as t
--    group by
    order by 
    tarifniBroj,    
    zemljaPorijekla,
 
        naziv;





select *
from dok_stavke as s
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    where s.DVO between @DVOOd and @DVODo
and (s.vrsDo='7' or s.vrsDo='1')
    and r.`robaUsluga`='R'
    and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'OZB') 
and trim(ifnull(`zemljaPorijekla`,''))=''
