set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';
--set @DVOod='2015-04-30 00:00:00', @DVOdo='2015-08-31 23:59:59';

select 
nazivPartnera, 
adresa,
tarifniBroj, 
zemljaPorijekla,
`mjestoSjedista`,
`brojPoste`,
`mjestoPoste`,
kodPartnera,
naziv

from 
(
    select 
    p.nazivPartnera, 
    `ulicaBroj` as adresa,
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    zemljaPorijekla,
    `mjestoSjedista`,
    `brojPoste`,
    `mjestoPoste`,
    p.`kodPartnera`,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='5' 
    and r.`robaUsluga`='R'

    union all

    select 
    p.nazivPartnera, 
    `ulicaBroj` as adresa,
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    zemljaPorijekla,
    `mjestoSjedista`,
    `brojPoste`,
    `mjestoPoste`,
    p.`kodPartnera`,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='5'
    and r.`robaUsluga`='R'
) as t
group by
nazivPartnera, 
adresa,
`kodPartnera`,
tarifniBroj, 
zemljaPorijekla,
`mjestoSjedista`,
`brojPoste`,
`mjestoPoste`,
naziv
