set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';

select 
tarifniBroj, 
sum(kolicina) as kolicina, 
sum(iznos) as iznos, 
zemljaPorijekla, 
naziv

from 
(
    select 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='8' 
    and r.`robaUsluga`='R'

    union all

    select 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='8'
    and r.`robaUsluga`='R'
) as t
group by
tarifniBroj, 
zemljaPorijekla,
naziv

