<link href="<?php echo $app_path ?>/styles/hzzo_potvrda_o placi.css" rel="stylesheet" type="text/css">
    
<?php
require_once('dokumenti/komponenteZaPlace.php');
$naslov = 'HZZO potvrda o plaći';
$greska = '';
if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
    $kodRadnika = $_POST['kodRadnika'];
}
else {
    $danas = new DateTime();
    $d = new DateTime($danas->format('Y').'-'.$danas->format('m').'-1');
    // $d->modify('-3 month');
    $d->modify('-2 month');
    $godinaObracunaDo = $d->format('Y');
    $mjesecObracunaDo = $d->format('m');
    $d->modify('-5 month');
    $godinaObracunaOd = $d->format('Y');
    $mjesecObracunaOd = $d->format('m');
    $kodRadnika = '';
}
?>

<div class="non-printable" >
<form action="." method="post" id="view_hzzo_potvrda_o_placi">
<input type="hidden" name="action" value="view_hzzo_potvrda_o_placi" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> </h1>
Djelatnik: &nbsp;&nbsp;<?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,false,$samoAktivni=true); ?> &nbsp;
Mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godina od: 
<input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
       pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
 mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godina do: 
<input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
        pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
<p></p>

<p></p>


<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>
</div>

<?php
if(isset($_POST['mjesecObracunaOd'])) {  
    require_once('./model/obracuni_placa_db.php');
    $place = get_place_za_hzzo($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $kodRadnika);
    if(count($place)<1) {
        echo "Ne postoje podaci!";
        include ('view/footer.php');
        exit;
    }

    $gOd = (int)$godinaObracunaOd;
    if((int)$mjesecObracunaOd==12) {
        $mOd = 1;
        $gOd++;
    }
    else {
        $mOd = (int)$mjesecObracunaOd +1;    
    }
    $gDo = (int)$godinaObracunaDo;
    if((int)$mjesecObracunaDo==12) {
        $mDo = 1;
        $gDo++;
    }
    else {
        $mDo = (int)$mjesecObracunaDo  + 1;    
    }

    $firma = get_poslovnica(0);
    $radnik = get_radnik1($kodRadnika);
    $datumRodjenja = new DateTime($radnik["datumRodjenja"]);
    $p = explode(' ', $kodRadnika);
    $ime = $p[0];
    $prezime = $p[count($p) - 1];
    ?>
<div id="potvrda" >
<table class="zaglavlje_obaveze">
    <tr>
    <td>    
    <p>
        <b>NAZIV OBVEZNIKA UPLATE</b> <br>
        <?php echo $firma['nazivPoslovnice']; ?>
    </p>
    
    <td>
        POTVRDA <br>o plaći
    </td>
    </tr>
</table>    
    <p>
        <b>1. PODACI O OSIGURANIKU <br> </b>
        Ime: <?php echo $radnik['imeIprezime'] ?> <br>
        Dan, mjesec, godina rođenja: <?php echo $datumRodjenja->format('d').'.'.$datumRodjenja->format('m').'.'.$datumRodjenja->format('Y'); ?> <br>
        OIB: <?php echo $radnik['OIB'] ?> <br>
        Drugi stup: <?php echo $radnik['drugiStup']=='D'?'Da':'Ne'; ?>
    </p>
    </td>
    <td>
    </td>
    </tr>
</table>    

<div class="okvit">
    <tr>
    <td>    
    <p>
        <b>2.PODACI O IZNOSIMA PLAĆE KOJA JE OSIGURANIKU ISPLAĆENA U POSLJEDNJIH ŠESTMJESECI <BR>
            PRIJE MJESECA U KOJEM J ENASTUPIO SLUČAJ NA OSNOVI KOJEG SE STJEČE PRAVO NA NAKNADU </b><br>
        tj. u razdoblju od: <?php echo '1.'.$mOd.'.'.$gOd; ?> do: <?php echo '1.'.$mDo.'.'.$gDo; ?>, a za mjesece:
    </p>
</table>
<table class="t_lista_primka tablica" >
    <thead>
    <tr>
        <th rowspan="3">Isplata za<br>mj/god</th>
        <th rowspan="3">Plaća</th>
        <th rowspan="3">Isplaćena <br> plaća</th>
        <th colspan="6">Broj sati</th>
    </tr>
    <tr>
        <th colspan="2">provedenih na radu s</th>        
        <th rowspan="2">Odsutnost  <br> s rada s pravom<br>na naknadu<br>plaće po ZOR-u</th>
        <th rowspan="2">Ukupno sati</th>
        <th rowspan="2">Sati bolovanja <br>na teret HZZO</th>
        <th rowspan="2">Sati prema <br>kalendaru <br>radnog <br>vremena</th>
    </tr>
    <tr>
        <th>punom <br> radnom <br>vremenu</th>
        <th>dužem od<br>punog radnog<br>vremena</th>
    </tr>
    </thead>
    <?php
        $brojMjeseci = 0;
        $ukupnoBruto = $ukupnoNeto = $ukupnoSati = $ukupnoHZZOSati = $ukupnoPrekovremeniSati = $ukupnoSatiRedovno = $ukupnoSatiNenazocnost = $ukupniFondSati = 0;
        
        
        foreach ($place as $placa) {
            $primici = pregledUnesenihPrimitaka($placa['godinaObracuna'], $placa['mjesecObracuna'], $placa['godinaObracuna'], $placa['mjesecObracuna'], $placa['vrstaPlace'], 
                                                 $placa['verzijaPlace'], '' /*$vrstaJOPPDizvjesca*/, $placa['kodRadnika'], '' /* $hzzoPrimitak */);
            $HZZOSati = $placa['satiBolovanjeHZZO']; 
            
            $satiRedovno = $placa['brutoSatiNazocnost'] - $placa['prekovremeniSati'];
            $satiNenazocnost = $placa['brutoSati'] - $placa['brutoSatiNazocnost'];
            
            $ukupnoBruto += $placa['brutoIznos'];
            $ukupnoNeto += $placa['netoIznos'];
            $ukupnoSati += round($placa['brutoSati']);
            $ukupnoHZZOSati += $HZZOSati;
            $ukupnoSatiRedovno += $satiRedovno;
            $ukupnoPrekovremeniSati += $placa['prekovremeniSati'];
            $ukupnoSatiNenazocnost += $satiNenazocnost;
            $ukupniFondSati += $placa['ukupniFondSati'];
            $brojMjeseci ++;
        ?>
    <tr>
        <td> <?php echo $placa['mjesecObracuna'].'/'.$placa['godinaObracuna'] ?> </td>
        <td class="right"  > <?php echo number_format($placa['brutoIznos'], 2,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($placa['netoIznos'], 2,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($satiRedovno, 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($placa['prekovremeniSati'], 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($satiNenazocnost, 0,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($placa['brutoSati'], 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($HZZOSati, 0,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($placa['ukupniFondSati'], 0,',','.') ?> </td>

        
    </tr>
        <?php
        }
if($ukupnoSati>0) {        
    $satnicaBruto = $ukupnoBruto/$ukupnoSati;
    $satnicaNeto = $ukupnoNeto/$ukupnoSati;
}
else $satnicaBruto = $satnicaNeto = 0;

?>
    <tfoot>
    <tr>    
    <td>Ukupno:</td>
        <td class="right"  > <?php echo number_format($ukupnoBruto, 2,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($ukupnoNeto, 2,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($ukupnoSatiRedovno, 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($ukupnoPrekovremeniSati, 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($ukupnoSatiNenazocnost, 0,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($ukupnoSati, 0,',','.') ?> </td>
        <td class="right"  > <?php echo format_ili_prazno($ukupnoHZZOSati, 0,',','.') ?> </td>
        <td class="right"  > <?php echo number_format($ukupniFondSati, 0,',','.') ?> </td>
    </tr>
    </tfoot>
</table>
</div>
    
<div class="okvit">
    
<p>
    
<b> Osnovicu čini prosječni iznos plaće isplaćene za <?php echo $brojMjeseci ?> mjeseci,<br>
    a koja iznosi <?php echo number_format($satnicaBruto, 2,',','.') ?> kn po satu - bruto, odnsno <?php echo number_format($satnicaNeto, 2,',','.') ?> kn po satu - neto. </b>
</p>

</div>


</div>
<?php
}
?>