<?php

require_once('../../util/main.php');

require_once('util/secure_conn.php');
require_once('util/valid_admin.php');

require_once('model/admin_db.php');
require_once('model/product_db.php');
require_once('model/posebna_ponuda_db.php');
require_once('model/razne_db.php');

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else if (isset($_GET['action'])) {
    $action = $_GET['action'];
} else {
    $action = 'list_posebne_ponude';
}
if (isset($_POST['rijec']))  {
     $action = 'pretraga';               
}	 

$action = strtolower($action);
switch ($action) {
    case 'list_posebne_ponude':
        $posebne_ponude = get_posebne_ponude();

        include('posebna_ponuda_list.php');
        break;
	case 'pretraga':
 //po rijeci  ovo treba dotjerati 
		$tabela = 'maticna_robe'; 
		$rijec = $_POST['rijec'];
		if (!empty($rijec)) {
        $robe = po_rijeci($tabela,$rijec);
		}
         // Display robu po rijeci
		include('catalog/category_view.php');
		
        break;		
    case 'delete_posebna_ponuda':
        $kodRobe = $_POST['kodRobe'];

        delete_posebna_ponuda($kodRobe);
        
        header("Location: .");
        break;
    case 'add_posebna_ponuda':
        $redniBroj_add = $_POST['redniBroj_add'];
        $kodRobe_add  = $_POST['kodRobe_add']; 
        // Validate inputs
		//Kontrola da li kod robe postoji u maticna_robe i uzimanje naziva robe
		$roba = get_product($kodRobe_add);
		$roba_p = get_posebna_ponuda($kodRobe_add); 
		//echo 'roba_p' . $roba_p['kodRobe'];
        if (!is_numeric($redniBroj_add)) {
            display_error('Mora se pupuniti redni broj robe brojkom,
                           probajte ponovno!');
		}		   
         elseif (empty($kodRobe_add)) {
            display_error('Mora se pupuniti kod robe,
                           probajte ponovno!'); 
        } 						   
        elseif ($roba == 0)  {
            display_error('Neprijavljen(nepostojeći) kod robe, ' . $kodRobe_add . ' ili ako je nova roba
            mora se prvo prijaviti pod (Administracija -> Roba)!');
        } 			
        elseif ($roba_p['kodRobe'] == $kodRobe_add)  {
            display_error('Roba sa kodom ' . $roba_p['kodRobe'] . ' već postoji u posebnoj ponudi!'); 			
        } else {
		   $kodRobe = add_posebna_ponuda($kodRobe_add, $redniBroj_add);
        }

        header("Location: .");
        break;
    case 'update_posebna_ponuda':
        $kodRobe = $_POST['kodRobe'];
        $redniBroj = $_POST['redniBroj'];
		// Validate inputs
		if (!is_numeric($redniBroj)) {
            display_error('Redni broj je neispravan!');
		}	
		elseif (empty($kodRobe)) {
            display_error('Kod robe u stavki tabele mora biti popunjen,
                           probajte ponovno!'); 
        } 
        //Kontrola da li kod robe postoji u maticna_robe i uzimanje naziva robe
		$roba = get_product($kodRobe); 
		if ($roba == 0)  {
            display_error('Neprijavljen(pogrešan) kod robe, ' . $kodRobe . ' ili ako je nova roba,
            mora se prvo prijaviti pod (Administracija -> Roba)!'); 						   
        } 		
        //kontrola ako kod robe postoji u posebna_ponuda, ako ne postoji znači da se
		//mjenja kod robe na nekoj stavki. npr. redni broj 1  K1 promjeni se 
        //šifra robe na 2525.  Prvo treba spremiti broj stavke 1 pod tim brojem stavke obrisati
        //slog  a zatim dodati novi slog  sa šifrom 2525 i rednim brojem 1. 
		$roba_p = get_posebna_ponuda($kodRobe);
	
		if ($roba_p == 0)  {
		    delete_posebna_ponuda_rb($redniBroj);
			$kodRobe_ = add_posebna_ponuda($kodRobe, $redniBroj);
        }
		else {
            update_posebna_ponuda($kodRobe, $redniBroj);
        }

        header("Location: .");
        break;
}

?>