CREATE TABLE `kalkulacije` (
  `proda` varchar(5) NOT NULL,
  `vrsDo` varchar(2) NOT NULL,
  `proIn` varchar(5) NOT NULL,
  `zapis` varchar(2) NOT NULL,
  `broDo` int(11) NOT NULL,
  `verzi` varchar(3) NOT NULL,
  `datumZakljucavanja` datetime DEFAULT NULL,
  `datumKalkulacije` datetime DEFAULT NULL,
  `brojDobavljacevogRacuna` varchar(40) DEFAULT NULL,
  `datumDobavljacevogRacuna` datetime DEFAULT NULL,
  `casasSconto` decimal(11,2) DEFAULT '0.00',
  `iznosZaNaplatuDobavljacu` decimal(11,2) DEFAULT '0.00',
  `PDVdobavljaca` decimal(11,2) DEFAULT '0.00',
  `nabavniIznos` decimal(11,2) DEFAULT '0.00',
  `marza` decimal(11,2) DEFAULT '0.00',
  `rabatPopust` decimal(11,2) DEFAULT '0.00',
  `rabatPopustNaKol` decimal(11,2) DEFAULT '0.00',
  `zavisniTroskovi` decimal(11,2) DEFAULT '0.00',
  `razlikaUCijeni` decimal(11,2) DEFAULT '0.00',
  `prodajniIznosBezPDV` decimal(11,2) DEFAULT '0.00',
  `ukalkuliraniPDV` decimal(11,2) DEFAULT '0.00',
  `prodajniIznosSpdv` decimal(11,2) DEFAULT '0.00',
  `povratnaNaknada` decimal(11,2) DEFAULT '0.00',
  `carineITakse` decimal(11,2) DEFAULT '0.00',
  `deklaracija` varchar(30) DEFAULT NULL,
  `EVporez` decimal(11,2) NOT NULL DEFAULT '0.00',
  `komentar` text,
  `kalkulacijuIzradio` varchar(13) DEFAULT NULL,
  `iznosUstranojValuti` decimal(11,2) DEFAULT NULL,
  `stranaValuta` varchar(12) DEFAULT NULL,
  `potrosniMaterijal` decimal(11,2) DEFAULT '0.00',
  `trosakPakIkamata` decimal(11,2) DEFAULT '0.00', 
  `datumOtvaranja` datetime DEFAULT NULL,
  `datumIzmjene` datetime DEFAULT '0000-00-00 00:00:00',
  `tkoJeIzmjenio` varchar(40) DEFAULT ' ',
  PRIMARY KEY (`proda`,`vrsDo`,`proIn`,`zapis`,`broDo`,`verzi`)
) ;
