<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='pocetna_stranica_prodaje';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

// $oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='dokumenti/pregled_postavki_pocetne_stranice_prodaje.php';
$povratakIzPregleda='izabrano_je_postavke_pocetne_stranice_prodaje';
$dokument = 'Postavke početne stranice prodaje - Web blokovi';  

$slogIzBaze=null;
$nazivRobe = '';
$opis = '';
$greska='';
if (!isset($tekst))  $tekst = '';  
if (!isset($prikazBrisanjeJednogBloka)) $prikazBrisanjeJednogBloka='Da';
if ( isset($_POST['prikazBrisanjeJednogBloka']) ) {
    $prikazBrisanjeJednogBloka=$_POST['prikazBrisanjeJednogBloka'];
}

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaBloka']=$_REQUEST['vrstaBloka'];
     $slogZaUnos['verzijaBloka']=$_REQUEST['verzijaBloka'];
    $slogZaUnos['kodRobe']=$_REQUEST['kodRobe'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);      
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Stavka početne stranice prodaje "'.$slogZaUnos['vrstaBloka'].'" "'.$slogZaUnos['kodRobe'].'"  je uspješno upisana';
                break;
            case 'Izmjena':
           /*  provjera da li je došlo do promjene redosljedBloka pa se u tom slučaju na taj novi redosljed bloka ažuriraju sve
               stavke toga bloka da se ne mora ažurirati svaki slog pojedinačno   */ 
                update_redosljedBloka($slogZaUnos);
                
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Stavka početne stranice prodaje "'.$slogZaUnos['vrstaBloka'].'" "'.$slogZaUnos['kodRobe'].'" je uspješno izmjenjena.';
                
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Stavka početne stranice prodaje "'.$slogZaUnos['vrstaBloka'].'" "'.$slogZaUnos['kodRobe'].'"  je uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>
<style>
    #page {
        margin: 0; 
        width: auto;
    }
</style>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="postavke_pocetne_stranice_prodaje" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;
       <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Web blokovi Grid cjenik i Obavijesti sastoje se od samo jedne stavke
  (ne unosi se kod robe).
  
Kod ostalih blokova unose se kodovi robe-usluge-reklame
koji uz sebe povlače prema potrebi sliku, naziv robe, opis robe i cijene.
Jedan kod robe je jedna stavka, dakle ti blokovi imaju više stavki.

Pojednine rubrike su za pojedini blok irelevantne.
Npr. za blok Obavijesti rubrike Broj artikala u jednom redu, Položaj slike teksta unutar ćelije; 
sve rubrike pod Vidljivo: 
Te rubrike u tom slučaju mogu biti popunjene bilo kako.

" /> &nbsp; &nbsp;        
</td>        

       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>

Redosljed (redni broj) bloka:
<input type="text" class="text_width_2em_right" name="redosljedBloka" value="<?php echo $slogZaUnos['redosljedBloka']; ?>"  />  
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
Redosljed kojim će se Web blokovi pojavljivati na početnoj Web stranici prodaje
" /> &nbsp; &nbsp;  
&nbsp; &nbsp; 

<b>Vrsta bloka:</b>
 <select name="vrstaBloka">         
         <option value="Obavijesti" <?php if($slogZaUnos['vrstaBloka'] == 'Obavijesti') echo 'selected="selected"'; ?> >Obavijesti</option>    
         <option value="Tabela opća" <?php if($slogZaUnos['vrstaBloka'] == 'Tabela opća') echo 'selected="selected"'; ?> >Tabela opća</option>       
         <option value="Grid cjenik" <?php if($slogZaUnos['vrstaBloka'] == 'Grid cjenik') echo 'selected="selected"'; ?> >Grid cjenik</option>
         <option value="Slide show vremenski" <?php if($slogZaUnos['vrstaBloka'] == 'Slide show vremenski') echo 'selected="selected"'; ?> >Slide show vremenski</option>
         <option value="Slide show ručni" <?php if($slogZaUnos['vrstaBloka'] == 'Slide show ručni') echo 'selected="selected"'; ?> >Slide show ručni</option>
         <option value="Putujuće slike" <?php if($slogZaUnos['vrstaBloka'] == 'Putujuće slike') echo 'selected="selected"'; ?> >Putujuće slike</option>
       </select>  
       <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
Glavni grid cjenik po defaultu 4 artikla u jednom redu.

Obavijesti - formatirani tekst ili jednostavne tabele koje kreira sam administrator korisnika
                Obično na vrhu stranice (Redosljed bloka 1). Bez slika.
                
Tabela opća: Tu se pikazuje roba koja je navedena u 
        Kod robe-usluge-reklame: i to redosljedom koji je naveden
          u Redni broj za kod robe (redosljed prikazivanja): 
          Npr. može se koristiti za Posebna ponuda, Novo u ponudi, Akcije ...
          
Slide show-ovi 
       Tu se prikazuje roba koja je navedena u Kod robe-usluge-reklame:,
       na način koji odgovara određenom slide-show-u
" /> &nbsp; &nbsp;  
&nbsp; &nbsp; 
       <b>Verzija bloka(dodatna oznaka):</b>
<input type="text" class="text_width_10em" name="verzijaBloka" value="<?php echo $slogZaUnos['verzijaBloka']; ?>"  />   &nbsp; &nbsp;    

Prikaz bloka na Webu:
      <select name="prikazBloka">
         <option value="Da" <?php if($slogZaUnos['prikazBloka'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['prikazBloka'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;
       <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
Npr. privremeno se neki blok ne želi prikazivati
    ili još nije dovršen.
Ne mora ga se brisati, a po potrebi se kasnije može
modificirati i prikazati(aktivirati).  
" /> &nbsp; &nbsp; 
<p></p>

Naziv(naslov) bloka(nije obavezan):
<input type="text" class="text_width_25em" name="nazivBloka" value="<?php echo $slogZaUnos['nazivBloka']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Naziv(naslov) bloka prikazuje se iznad bloka(ako je popunjen)
   Npr. Posebna ponuda, Novo u ponudi, Akcija, ...)
" /> &nbsp; &nbsp;  
Debljina okvira tabele px:
<input type="text" class="text_width_2em" name="debljinaOkviraTabele" value="<?php echo $slogZaUnos['debljinaOkviraTabele']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"

" /> &nbsp; &nbsp;   
<p></p>
<b>Kod robe-usluge-reklame:</b>
<input type="text" class="text_width_12em" name="kodRobe" value="<?php echo $slogZaUnos['kodRobe']; ?>"  /> 
Redni broj za kod robe (redosljed prikazivanja):
<input type="text" class="text_width_2em" name="redniBrojZaKodRobe" value="<?php echo $slogZaUnos['redniBrojZaKodRobe']; ?>" />     
&nbsp; &nbsp;       

<p></p>
Naziv robe:
<?php
    $roba = get_product_maticna_robe($slogZaUnos['kodRobe']);
    if (!empty($roba)) {
        $nazivRobe = $roba['nazivRobe'];
        $opis = $roba['opis'];
    }  else {   
        $opis= '';
        $nazivRobe = '';
    }
?>
<input type="text" class="text_width_25em" name="nazivRobe" value="<?php echo $nazivRobe; ?>" readonly /> 
Opis robe:
<input type="text" class="text_width_50em" name="opis" value="<?php echo $opis; ?>" readonly /> 
<p></p>  
Broj artikala u jednom redu:
<input type="text" class="text_width_1em" name="brojArtikalaUredu" value="<?php echo $slogZaUnos['brojArtikalaUredu']; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Ovaj podatak je nebitan kod Obavijesti i Slide show-ova " /> &nbsp; &nbsp;       
Položaj teksta-slike unutar ćelije:
<select name="polozajSlikeTeksta">
         <option value="Slika gore tekst dolje" <?php if($slogZaUnos['polozajSlikeTeksta'] == 'Slika gore tekst dolje') echo 'selected="selected"'; ?> >Slika gore tekst dolje</option>
         <option value="Slika lijevo tekst desno" <?php if($slogZaUnos['polozajSlikeTeksta'] == 'Slika lijevo tekst desno') echo 'selected="selected"'; ?> >Slika lijevo tekst desno</option>  
         <option value="Tekst lijevo slika desno" <?php if($slogZaUnos['polozajSlikeTeksta'] == 'Tekst lijevo slika desno') echo 'selected="selected"'; ?> >Tekst lijevo slika desno</option>
       </select>  
<p></p>    
<p></p>
<b>Vidljivo: </b> &nbsp; &nbsp;
Naziv robe: &nbsp; &nbsp;&nbsp;
      <select name="vidljivNazivRobe">
         <option value="Da" <?php if($slogZaUnos['vidljivNazivRobe'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivNazivRobe'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp; &nbsp;
     
Opis robe:
      <select name="vidljivOpisRobe">
         <option value="Da" <?php if($slogZaUnos['vidljivOpisRobe'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivOpisRobe'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
Slika robe:
      <select name="vidljivaSlikaRobe">
         <option value="Da" <?php if($slogZaUnos['vidljivaSlikaRobe'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivaSlikaRobe'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
VPC:
      <select name="vidljivaVPC">
         <option value="Da" <?php if($slogZaUnos['vidljivaVPC'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivaVPC'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
MPC:
      <select name="vidljivaMPC">
         <option value="Da" <?php if($slogZaUnos['vidljivaMPC'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivaMPC'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
Rabat-popust:
      <select name="vidljivRabatPopust">
         <option value="Da" <?php if($slogZaUnos['vidljivRabatPopust'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivRabatPopust'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
Preporučena MPC:
      <select name="vidljivaPreporucenaMPC">
         <option value="Da" <?php if($slogZaUnos['vidljivaPreporucenaMPC'] == 'Da') echo 'selected="selected"'; ?> >Da</option>
         <option value="Ne" <?php if($slogZaUnos['vidljivaPreporucenaMPC'] == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;     &nbsp; &nbsp;     
   
     <p></p>
     <p><br></p>
<div id="tel">  
    &nbsp; Formatirani tekst ili jednostavna tabela(koristi se samo za Vrsta bloka: Obavijesti)
    &nbsp;
    
    <textarea name="tekst" rows="5" style="width: 98%;" ><?php echo $slogZaUnos['tekst']; ?></textarea>
</div>
<p></p>
<select name="prikazBrisanjeJednogBloka">       
         <option value="Ne" <?php if($prikazBrisanjeJednogBloka == 'Ne') echo 'selected="selected"'; ?> >Prikaz svih stavki i svih blokova</option>
         <option value="Da" <?php if($prikazBrisanjeJednogBloka == 'Da') echo 'selected="selected"'; ?> >Prikaz ili brisanje svih stavki samo navedene vrste bloka</option>
       </select>  &nbsp; &nbsp;    
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Ova rubrika je utjecajna kod vrste bloka koji ima više stavki(više kodova robe). 
Ako je odabrano Prikaz ili brisanje svih stavki samo navedene vrste bloka,
prikazuju se ili brišu sve stavke koje spadaju pod blok naveden u Vrsta bloka:

Pažnja!
  Ako je odabrana operacija Brisanje i odabrano Prikaz ili brisanje 
  svih stavki samo navedene vrste bloka, brišu se sve stavke navedenog bloka,
  a ako je odabrana operacija Brisanje i odabrano Prikaz svih stavki i svih blokova, 
  briše se samo jedna stavka bloka.
" /> &nbsp; &nbsp;      
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>

<?php
    if($prikazBrisanjeJednogBloka == 'Da' && $opSaDok == 'Brisanje' )   {
        delete_pocetna_stranica_prodaje_jedan_blok($_REQUEST['vrstaBloka'],$_REQUEST['verzijaBloka']);     
    }
            
 include './dokumenti/pregled_postavki_pocetne_stranice_prodaje.php';
?>