<?php
function listaPoslovnica($naziv, $daliFirma, &$kodPoslovnice,$samoDozvoljene=true) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    include('dokumenti/kontrola_poslovnice_init.php');
    $poslovnice = get_poslovnice();
    $korisnik = get_admin_by_email($_SESSION['admin']['email']);
    $dozvoljenePoslovnice=  explode(',', $korisnik['poslovnicePunkta']);
    $prioritet=$korisnik['prioritet'];
    //prikazuje samo dozvolene prodavaone
    $samoDozvoljene&=(array_search('0',$dozvoljenePoslovnice)===FALSE);
    if( trim($korisnik['poslovnicePunkta'])!='') {
        if(trim($kodPoslovnice)=='' ) {
            if($dozvoljenePoslovnice[0]=='0' && isset($dozvoljenePoslovnice[1]))
                $kodPoslovnice=$dozvoljenePoslovnice[1];
            else
                $kodPoslovnice=$dozvoljenePoslovnice[0];
        }
    }
    else if($daliFirma && trim($kodPoslovnice)=='')
        $kodPoslovnice='0';
    $dozvPosl=array();
    foreach ($poslovnice as $poslovnica_izbor) {
        if(!$daliFirma && $poslovnica_izbor['kodPoslovnice']=='0')
            continue;
        if($samoDozvoljene && $prioritet>4 && array_search($poslovnica_izbor['kodPoslovnice'],$dozvoljenePoslovnice)===FALSE)
            continue;     
        if(trim($kodPoslovnice)=='')
            $kodPoslovnice=$poslovnica_izbor['kodPoslovnice'];
        $lista.='<option value="'.$poslovnica_izbor['kodPoslovnice'].'"';
        if ($poslovnica_izbor['kodPoslovnice'] ==  $kodPoslovnice){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$poslovnica_izbor['kodPoslovnice'].' &nbsp;'.$poslovnica_izbor['nazivPoslovnice'].' </option>';
        $dozvPosl[]=$poslovnica_izbor['kodPoslovnice'];
    }
    $lista.='</select>';
    echo $lista;
    return $dozvPosl;
}

function listaPoslovnicaMulti($naziv, $daliFirma, $odabranePoslovnice, $brojRedova=NULL,$samoDozvoljene=true) {
    $pom=' ';
    if(isset($brojRedova))
        $pom=' size='.$brojRedova;
    $lista='<select name="'.$naziv.'"'.$pom.' id="'.$naziv.'" multiple>';
    //$lista='<select name="poslovnice_izbor[]" multiple>';
    include('dokumenti/kontrola_poslovnice_init.php');
    $poslovnice = get_poslovnice();
    $korisnik = get_admin_by_email($_SESSION['admin']['email']);
    $dozvoljenePoslovnice=  explode(',', $korisnik['poslovnicePunkta']);
    $prioritet=$korisnik['prioritet'];
    $samoDozvoljene&=(array_search('0',$dozvoljenePoslovnice)===FALSE);
    if(empty($odabranePoslovnice) && $dozvoljenePoslovnice[0]=='0' && isset($dozvoljenePoslovnice[1])) {
        //if(in_array($dozvoljenePoslovnice[1],$poslovnice))
            $odabranePoslovnice[]=$dozvoljenePoslovnice[1];
    }
    $dozvPosl=array();
    foreach ($poslovnice as $poslovnica_izbor) {
        if(!$daliFirma && $poslovnica_izbor['kodPoslovnice']=='0')
            continue;
        if($samoDozvoljene && $prioritet>4 && array_search($poslovnica_izbor['kodPoslovnice'],$dozvoljenePoslovnice)===FALSE)
            continue;
        if(empty($odabranePoslovnice)) 
            $odabranePoslovnice[]=$poslovnica_izbor['kodPoslovnice'];
        $lista.='<option value="'.$poslovnica_izbor['kodPoslovnice'].'"';
        if (in_array_trim($poslovnica_izbor['kodPoslovnice'], $odabranePoslovnice)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$poslovnica_izbor['kodPoslovnice'].' &nbsp;'.$poslovnica_izbor['nazivPoslovnice'].' </option>';
        $dozvPosl[]=$poslovnica_izbor['kodPoslovnice'];
    }
    $lista.='</select>';
    echo $lista;
    return $dozvPosl;
}

function listaVrsteDokumenata($naziv, $vrsDo,$daliSve=false, $samoFiskalizacije=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $vrsteDokumenata = get_vrste_dokumenata();
    if($daliSve)
        $lista.='<option value="" '.((trim($vrsDo) == '') ? 'selected="selected"':'').'> </option>';
  //  $vrsDoPr9 = array('N','5','NS');
  //  if (trim($_SESSION['admin']['vidljivaCijenaRabat']) == 'bezRabata') $vrsDoPr9 = array('N','NS');
    $vidljiviDokumenti=explode(',', $_SESSION['admin']['vidljiviDokumenti']);  
    foreach ($vrsteDokumenata as $vrstaDokumentaIzbor) {
        if($samoFiskalizacije && $vrstaDokumentaIzbor['fiskalizacija']!='Da' && trim($vrstaDokumentaIzbor['vrsDo'])!='4') continue;
        if(trim($vrstaDokumentaIzbor['tipDokumenta'])=='K') continue;        
    //     if ($_SESSION['admin']['prioritet'] == 9)  {
        if (trim($_SESSION['admin']['vidljiviDokumenti']) != '') {
             if( in_array_trim(trim($vrstaDokumentaIzbor['vrsDo']), $vidljiviDokumenti) ) {    //nastavlja iza ovog ifa
             } else {            
               continue; // ide na foreach
             }  
        }   
     //    }                
        $lista.='<option value="'.$vrstaDokumentaIzbor['vrsDo'].'"';
        if (trim($vrstaDokumentaIzbor['vrsDo']) ==  trim($vrsDo)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$vrstaDokumentaIzbor['nazivDokumenta'].' ('.trim($vrstaDokumentaIzbor['vrsDo']).') </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaDodatniCjenici($naziv, $oznakaCjenika,$daliSve=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $cjenici = get_nazivi_cjenika_sve();
    if($daliSve)
        $lista.='<option value="" '.((trim($oznakaCjenika) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($cjenici as $slog) {
        $lista.='<option value="'.$slog['oznakaCjenika'].'"';
        if (trim($slog['oznakaCjenika']) ==  trim($oznakaCjenika)){
            $lista.=' selected="selected"';
        } 
        $lista.='>'.trim($slog['oznakaCjenika']).' - '.$slog['nazivCjenika'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

/*
 * parametar $azurStanja - ako je '' uzima sve vrste dok. za 1 uzima samo ulazne, za -1 samo izlazne, za 0 one koji ne utječu na stanja  
 */
function listaVrsteDokumenataMulti($naziv, $vrsteDok, $brojRedova=NULL,$azurStanja='') {
    $pom=' ';
    if(isset($brojRedova))
        $pom=' size='.$brojRedova;
    $lista='<select name="'.$naziv.'"'.$pom.' id="'.$naziv.'" multiple>';
    $vrsteDokumenata = get_vrste_dokumenata();
    foreach ($vrsteDokumenata as $vrstaDokumentaIzbor) {
        if(trim($vrstaDokumentaIzbor['tipDokumenta'])=='K' || ($azurStanja!='' && $azurStanja!=$vrstaDokumentaIzbor['azurStanja']))
            continue;
        if(empty($vrsteDok)) 
            $vrsteDok[]=trim($vrstaDokumentaIzbor['vrsDo']);
        $lista.='<option value="'.trim($vrstaDokumentaIzbor['vrsDo']).'"';
        // if (trim($vrstaDokumentaIzbor['vrsDo']) ==  trim($vrsDo)){
        if (in_array_trim(trim($vrstaDokumentaIzbor['vrsDo']), $vrsteDok)){
           $lista.=' selected="selected"';
         } 
        $lista.='>'.$vrstaDokumentaIzbor['nazivDokumenta'].' ('.trim($vrstaDokumentaIzbor['vrsDo']).') </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaVrsteDokumenataKnj($naziv, $vrsDo,$daliSve=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $vrsteDokumenata = get_vrste_dokumenata();
    if($daliSve)
        $lista.='<option value="" '.((trim($vrsDo) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($vrsteDokumenata as $vrstaDokumentaIzbor) {
        if(trim($vrstaDokumentaIzbor['tipDokumenta'])!='K')
            continue;
        $lista.='<option value="'.$vrstaDokumentaIzbor['vrsDo'].'"';
        if (trim($vrstaDokumentaIzbor['vrsDo']) ==  trim($vrsDo)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.trim($vrstaDokumentaIzbor['nazivDokumenta']).'('.trim($vrstaDokumentaIzbor['oznakaDokumenta']).')'.' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaZapisnika($naziv,$zapis) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $lista.='<option value="" '.(($zapis == '') ? 'selected="selected"':'').'> </option>';
    $lista.='<option value="OT" '.(($zapis == 'OT') ? 'selected="selected"':'').' >Otpis(OT)</option>';
    $lista.='<option value="RT" '.(($zapis == 'RT') ? 'selected="selected"':'').' >Zamjene šifri(RT)</option>';
    $lista.='<option value="PC" '.(($zapis == 'PC') ? 'selected="selected"':'').' >Povišenje(promjena) cijena(PC)</option>';
    $lista.='<option value="SC" '.(($zapis == 'SC') ? 'selected="selected"':'').' >Sniženje cijena(SC)</option>';
    $lista.='<option value="K1" '.(($zapis == 'K1') ? 'selected="selected"':'').' >Tuđa roba kod nas(K1)</option>';
    $lista.='<option value="K2" '.(($zapis == 'K2') ? 'selected="selected"':'').' >Naša roba kod drugih(K2)</option>';
    $lista.='<option value="RA" '.(($zapis == 'RA') ? 'selected="selected"':'').' >Zamjene šifri po inventuri(RA)</option>';
    $lista.='<option value="PO" '.(($zapis == 'PO') ? 'selected="selected"':'').' >Povrat robe(PO)</option>';
    $lista.='<option value="OK" '.(($zapis == 'OK') ? 'selected="selected"':'').' >Obavijest o knjiženju(OK)</option>';
    $lista.='<option value="KN" '.(($zapis == 'KN') ? 'selected="selected"':'').' >Kompjuterske nivelacije(KN)</option>';
    $lista.='<option value="NC" '.(($zapis == 'NC') ? 'selected="selected"':'').' >Nivelacije po cjeniku(NC)</option>';
    $lista.='<option value="KR" '.(($zapis == 'KR') ? 'selected="selected"':'').' >Krađa(KR)</option>';
    $lista.='<option value="KA" '.(($zapis == 'KA') ? 'selected="selected"':'').' >Kalo(KA)</option>';
    $lista.='<option value="LO" '.(($zapis == 'LO') ? 'selected="selected"':'').' >Lom(LO)</option>';
    $lista.='<option value="EV" '.(($zapis == 'EV') ? 'selected="selected"':'').' >Evidentno(EV)</option>';
    $lista.='<option value="RE" '.(($zapis == 'RE') ? 'selected="selected"':'').' >Reklamacije(RE)</option>';
    $lista.='<option value="RB" '.(($zapis == 'RB') ? 'selected="selected"':'').' >Zapisnik(RB)</option>';  
    $lista.='<option value="VI" '.(($zapis == 'VI') ? 'selected="selected"':'').' >Višak robe(VI)</option>'; 
    $lista.='<option value="MA" '.(($zapis == 'MA') ? 'selected="selected"':'').' >Manjak robe(MA)</option>'; 
    $lista.='</select>';
    echo $lista;
}
function listaVrstaKnjizenja($naziv,$knjigovodstvenoKnjizenje) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $lista.='<option value="" '.(($knjigovodstvenoKnjizenje == '') ? 'selected="selected"':'').'>ne knjiži se u knjigovodstvu</option>';
    $lista.='<option value="MGsaldaKontiNovo" '.(($knjigovodstvenoKnjizenje == 'MGsaldaKontiNovo') ? 'selected="selected"':'').' >Knjiži se u novo MG salda-konti</option>';
    $lista.='<option value="MGgkSkNovo" '.(($knjigovodstvenoKnjizenje == 'MGgkSkNovo') ? 'selected="selected"':'').' >Knjiži se u novo MG, GK i SK</option>';   
    $lista.='<option value="MGgkNovo" '.(($knjigovodstvenoKnjizenje == 'MGgkNovo') ? 'selected="selected"':'').' >Knjiži se u novo MG, GK</option>';
    $lista.='<option value="COknjigovodstvo" '.(($knjigovodstvenoKnjizenje == 'COknjigovodstvo') ? 'selected="selected"':'').' >Knjiži se u Mika knjigovodstvo</option>';
    $lista.='<option value="UPknjigovodstvo" '.(($knjigovodstvenoKnjizenje == 'UPknjigovodstvo') ? 'selected="selected"':'').' >Knjiži se u Ured plus knjigovodstvo</option>';
//    $lista.='<option value="MGknjigovodstvo" '.(($knjigovodstvenoKnjizenje == 'MGknjigovodstvo') ? 'selected="selected"':'').' >knjiži se u staro MG knjig.</option>';
    $lista.='</select>';
    echo $lista;
}
function listaVrsteProdaje($naziv,$varijabla,$daliSve) {
    $dozvole=dozvoljeneVP();
    $sakrijVP2=$_SESSION['admin']['prioritet']==9 && $naziv=='vrstaProdajePar';
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    //if($daliSve && $dozvole['0'] && $dozvole['1'] && $dozvole['2'] && $dozvole['D'])
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'>Sve vrste prodaje</option>';
    if($dozvole['0'])
        $lista.='<option value="0" '.(($varijabla == '0') ? 'selected="selected"':'').' >Redovna prodaja(0)</option>';
    if($dozvole['1'])
        $lista.='<option value="1" '.(($varijabla == '1') ? 'selected="selected"':'').' >Tuđa roba kod nas(1)</option>';
    if($dozvole['2'])  if(!$sakrijVP2)
        $lista.='<option value="2" '.(($varijabla == '2') ? 'selected="selected"':'').' >Naša roba kod drugih(2)</option>';
    if($dozvole['D'] )
        $lista.='<option value="D" '.(($varijabla == 'D') ? 'selected="selected"':'').' >Roba u dolasku(D)</option>';
    if($dozvole['S'] )
        $lista.='<option value="S" '.(($varijabla == 'S') ? 'selected="selected"':'').' >Roba na sniženju(S)</option>';
    $lista.='</select>';
    echo $lista;
}

function listaVrstePoslovnice($naziv,$varijabla,$daliSve) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'>Sve vrste</option>';
    $lista.='<option value="0" '.(($varijabla == '0') ? 'selected="selected"':'').' >Veleprodaja</option>';
    $lista.='<option value="1" '.(($varijabla == '1') ? 'selected="selected"':'').' >Maloprodaja</option>';
    $lista.='<option value="2" '.(($varijabla == '2') ? 'selected="selected"':'').' >Repromaterijal</option>';
    $lista.='<option value="3" '.(($varijabla == '3') ? 'selected="selected"':'').' >Usluge</option>';
    $lista.='<option value="4" '.(($varijabla == '4') ? 'selected="selected"':'').' >Gotovi proizvodi</option>';
    $lista.='</select>';
    echo $lista;
}

function listaVrstaRobe($naziv,$varijabla,$daliSve) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'>Roba + Usluga</option>';
    $lista.='<option value="R" '.(($varijabla == 'R') ? 'selected="selected"':'').' >Roba</option>';
    $lista.='<option value="U" '.(($varijabla == 'U') ? 'selected="selected"':'').' >Usluga</option>';
    $lista.='</select>';
    echo $lista;
}
function format_ili_prazno($broj,$decimale,$zarez,$tocka) {
    return ($broj== 0 ? '':number_format($broj,$decimale,$zarez,$tocka));
}

function post2hiden() {
    foreach ( $_POST as $kljuc => $var )
    {
        if(is_array($var)) {
            foreach ($var as $key => $val) 
                var2hidden($kljuc.'['.$key.']', $val);
        }
        else 
            var2hidden($kljuc, $var);
    }    
}

function var2hidden($ime, $vrijednost) {
    //echo $ime.'='.$vrijednost.'<br>';
    $hidden='<input type="hidden" name="'.$ime.'" value="'.$vrijednost.'" />';
}

function kopiraj_array($ar1) {
    $ar2=array();;
    foreach ( $ar1 as $kljuc => $var )
    {
        if(is_array($var)) {
             $ar2[$kljuc] = kopiraj_array( $var );
            /*
            foreach ($var as $key => $val) 
                $ar2[$kljuc][$key] = $val;
             */
        }
        else if(is_object($var)) 
            $ar2[$kljuc] = clone $var;
        else 
            $ar2[$kljuc] = $var;
    }    
    return $ar2;
}

function kopiraj_array2($ar1, $ar2, $dodavanje=false) {
    if(!is_array($ar2) && !$dodavanje)
        $ar2=array();
    foreach ( $ar1 as $kljuc => $var )
    {
        if(is_array($var)) {
            $ar2[$kljuc] = kopiraj_array($var);
            /*
            foreach ($var as $key => $val) 
                $ar2[$kljuc][$key] = $val;
             */
        }
        else if(is_object($var)) 
            $ar2[$kljuc] = clone $var;
        else 
            $ar2[$kljuc] = $var;
    }    
    return $ar2;
}

function pretraga_partnera($partner,$pozvanIz, $poStranicama=false) {
    global $naslovStranice;
    $pomPartner=get_partner($partner);
    if(is_array($pomPartner))
        return $pomPartner['kodPartnera'];
    $partnerRijec = trim($partner);
    if(!isset($_POST['rijecPartnerHeader']))
        $_POST['rijecPartnerHeader']=$partnerRijec;
    unset($_SESSION['pregledPartnera']);
    $_SESSION['pregledPartnera']=kopiraj_array($_POST);
    if ($pozvanIz!='header')
        $_SESSION['pregledPartnera']['pozvanIz']=$pozvanIz;
     
    if($poStranicama) {
         return NULL;      
    }
     
    $tabela = 'partner';

    $partneri = partnerPoRijeci($tabela, $partnerRijec, '', true);

    if (!empty($partneri)) {
        $partner1 = $partneri[0];
        $kodPartnera = str_pad($partner1['kodPartnera'], 13);

        $rijec13 = str_pad($partnerRijec, 13);
    }
    else {
        $rijec13='';
    }

    if ( count($partneri) == 1 && $kodPartnera == $rijec13) {
    //ukucan kodPartnera je nađen 
        return $kodPartnera; 
    } 
    else {   
        //više slogova je našao treba izbor napraviti ili jedan (pretraga nije bila po šifi)treba potvrditi izbor
         //$pozvanIz ='dokumenti/view_promet_po_robi.php';
         $_SESSION['pregledPartnera']=kopiraj_array($_POST);
         $_SESSION['pregledPartnera']['pozvanIz']=$pozvanIz;
         if(!empty($naslovStranice) && is_array($partneri))
            $_SESSION['pregledPartnera']['naslovStranice']=$naslovStranice;
         return $partneri;      
    }    
}

function odabirPartneraZaUnos($kodPartnera, $unosIzmjena,$naslovPretrage='') {
   global $greska, $naslovStranice;
   // treba za header
   global $app_path;
   $slogPartnera=get_partner($kodPartnera);
   if(empty($slogPartnera) && $unosIzmjena) {
        $pom=pretraga_partnera($kodPartnera,'unos');
        //$pom=pretraga_partnera($partnerZaEmail,'.?action=uzmi_zag_pregledi_dokumenata');
        if(is_array($pom)) {
            $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             if(!empty($naslovPretrage))
                $_SESSION['pregledPartnera']['naslovPretrage']=$naslovPretrage;
             $_SESSION['pregledPartnera']['naslovStranice']=$naslovStranice;
             $naslovStranice=$naslovPretrage;
             include 'view/header.php';
             include 'view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
        $imaUsklicnik = strpos($pom, '!');
        if ($imaUsklicnik === FALSE) {
            $slogPartnera=get_partner($pom);
        } else {
            $greska = $pom;
            return null;
        }
       
   }
   
   return $slogPartnera; 
}    

function listaPDVstatusa($naziv,$PDVstatus, $daliSve=false, $uraIra='Sve') {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
 
    if($daliSve)
        $lista.='<option value="S" '.(($PDVstatus == 'S') ? 'selected="selected"':'').' >Svi statusi</option>';  //ira i ura  

   if ($uraIra == 'Ira' || $uraIra == 'Sve') { 
    $lista.='<option value=" " '.(($PDVstatus == ' ') ? 'selected="selected"':'').' >Oporezivo PDV-om </option>';  //ira i ura
    $lista.='<optgroup label="Ne podlježe oporezivanju(knjiga Ira)">';
    $lista.='<option value="A" '.(($PDVstatus == 'A') ? 'selected="selected"':'').' >Tuzemni prijenos porezne obveze(7)</option>';
    $lista.='<option value="B" '.(($PDVstatus == 'B') ? 'selected="selected"':'').' >Isporuke dobara u drugim državama članicama(8ira)</option>';
    $lista.='<option value="C" '.(($PDVstatus == 'C') ? 'selected="selected"':'').' >Isporuke dobara unutar EU(9)</option>';
    $lista.='<option value="D" '.(($PDVstatus == 'D') ? 'selected="selected"':'').' >Obavljene usluge unutar EU(10)</option>';
    $lista.='<option value="E" '.(($PDVstatus == 'E') ? 'selected="selected"':'').' >Obavljene isporuke osobama bez sjedišta u RH(11)</option>';
    $lista.='<option value="F" '.(($PDVstatus == 'F') ? 'selected="selected"':'').' >Sastavljanje i postavljanje dobara u drugoj državi članici(12)</option>';
    $lista.='<option value="G" '.(($PDVstatus == 'G') ? 'selected="selected"':'').' >Isporuke NPS u EU(13)</option>';
    $lista.='<option value="H" '.(($PDVstatus == 'H') ? 'selected="selected"':'').' >U tuzemstvu(14)</option>';
    $lista.='<option value="I" '.(($PDVstatus == 'I') ? 'selected="selected"':'').' >Izvozne isporuke(15)</option>';
    $lista.='<option value="J" '.(($PDVstatus == 'J') ? 'selected="selected"':'').' >Ostala oslobođenja(16)</option>';
    $lista.='<option value="K" '.(($PDVstatus == 'K') ? 'selected="selected"':'').' >Trostrani posao u EU(17_)</option>';
   }
   if ($uraIra == 'Ura' || $uraIra == 'Sve') {
    $lista.='<optgroup label="Primljena ulazna dobra i usluge(knjiga URA)">';
    $lista.='<option value=" " '.(($PDVstatus == ' ') ? 'selected="selected"':'').' >Oporezivo PDV-om </option>';  //ira i ura     
    $lista.='<option value="0" '.(($PDVstatus == '0') ? 'selected="selected"':'').' >Ostala oslobođenja od PDV-a(0)</option>'; //ura
    $lista.='<option value="6" '.(($PDVstatus == '6') ? 'selected="selected"':'').' >Uvoz izvan EU(6)</option>'; //ura
    $lista.='<option value="7" '.(($PDVstatus == '7') ? 'selected="selected"':'').' >Uvoz iz EU(7)</option>';  //ura 
    $lista.='<option value="8" '.(($PDVstatus == '8') ? 'selected="selected"':'').' >Primljene usluge iz EU(8ura)</option>';  //ura 
    $lista.='<option value="9" '.(($PDVstatus == '9') ? 'selected="selected"':'').' >Tuzemni prijenos porezne obveze(9ura)</option>';  //ura 
  }  
    
    $lista.='</select>';
    echo $lista; 
}
function nazivPDVstatusa($PDVstatus) {
    if ($PDVstatus == ' ' ) return 'Oporezivo PDV-om';
    if ($PDVstatus == 'A' ) return 'Tuzemni prijenos porezne obveze';
    if ($PDVstatus == 'B' ) return 'Isporuke dobara u drugim državama članicama';
    if ($PDVstatus == 'C' ) return 'Isporuke dobara unutar EU';
    if ($PDVstatus == 'D' ) return 'Obavljene usluge unutar EU';
    if ($PDVstatus == 'E' ) return 'Obavljene isporuke osobama bez sjedišta u RH';
    if ($PDVstatus == 'F' ) return 'Sastavljanje i postavljanje dobara u drugoj državi članici';
    if ($PDVstatus == 'G' ) return 'Isporuke NPS u EU';
    if ($PDVstatus == 'I' ) return 'Izvozne isporuke';
    if ($PDVstatus == 'J' ) return 'Ostala oslobođenja';
    if ($PDVstatus == 'K' ) return 'Trostrani posao u EU';
    if ($PDVstatus == '0' ) return 'Ostala oslobođenja od PDV-a';    
    if ($PDVstatus == '6' ) return 'Uvoz izvan EU';
    if ($PDVstatus == '7' ) return 'Uvoz iz EU';
    if ($PDVstatus == '8' ) return 'Primljene usluge iz EU';
    if ($PDVstatus == '9' ) return 'Tuzemni prijenos porezne obveze(URA)';
}
function listaNacinaPlacanja($naziv,$nacinPlacanja) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $lista.='<option value=" " '.(($nacinPlacanja == ' ') ? 'selected="selected"':'').' >Transakcijski račun( )</option>';  
    $lista.='<option value="2" '.(($nacinPlacanja == '2') ? 'selected="selected"':'').' >Avansom na tr. račun(2)</option>';
    $lista.='<option value="G" '.(($nacinPlacanja == 'G') ? 'selected="selected"':'').' >Gotovina-novačanice(G)</option>'; 
    $lista.='<option value="4" '.(($nacinPlacanja == '4') ? 'selected="selected"':'').' >Kompenzacija(4)</option>';
    $lista.='</select>';
    echo $lista;
}
function listaPorezneGrupe($naziv, $poreznaGrupa,$daliSve) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_porezi();
    if($daliSve)
        $lista.='<option value="" '.(($poreznaGrupa == '') ? 'selected="selected"':'').'>Sve porezne grupe</option>';
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['poreznaGrupa'].'"';
        if ($slog['poreznaGrupa'] ==  $poreznaGrupa){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['poreznaGrupa'].'   | '.$slog['PDV'].'%'.' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaJediniceMjere($naziv, $kodJMJ) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_jedinice_mjere();
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['kodJMJ'].'"';
        if ($slog['kodJMJ'] ==  $kodJMJ){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['kodJMJ'].'   | '.$slog['nazivJMJ'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaZemlje($naziv, $zemlja, $prikaziSve=true) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_zemlje();
    
    if($prikaziSve) {
    $lista.='<option value=""';
        if (trim($zemlja)==''){
               $lista.=' selected="selected"';
        } 
        $lista.='>Sve zemlje</option>';
    }

    
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['zemlja'].'"';
        if ($slog['zemlja'] ==  $zemlja){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['nazivZemljeHR'].' ('.$slog['zemlja'].') </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaTarifniBrojevi($naziv, $zemlja, $prikaziNepopunjeno=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_tarifni_brojevi();
    
    $lista.='<option value=" "';
    if (trim($zemlja)==''){
           $lista.=' selected="selected"';
     } 
     $lista.='> </option>';

    if($prikaziNepopunjeno) {
        $lista.='<option value="n"';
        if (trim($zemlja)=='n'){
               $lista.=' selected="selected"';
         } 
         $lista.='>Nepopunjeno</option>';
        
    }
     
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['tarifniBroj'].'"';
        if ($slog['tarifniBroj'] ==  $zemlja){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['tarifniBroj'].' '.$slog['nazivTarifnogBroja'].'</option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaRefProd($naziv, $refProd,  $b2bKorisnici=true) {
    if($_SESSION['godina_b']=='')
        $baza=$_SESSION['odabranaBaza'];
    else
        $baza=str_replace('_'.substr($_SESSION['godina_b'], 2), '', $_SESSION['odabranaBaza']);
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    //$slogovi = get_all_admins();
    $slogovi = get_admins_s_prometima();
    
    $lista.='<option value=" "';
    if(trim($refProd)==''){
        $lista.=' selected="selected"';
    } 
    $lista.='> </option>';
     
    foreach ($slogovi as $slog) { 
        if(preg_match( '/'.$baza.'/', $slog['bazeZaKorisnika'])>0 && trim($slog['skracenica'])!=''
           && ($slog['prioritet']<9 || $b2bKorisnici))
        {
            $lista.='<option value="'.$slog['OIB'].'"';
            if ($slog['OIB'] ==  $refProd){
                   $lista.=' selected="selected"';
             } 
            $lista.='>'.$slog['skracenica'].' - '.trim($slog['prezime']).', '. trim($slog['ime']).'</option>';
        }
    }
    $lista.='</select>';
    echo $lista;
}

function get_admins_s_prometima() {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = "
        select a.* 
        from ".get_admin_db().".administrators as a
        inner join 
        (
        select  z.komercijalista, z.refProd, z.tkoJeKreirao
        from dok_zag AS z
        group by z.komercijalista, z.refProd, z.tkoJeKreirao
        ) as z 
        on z.refProd collate utf8_croatian_ci=a.OIB collate utf8_croatian_ci
         or z.tkoJeKreirao=a.email
         or z.komercijalista collate utf8_croatian_ci=a.skracenica collate utf8_croatian_ci
        -- where a.bazeZaKorisnika like concat('%', database(), '%')
        group by a.`kodAdmin`
        union
        select a.* 
        from ".get_admin_db().".administrators as a
        inner join 
        (
        select distinct tkoJeIzmjenio
        from gk_stavke 
        ) as gk on gk.tkoJeIzmjenio=a.email
        -- where a.bazeZaKorisnika like concat('%', database(), '%')
        ORDER BY prezime, ime
        ";
    try {
        // echo nl2br($query);
        $statement = $db->prepare($query);
        $statement->execute();
        $admins = $statement->fetchAll();
        $statement->closeCursor();
        return $admins;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function listaKojaStanja($naziv,$varijabla,$daliSve) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'>Sva stanja</option>';
    $lista.='<option value="+-" '.(($varijabla == '+-') ? 'selected="selected"':'').'>Stanja koja nisu nula</option>';
    $lista.='<option value="0" '.(($varijabla == '0') ? 'selected="selected"':'').' >Samo nula stanja</option>';
    $lista.='<option value="+" '.(($varijabla == '+') ? 'selected="selected"':'').' >Pozitivna stanja</option>';
    $lista.='<option value="-" '.(($varijabla == '-') ? 'selected="selected"':'').' >Negativna stanja</option>';
    $lista.='</select>';
    echo $lista;
}


function prikaziUTablici($set, $naslov, $max_height=0)
{
    echo '<br><div style="background-color: #EAFFEF;">';
    echo '<h2> '.$naslov.'</h2>';
    if(empty($set)) {
        echo 'Ništa nije pronađeno. <br>' ;
        echo '</div>';
        return;
    }
    echo '</div>';
    
    // echo '<div style="max-height:400px; width:100%;overflow:auto;">';
    echo '<div style='.($max_height>0?'"max-height: '.$max_height.'px;':' ').' width:100%;overflow:auto;">';
    //echo '<table class="t_lista_primka">';
    echo'<table class="t_lista_primka">';
    
    $naziviPolja=  array_keys($set[0]);
    $n=count($naziviPolja);
    $isFloat=false;
    echo '<thead>';
    for($i=0;$i<$n;$i=$i+2) 
    {
        echo '<th style="padding-right: 0.5em">' ;
        echo $naziviPolja[$i];
        echo "</th>";
        
    }

    echo '</thead>';
    $RB = 0;
    $formati= postaviFormate($set, $naziviPolja , 20);
    foreach ($set as $slog) 
    {
        echo '<tr class="'.((++$RB % 2 == 0) ? 'pozadina2' : 'pozadina1').'">';
        for($i=0;$i<$n;$i=$i+2) 
        {
            $polje=isset($slog[$naziviPolja[$i]])?$slog[$naziviPolja[$i]]:'<null>';
            //$isFloat=preg_match("/\-{0,1}\d+\d\.\d(\d{1,2})?/" , trim($polje));
            //$isFloat=preg_match("#^([\+\-]|)([0-9]*)(\.([0-9]*?)|)(0*)$#" , trim($polje));
            //$isFloat=filter_var(trim($polje), FILTER_VALIDATE_FLOAT);
            if(trim($polje)!='' && $polje!='<null>' && $formati[$i]==='datum')
            {   
                // okreni datum
                ///*
                $date_do = new DateTime($polje);
                $polje = $date_do->format("d.m.Y H:i:s");
                 //*/
            }
            echo '<td style="padding-right: 0.5em"'.(($formati[$i]==='int' || $formati[$i]==='float')?' class="right" ':' ').'>';
            echo $polje;
            echo "</td>";
        }
        echo "</tr>";
    }


    echo '<tfoot><tr> <td  colspan="'.$n.'"><b>Pronađeno: &nbsp;'.$RB.'</b> </td>'; 
    echo '</tfoot>';      
  //echo "</td> </tr>";
    echo "</table>"; 
    echo '<br>';
    echo '</div>';
}

function arrayCopy( array $array ) {
     $result = array();
     foreach( $array as $key => $val ) {
         if( is_array( $val ) ) {
             $result[$key] = arrayCopy( $val );
         } elseif ( is_object( $val ) ) {
             $result[$key] = clone $val;
         } else {
             $result[$key] = $val;
         }
     }
     return $result;
 }

function datumiUArhivi(&$DVOod, &$DVOdo) {
    if(isset($_SESSION['godina_b'])) 
        if(trim($_SESSION['godina_b'])!='') {
            $DVOod='01.01.'.trim($_SESSION['godina_b']).' 00:00:00';
            $DVOdo='31.12.'.trim($_SESSION['godina_b']).' 23:59:59';
        }
    
}

function listaOparatoraJednakosti($naziv,$varijabla,$daliSve) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'>sve</option>';
    $lista.='<option value=">" '.(($varijabla == '>') ? 'selected="selected"':'').'>&gt;</option>';
    $lista.='<option value="=" '.(($varijabla == '=') ? 'selected="selected"':'').' >=</option>';
    $lista.='<option value="<" '.(($varijabla == '<') ? 'selected="selected"':'').' >&lt;</option>';
    $lista.='<option value="<>" '.(($varijabla == '<>') ? 'selected="selected"':'').' >&lt; &gt;</option>';
    $lista.='</select>';
    echo $lista;
}

function kreirajUrl($url, $parametri='') {
    if(!is_array($parametri))
        $parametri=$_REQUEST;
    if(isset($parametri['odabranaPoslovnicaCjenik']))
        $url.='&odabranaPoslovnicaCjenik='.$parametri['odabranaPoslovnicaCjenik'];
    /*
    if(isset($parametri['kojaStanja']))
        $url.='&kojaStanja='.$parametri['kojaStanja'];
     */
    if(isset($parametri['vrstaProdajePar']))
        $url.='&vrstaProdaje='.$parametri['vrstaProdajePar'];
    else if(isset($parametri['vrstaProdaje']))
        $url.='&vrstaProdaje='.$parametri['vrstaProdaje'];
    else
        $url.='&vrstaProdaje=';
    if(isset($parametri['rijec']))
        $url.='&rijec='.$parametri['rijec'];
    else
        $url.='&rijec=';
    
    if(isset($parametri['dodatniUvjeti']))
        $url.='&dodatniUvjeti='.$parametri['dodatniUvjeti'];
    else
        $url.='&dodatniUvjeti=';
    if(isset($parametri['sortRobe']))
        $url.='&sortRobe='.$parametri['sortRobe'];
    else
        $url.='&sortRobe='.(isset($pProda)?$pProda['sortRobe']:'nazivRobe');
    if(isset($parametri['cijenaOd']))
        $url.='&cijenaOd='.$parametri['cijenaOd'];
    else
        $url.='&cijenaOd=';
    if(isset($parametri['cijenaDo']))
        $url.='&cijenaDo='.$parametri['cijenaDo'];
    else
        $url.='&cijenaDo=';
    if(isset($parametri['stanjeOd']))
        $url.='&stanjeOd='.$parametri['stanjeOd'];
    else
        $url.='&stanjeOd=';
    if(isset($parametri['stanjeDo']))
        $url.='&stanjeDo='.$parametri['stanjeDo'];
    else
        $url.='&stanjeDo=';
    if(isset($parametri['oznakaCjenika']))
        $url.='&oznakaCjenika='.$parametri['oznakaCjenika'];
    else
        $url.='&oznakaCjenika=';
    if(isset($parametri['spol']))
        $url.='&spol='.$parametri['spol'];
    else
        $url.='&spol=';
    if(isset($parametri['velicinaRame']))
        $url.='&velicinaRame='.$parametri['velicinaRame'];
    else
        $url.='&velicinaRame=';
    if(isset($parametri['velicinaKotaca']))
        $url.='&velicinaKotaca='.$parametri['velicinaKotaca'];
    else
        $url.='&velicinaKotaca=';
    if(isset($parametri['brand']))
        $url.='&brand='.$parametri['brand'];
    else
        $url.='&brand=';
    if(isset($parametri['brojBrzina']))
        $url.='&brojBrzina='.$parametri['brojBrzina'];
    else
        $url.='&brojBrzina=';
    return $url;
}

function sortPartnera($kodPoslovnice) {
    if(isset($_POST['sortPartnera']))
        $sortPartnera=$_POST['sortPartnera'];
    else {
        if(!isset($kodPoslovnice))
            if(isset($_POST['kodPoslovnice']))
                $kodPoslovnice=$_POST['kodPoslovnice'];
            else if(isset($_POST['poslovnice_izbor']))
                $kodPoslovnice=$_POST['poslovnice_izbor'];
            else 
                $kodPoslovnice=0;
            
        $poslZaSort=get_poslovnica($kodPoslovnice);
        $sortPartnera=$poslZaSort['sortPartnera'];
    }     
    return $sortPartnera;
}

// kopira vrijednosti iz donosa samo onih polja koja postoje u $slog
function puni_slog($slog, &$donos, $datumBezVremena=false) {
 // $slog polja iz maske ekrana , donos polja iz baze    
    foreach ( $slog as $kljuc => $var )       
    {
 /*       echo 'Jedna stavka foreacha' . '********************************************************************<br>';
        var_dump($slog); echo '----------dump---------slog-----<br><br>';
        var_dump($donos); echo '----------dump---------donos-----<br><br>';
        echo ' $kljuc=' . $kljuc . '<br>';
        echo ' $var=' . $var . '<br>';
  * 
  */
        // if(!isset($donos[$kljuc])) {
        if(!array_key_exists($kljuc, $donos)) {
            echo 'Došlo je do nepredviđene greške! <br>';
            $call_stack = var_export(debug_backtrace(), TRUE);
            if($_SERVER['HTTP_HOST']=='localhost' && $_SESSION['admin']['prioritet'] < 3) {
                echo 'Polje:'.$kljuc.' ne postoji iz dva moguća razloga: <br>';
                echo ' - nema ga na formi unosa pa nedostaje u $_POST, <br>';
                echo ' - polje ne postoji u bazi, a definarano je u $slogZaUnos <br>';
                echo '<br>'.str_replace("\n",'<br>',$call_stack).'<br>';
            }
            else {
                echo 'Kontakirati Murske Gaje. (dodatne informacije u error.log) <br> ';
                error_log( 'Polje:'.$kljuc.' ne postoji iz dva moguća razloga: ');
                error_log( ' - nema ga na formi unosa pa nedostaje u $_POST, ');
                error_log( ' - polje ne postoji u bazi, a definarano je u $slogZaUnos ');
                error_log($call_stack);
            }
            //exit();
        }
        $var=$donos[$kljuc];
        
        if(is_string($var)) {
            // čista numerička polja nisu string: 23 nije string, a '23' je srring
            if(trim($var)!='') { 
                $p=is_valid_datum($var,false,false);
                if(!isset($p) || $p==' Budući datum ! '.$var) { // datumsko polje
                    $datum = new DateTime($var);
                    $vrijeme=$var = $datum->format("H:i:s");
                    if($datumBezVremena && $vrijeme='00:00:00') 
                        $var = $datum->format("d.m.Y");
                    else
                        $var = $datum->format("d.m.Y H:i:s");
                }
                else {
                    unset($p);
                    $polje=str_replace(',', '.', $var);
                    if(preg_match("#^([\+\-]|)([0-9]*)(\.([0-9]*?)|)(0*)$#" , trim($polje))) {
                        $broj= (string)intval($polje);
                        if(trim($polje)==$broj)
                            ; //cijeli broj
                        else
                            $var=$polje;
                    }
                }
            }
        }
      
        $slog[$kljuc]=$var;
    }    
    return $slog;
}

function kreirajPoljeKonta($nazivPolja, $konto) {
    $konta=get_konta();
    ?>
    <input type="text" class="text_width_8em" name="<?php echo $nazivPolja; ?>" id="<?php echo $nazivPolja; ?>" value="<?php echo trim($konto); ?>" list="<?php echo 'lista'.$nazivPolja; ?>"/> 

    <datalist id="<?php echo 'lista'.$nazivPolja; ?>">
    <?php 
    foreach ($konta as $slog) : 
        if($_SESSION['admin']['prioritet']=='9' && $slog['vrstaKonta']!='S') 
            continue;
        ?>   
        <option value="<?php echo $slog['konto']; ?>" > <?php echo '<b>'.$slog['konto'].'</b> '.$slog['nazivKonta']; ?>
    <?php endforeach; ?>
    </datalist> 
    <?php
}

function postaviTipkeUnosa($opSaDok, $greska) {
    global $tipka, $tablica, $slogZaUnos, $poljaKljuca;
    if(!isset($tipka)) $tipka='Prihvat';
    if(isset($_REQUEST['tipka']))
        $pomTipka=$_REQUEST['tipka'];
    else
        $pomTipka='';
    if($opSaDok=='Izmjena' && trim($tablica)!='') {
        echo kljucUHidden($tablica, $slogZaUnos, $poljaKljuca);
    }
?>    
    <?php if (trim($greska)!='') : ?>
        <p></p> <p></p>
        <?php
        if(!isset($_REQUEST['tipka']))
            $_REQUEST['tipka']='Prihvat';
          //ako je greska onda u tekstu greske ima barem jedan !
          $imaUsklicnik = strpos($greska, '!');
          if ($imaUsklicnik === FALSE) {
              $greska_prihvat = 'greska_prihvat_nije_greska';
          } else {
              $greska_prihvat = 'greska_prihvat';
              
              // IAKO SE ČINI NELOGIČNIM OVAJ IF MORA BITI TU!
               if($opSaDok != 'Izmjena')
                  $opSaDok='Prikaz';
              $tipka='Prihvat';
          }
        if ($opSaDok == 'Izmjena' && !$imaUsklicnik === FALSE) {
            // kod izmjene slogs je došlo do greške
            $tipka = 'Prihvatiti izmjene';
            $pomTipka = 'Prihvat';
        }
        ?>
       <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
    <?php endif; ?> 
    <p></p>
    <p id="prihvat">
        <input type="submit" id="prihvati" name='tipka' value="<?php echo $tipka ?>" />
    </p>
    <?php if(($opSaDok=='Izmjena' || $opSaDok=='Brisanje') && $pomTipka=='Prihvat') :?>
        <p></p>
        <p id="otkaz">
            <input type="submit" id="odustani" name='tipka' value="Odustani" formnovalidate=""/>
        </p>
    <?php endif; ?>
  
<?php
}

function ispis_stranice($naslov='Ispis') {
    global $app_path;
    ?>
    &nbsp; <a href="#" onclick="ispisStranice()" > <?php echo $naslov; ?> </a> &nbsp;
    <script language="Javascript1.2">
        function ispisStranice() {
            window.print();
        }
    </script>
    <?php
}
function listaStatusaRadnika($naziv,$statusRadnika, $disabled=false) {
    include_once 'model/tablica_db.php';

    if($disabled) {
         ?>
        <input type="hidden" name="<?php echo $naziv ?>" value="<?php echo $statusRadnika; ?>" />
        <?php       
        $lista='<select name="'.$naziv.'" id="'.$naziv.'" disabled >';
    }    
    else
        $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    
    $slogovi = get_tablica('vrste_placa');

    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['vrstaPlace'].'"';
        if ($slog['vrstaPlace'] ==  $statusRadnika){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['nazivVrstePlace'].' </option>';
    }
    
/*    
$lista.='<optgroup label="Zaposlen u firmi">';    
    $lista.='<option value="redPla" '.(($statusRadnika == 'redPla') ? 'selected="selected"':'').' >Redovan rad-plaća </option>';  
    $lista.='<option value="plaPri" '.(($statusRadnika == 'plaPri') ? 'selected="selected"':'').' >Pripravnik </option>';
    $lista.='<option value="plaNar" '.(($statusRadnika == 'plaNar') ? 'selected="selected"':'').' >Plaća u naravi</option>';
 $lista.='<optgroup label="Osobe čiji se rad koristi">';
    $lista.='<option value="privUst" '.(($statusRadnika == 'privUst') ? 'selected="selected"':'').' >privremeno ustupljen iz povezanog društva</option>';
    $lista.='<option value="struOs" '.(($statusRadnika == 'struOs') ? 'selected="selected"':'').' >stručno ospos.za rad bez radnog odnosa</option>';
    $lista.='<option value="stuRad" '.(($statusRadnika == 'stuRad') ? 'selected="selected"':'').' >student posredstvom stud.centra</option>';
    $lista.='<option value="ucenPs" '.(($statusRadnika == 'ucenPs') ? 'selected="selected"':'').' >učenik posredstvom srednjoškolske ustanove</option>';
    $lista.='<option value="ucenPn" '.(($statusRadnika == 'ucenPn') ? 'selected="selected"':'').' >učenik na praktičnoj nastavi i naukovanju</option>';
    $lista.='<option value="osRadD" '.(($statusRadnika == 'osRadD') ? 'selected="selected"':'').' >osoba na radu za opće dobro</option>';
    $lista.='<option value="ugDjel" '.(($statusRadnika == 'ugDjel') ? 'selected="selected"':'').' >ugovor o djelu</option>';
    $lista.='<option value="ugdMir" '.(($statusRadnika == 'ugdMir') ? 'selected="selected"':'').' >ugovor o djelu umirovljenik</option>';   
 */
    $lista.='</select>';
    echo $lista; 
}
function listaStrucnaSprema($naziv,$strucnaSprema, $disabled=false) {
    if($disabled) {
         ?>
        <input type="hidden" name="<?php echo $naziv ?>" value="<?php echo $strucnaSprema; ?>" />
        <?php       
        $lista='<select name="'.$naziv.'" id="'.$naziv.'" disabled >';
    }    
    else
        $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $lista.='<option value="A" '.(($strucnaSprema == 'A') ? 'selected="selected"':'').' >Nekvalificirani</option>';  
    $lista.='<option value="B" '.(($strucnaSprema == 'B') ? 'selected="selected"':'').' >Priučeni-polukvalificirani</option>';
    $lista.='<option value="C" '.(($strucnaSprema == 'C') ? 'selected="selected"':'').' >Kvalificirani</option>';   
    $lista.='<option value="D" '.(($strucnaSprema == 'D') ? 'selected="selected"':'').' >Visokokvalificirani</option>';
    $lista.='<option value="E" '.(($strucnaSprema == 'E') ? 'selected="selected"':'').' >Niže stručno obrazovanje</option>';
    $lista.='<option value="F" '.(($strucnaSprema == 'F') ? 'selected="selected"':'').' >Srednje stručno obrazovanje</option>';
    $lista.='<option value="G" '.(($strucnaSprema == 'G') ? 'selected="selected"':'').' >Više stručno obrazovanje</option>';
    $lista.='<option value="H" '.(($strucnaSprema == 'H') ? 'selected="selected"':'').' >Visoko stručno obrazovanje</option>';
    $lista.='<option value="I" '.(($strucnaSprema == 'I') ? 'selected="selected"':'').' >Magistar znanosti</option>';
    $lista.='<option value="J" '.(($strucnaSprema == 'J') ? 'selected="selected"':'').' >Doktor znanosti</option>';
        $lista.='</select>';
    echo $lista; 
}

function listaRadnoVrijeme($naziv, $radnoVrijeme, $aplikacija='', $daliSve=false) {
    include_once 'model/tablica_db.php';
    $vrstePrimitaka=  get_tablica('vrste_primitaka_place');
    $lista='<select name="'.$naziv.'" id="'.$naziv.'"> ';
    $nazocnostNaPoslu=$neNazocnostNaPoslu='';

    if (empty($vrstePrimitaka)) $daliSve = true;
    if($daliSve)
        $lista.='<option value="" '.((trim($radnoVrijeme) == '') ? 'selected="selected"':'').'> </option>';
    
    foreach ($vrstePrimitaka as $slog) {
        if($aplikacija!='' && $slog['aplikacija']!='' && $aplikacija!=$slog['aplikacija']) 
            continue;
        
        $opcija='<option value="'.$slog['vrstaPrimitka'].'" unosise="'.$slog['unosiSe'].'" ';
        if ($slog['vrstaPrimitka'] ==  $radnoVrijeme){
            $opcija.=' selected="selected"';
        } 
        $opcija.='>'.$slog['nazivPrimitka'].'</option> ';
        if($slog['nazocnostNaPoslu']=='D')
            $nazocnostNaPoslu.=$opcija;
        else
            $neNazocnostNaPoslu.=$opcija;
    }
    if($nazocnostNaPoslu!='')
        $lista.='<optgroup label="Vrijeme nazočnosti na poslu"> '. $nazocnostNaPoslu;  
    if($neNazocnostNaPoslu!='')
        $lista.='<optgroup label="Vrijeme nenazočnosti na poslu"> '.$neNazocnostNaPoslu;
    $lista.='</select>';
    echo $lista; 
}

/*
function listaRadnoVrijeme_old($naziv,$radnoVrijeme) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
$lista.='<optgroup label="Vrijeme nazočnosti na poslu">';    
    $lista.='<option value="redRa" '.(($radnoVrijeme == 'redRa') ? 'selected="selected"':'').' >Redovan rad</option>';  
    $lista.='<option value="terRa" '.(($radnoVrijeme == 'terRa') ? 'selected="selected"':'').' >Vrijeme terenskog rada</option>';
    $lista.='<option value="vrPri" '.(($radnoVrijeme == 'vrPri') ? 'selected="selected"':'').' >Vrijeme pripravnosti*</option>';
    $lista.='<option value="nocRa" '.(($radnoVrijeme == 'nocRa') ? 'selected="selected"':'').' >Rad noću</option>';
    $lista.='<option value="smjRa" '.(($radnoVrijeme == 'smjRa') ? 'selected="selected"':'').' >Smjenski rad</option>';
    $lista.='<option value="dvoRa" '.(($radnoVrijeme == 'dvoRa') ? 'selected="selected"':'').' >Dvokratni rad</option>';
    $lista.='<option value="preRa" '.(($radnoVrijeme == 'preRa') ? 'selected="selected"':'').' >Prekovremeni rad</option>';
    $lista.='<option value="raBla" '.(($radnoVrijeme == 'raBla') ? 'selected="selected"':'').' >Rad blagdanom</option>';
    $lista.='<option value="preVr" '.(($radnoVrijeme == 'preVr') ? 'selected="selected"':'').' >Preraspodjela vremena</option>';
    $lista.='<option value="sluPu" '.(($radnoVrijeme == 'sluPu') ? 'selected="selected"':'').' >Službeni put</option>';
 $lista.='<optgroup label="Vrijeme nenazočnosti na poslu">';
    $lista.='<option value="dneOd" '.(($radnoVrijeme == 'dneOd') ? 'selected="selected"':'').' >Dnevni odmor</option>';
    $lista.='<option value="tjeOd" '.(($radnoVrijeme == 'tjeOd') ? 'selected="selected"':'').' >Tjedni odmor</option>';
    $lista.='<option value="godOd" '.(($radnoVrijeme == 'godOd') ? 'selected="selected"':'').' >Godišnji odmor</option>';
    $lista.='<option value="nerDa" '.(($radnoVrijeme == 'nerDa') ? 'selected="selected"':'').' >Neradni dan-blagdan</option>';
    $lista.='<option value="bDo42" '.(($radnoVrijeme == 'bDo42') ? 'selected="selected"':'').' >Bolovanje do 42 dana</option>';
    $lista.='<option value="bPr42" '.(($radnoVrijeme == 'bPr42') ? 'selected="selected"':'').' >Bolovanje preko 42 dana</option>';
    $lista.='<option value="rodDo" '.(($radnoVrijeme == 'rodDo') ? 'selected="selected"':'').' >Rodiljni dopust</option>';
    $lista.='<option value="rodtD" '.(($radnoVrijeme == 'rodtD') ? 'selected="selected"':'').' >Roditeljski dopust</option>';
    $lista.='<option value="dRoPr" '.(($radnoVrijeme == 'dRoPr') ? 'selected="selected"':'').' >Druga roditeljska prava</option>';
    $lista.='<option value="plaDo" '.(($radnoVrijeme == 'plaDo') ? 'selected="selected"':'').' >Plaćeni dopust</option>';
    $lista.='<option value="nepDo" '.(($radnoVrijeme == 'nepDo') ? 'selected="selected"':'').' >Neplaćeni dopust</option>';
    $lista.='<option value="zahRa" '.(($radnoVrijeme == 'zahRa') ? 'selected="selected"':'').' >Nenazočnost na poslu po zahtjevu radnika</option>';
    $lista.='<option value="kriRa" '.(($radnoVrijeme == 'kriRa') ? 'selected="selected"':'').' >Nenazočnost na poslu krivnjom radnika</option>';
    $lista.='<option value="straj" '.(($radnoVrijeme == 'straj') ? 'selected="selected"':'').' >Vrijeme u štrajku</option>';
    $lista.='<option value="iskSR" '.(($radnoVrijeme == 'iskSR') ? 'selected="selected"':'').' >Vrijeme isključenja s rada</option>';
    $lista.='<option value="kriPo" '.(($radnoVrijeme == 'kriPo') ? 'selected="selected"':'').' >Zastoj krivnjom poslodavca</option>';
    
    $lista.='</select>';
    echo $lista; 
}

function nazivRadnihVremena($oznakaVremena) {
    if ($oznakaVremena == 'redRa' ) return 'Redovan rad';
    if ($oznakaVremena == 'terRa' ) return 'Terenski rad';
    if ($oznakaVremena == 'vrPri' ) return 'Vrijeme pripravnosti';
    if ($oznakaVremena == 'nocRa' ) return 'Nočni rad';
    if ($oznakaVremena == 'smjRa' ) return 'Smjenski rad';
    if ($oznakaVremena == 'dvoRa' ) return 'Dvokratni rad';
    if ($oznakaVremena == 'preRa' ) return 'Preraspodjela vremena';
    if ($oznakaVremena == 'raBla' ) return 'Rad blagdanom';
    if ($oznakaVremena == 'nerDa' ) return 'Neradni dan-blagdan';
    if ($oznakaVremena == 'preVr' ) return 'Preraspodjela vremena';
    if ($oznakaVremena == 'dneOd' ) return 'Dnevni odmor';
    if ($oznakaVremena == 'tjeOd' ) return 'Tjedni odmor';    
    if ($oznakaVremena == 'godOd' ) return 'Godišnji odmor';
    if ($oznakaVremena == 'bDo42' ) return 'Bolovanje do 42 dana';
    if ($oznakaVremena == 'bPr42' ) return 'Bolovanje preko 42 dana';
    if ($oznakaVremena == 'rodDo' ) return 'Rodiljni dopust';
    if ($oznakaVremena == 'rodtD' ) return 'Roditeljski dopust';
    if ($oznakaVremena == 'dRoPr' ) return 'Druga roditeljska prava';
    if ($oznakaVremena == 'plaDo' ) return 'Plaćeni dopust';
    if ($oznakaVremena == 'nepDo' ) return 'Neplaćeni dopust';
    if ($oznakaVremena == 'zahRa' ) return 'Nenazočnost na poslu po zahtjevu radnika';
    if ($oznakaVremena == 'kriRa' ) return 'Nenazočnost na poslu krivnjom radnika';
    if ($oznakaVremena == 'straj' ) return 'Vrijeme u štrajku';
    if ($oznakaVremena == 'iskSR' ) return 'Isključenje s rada';
    if ($oznakaVremena == 'sluPu' ) return 'Službeni put';
    if ($oznakaVremena == 'kriPo' ) return 'Zastoj krivnjom poslodavca';
}
 */

function danUtjednu($datum,$danN='HR') {
    //datum je u obliku dd.mm.yyyy
    $datum_o = new DateTime($datum);
    $danE = jddayofweek ( cal_to_jd(CAL_GREGORIAN, $datum_o->format("m"), $datum_o->format("d"), $datum_o->format("Y")) , 1 );
    if ($danN == 'EN') return $danE;
    if ($danE == 'Sunday' ) return 'Nedjelja';
    if ($danE == 'Monday' ) return 'Ponedeljak';
    if ($danE == 'Tuesday' ) return 'Utorak';
    if ($danE == 'Wednesday' ) return 'Srijeda';
    if ($danE == 'Thursday' ) return 'Četvrtak';
    if ($danE == 'Friday' ) return 'Petak';
    if ($danE == 'Saturday' ) return 'Subota';  
}
function listaMjeseci($naziv,$mjesec) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $lista.='<option value="01" '.(($mjesec == '01') ? 'selected="selected"':'').' >01 Siječanj</option>';
    $lista.='<option value="02" '.(($mjesec == '02') ? 'selected="selected"':'').' >02 Veljača</option>';
    $lista.='<option value="03" '.(($mjesec == '03') ? 'selected="selected"':'').' >03 Ožujak</option>';
    $lista.='<option value="04" '.(($mjesec == '04') ? 'selected="selected"':'').' >04 Travanj</option>';
    $lista.='<option value="05" '.(($mjesec == '05') ? 'selected="selected"':'').' >05 Svibanj</option>';
    $lista.='<option value="06" '.(($mjesec == '06') ? 'selected="selected"':'').' >06 Lipanj</option>';
    $lista.='<option value="07" '.(($mjesec == '07') ? 'selected="selected"':'').' >07 Srpanj</option>';
    $lista.='<option value="08" '.(($mjesec == '08') ? 'selected="selected"':'').' >08 Kolovoz</option>';
    $lista.='<option value="09" '.(($mjesec == '09') ? 'selected="selected"':'').' >09 Rujan</option>';
    $lista.='<option value="10" '.(($mjesec == '10') ? 'selected="selected"':'').' >10 Listopad</option>'; 
    $lista.='<option value="11" '.(($mjesec == '11') ? 'selected="selected"':'').' >11 Studeni</option>';
    $lista.='<option value="12" '.(($mjesec == '12') ? 'selected="selected"':'').' >12 Prosinac</option>';    
    $lista.='</select>';
    echo $lista; 
}

function kreirajPoljeRadnika($nazivPolja, $kodRadnika) {
    $radnici=get_maticna_radnika();
    ?>
    <input type="text" class="text_width_15em" name="<?php echo $nazivPolja; ?>" id="<?php echo $nazivPolja; ?>" value="<?php echo trim($kodRadnika); ?>" 
           list="<?php echo 'lista'.$nazivPolja; ?>" autocomplete="off"/> 

    <datalist id="<?php echo 'lista'.$nazivPolja; ?>">
    <?php foreach ($radnici as $slog) : ?>   
        <option value="<?php echo $slog['kodRadnika']; ?>" > <?php echo '<b>'.$slog['kodRadnika'].'</b> '.$slog['imeIprezime']; ?>
    <?php endforeach; ?>
    </datalist> 
    <?php
}

function dozvoljeneVP() {
    $email_user = $_SESSION['admin']['email'];
    $kor = get_admin_by_email($email_user);
    $dozvole['0']=$dozvole['1']=$dozvole['2']=$dozvole['D']=$dozvole['S']=true;
    if($kor['prioritet']==9) {
        if(trim($kor['vidljiviStatusiRobe'])!='') {
            $dozvole['0']=$dozvole['1']=$dozvole['2']=$dozvole['D']=$dozvole['S']=false;
            $s=explode(',', $kor['vidljiviStatusiRobe']);
            foreach ($s as $vp) {
                $dozvole[trim($vp)]=true;   
            }
        }
    }    
    return $dozvole;    
}

function azuriraj_cijena_robe($kodRobe,$cijena,$cijenePoUlazima) {
    $cjeniciPoPosl=get_cjenici_za_cijenu($kodRobe, $cijena);
    //$cjeniciPoPosl=get_cjenici_za_cijenu($kodRobe, $cijena, $proda);
    //$cjeniciPoPart=get_cjenici_za_cijenu($kodRobe, $cijena, '',$k);
    if(count($cjeniciPoPosl)==0)
        update_cijena_robe_iz_ulaza($kodRobe,$cijena,$cijenePoUlazima);    
} 

function listaArhivskeBazeMulti($naziv, $baze, $brojRedova=NULL) {
    $pom=' ';
    if(isset($brojRedova))
        $pom=' size='.$brojRedova;
    $lista='<select name="'.$naziv.'"'.$pom.' id="'.$naziv.'" multiple>';
    $arhivskeBaze = get_arhivske_baze();
    $oznaciSve=empty($baze); 
    foreach ($arhivskeBaze as $slog) {
        $opcija=$slog['baza'].';'.$slog['godina'];
        $lista.='<option value="'.$opcija.'"';
        if (in_array($opcija, $baze) || $oznaciSve){
           $lista.=' selected="selected"';
           $oznaciSve=false;
         } 
        $lista.='>'.$slog['godina'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaArhivskeBaze($naziv, $baza) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'" >';
    $firma=  get_poslovnica(0);
    if($firma['godineZaDVOKnj']=='sve')
        $arhivskeBaze = get_arhivske_baze();
    else if($firma['godineZaDVOKnj']=='tekuca') {
        $p['godina']=(trim($_SESSION['godina_b'])==''?date("Y"):$_SESSION['godina_b']);
        $p['baza']=$_SESSION['odabranaBaza'];
        $arhivskeBaze[]=$p;
    }    
    else 
        $arhivskeBaze=array();
    $oznaciSve=empty($baze); 
    foreach ($arhivskeBaze as $slog) {
        $opcija=$slog['baza'];
        $lista.='<option value="'.$opcija.'"';
        if ($opcija==$baza){
           $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['godina'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaOpcina($naziv, $kodOpcine='',$daliSve=false) {
    // naziv izborOpcina,    $kodOpcine= defaultno označena općina, $daliSve (prva linija prazno ako je true obično znači odabir svih)
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $opcine = get_opcine_po_nazivu();
    if (empty($opcine)) $daliSve = true;
    if($daliSve)
        $lista.='<option value="" '.((trim($kodOpcine) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($opcine as $opcina) {     
        $lista.='<option value="'.$opcina['kodOpcine'].'"';
        if (trim($opcina['kodOpcine']) ==  trim($kodOpcine)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.trim($opcina['nazivOpcine']).'('.trim($opcina['kodOpcine']).')'.' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaPokrajina($naziv, $pokrajina='',$daliSve=true) {
    include_once 'model/tablica_db.php';
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $pokrajine = get_tablica('pokrajine');
    if (empty($opcine)) $daliSve = true;
    if($daliSve)
        $lista.='<option value="" '.((trim($pokrajina) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($pokrajine as $slog) {     
        $lista.='<option value="'.$slog['pokrajina'].'"';
        if (trim($slog['pokrajina']) ==  $pokrajina) {
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slog['pokrajina'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function generirajUUID() {

    return sprintf( '%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
        mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ),
        mt_rand( 0, 0x0fff ) | 0x4000,
        mt_rand( 0, 0x3fff ) | 0x8000,
        mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ) );
}

function in_array_trim($var, $niz) {
    $var=trim($var);
    foreach ($niz as $value) {
        if(trim($value)==$var)
            return true;
    }
    return false;
}

function dinamicki_round($broj, $decimale1, $decimale2) {
    $r1 = round($broj, $decimale1);
    $r2 = round($broj, $decimale2);
    if(abs($r1)<abs($r2))
        return number_format($broj, $decimale2 , ',','.') ;
    
    return number_format($broj, $decimale1, ',','.').'&nbsp;' ;

}
?>
