<?php
include_once 'od/dokumenti/komponenteZaPlace.php';
include_once 'od/model/obracuni_placa_db.php';
include_once 'od/model/primici_po_obracunu_db.php';    

$greska = '';

if(isset($_REQUEST['vrstaRadnika']))
    $vrstaRadnika = $_REQUEST['vrstaRadnika'];
else 
    $vrstaRadnika ='A';
if(isset($_REQUEST['dodatniPodaci']))
    $dodatniPodaci = $_REQUEST['dodatniPodaci'];
else 
    $dodatniPodaci ='';
if(isset($_REQUEST['mjesecObracuna'])) {
    $mjesecObracuna = $_REQUEST['mjesecObracuna'];
    $godinaObracuna = $_REQUEST['godinaObracuna'];
    $vrstaPlace = $_REQUEST['vrstaPlace'];
    $vrstaPlaceP = $_REQUEST['vrstaPlaceP'];
    $verzijaPlace = $_REQUEST['verzijaPlace'];
    
    if($dodatniPodaci=='OD') {
        if(trim($godinaObracuna)=='')
            $greska='Unesite godinu obračuna!';
    }
}    
else { 
    $danas = new DateTime();
    $trenutniMjesec = $danas->format('m');
    if ($trenutniMjesec == 1) {
        $mjesecObracuna = 12;
        $trenutnaGodina = $danas->format('Y');
        $godinaObracuna = $trenutnaGodina -1;                 
    } else {
        $mjesecObracuna = $trenutniMjesec - 1;    
        $godinaObracuna = $danas->format('Y');
    }   
    $vrstaPlace='redPla';
    $vrstaPlaceP='sve';
    $verzijaPlace='';
}
$radnici =  get_maticna_radnika($vrstaRadnika);

if(isset($_POST['mjestoZaPisanje']))
    $pisanje = '<br> <br> &nbsp;';
else 
    $pisanje = '';

?>
<style>
.tablica table {
    border-collapse: collapse;
    font-size: 12px;
}

.tablica table, .tablica th, .tablica td {
    border: 1px solid #CCCCCC;
    font-size: 12px;
}
</style>
<style>
  
@media print
{
    #prihvat { display: none; }
    #nePrintaj { display: none; }
    #pretraga { display: none; }
    #navigation { display: none; }
    #header_ { display: none; }
    #footer { display: none; }  
    #printable { display: block; }
    .t_lista_primka {font-size: 8pt; } 
    body {
        font-size: 8pt;
        margin-top: 0;
        font-family: Arial, Helvetica, sans-serif;
        background-color: white; 
    }  
    #page {
        margin: 0; 
        background-color: white;
        border: hidden;
        width: auto;
    }
  tfoot { 
      display:table-row-group; 
      background-color: #CAFFD8;  
      font-weight: 350;
      border: 1px solid black;
  } 
  #krajStranice {
      page-break-after: always;
  }
}

@page
{
    margin-top:0.5cm;
    margin-left:0.5cm;
    margin-right:0.5cm;
    margin-bottom:0.5cm;
    size: A4;
          
}
</style>
<form id="forma" action="." method="post">    
<input type="hidden" name="action" value="view_maticna_radnika" />
<input type="hidden" name="opSaDok" value="Pregled" />
<span class="veca_slova_110"> <b>Pregled radnika &nbsp; </b>
    <select name="vrstaRadnika" id="vrstaPrikaza" onchange="forma.submit()">  
    <option value="" <?php if($vrstaRadnika == '') echo 'selected="selected"'; ?> >Svi </option>
    <option value="A" <?php if($vrstaRadnika == 'A') echo 'selected="selected"'; ?> >Aktvni</option>    
    <option value="N" <?php if($vrstaRadnika == 'N') echo 'selected="selected"'; ?> >Neaktvni</option>    
    </select>  &nbsp;
</span>
Dodatni prikaz podataka:
<select name="dodatniPodaci" id="dodatniPodaci" >  
    <option value="" <?php if($dodatniPodaci == '') echo 'selected="selected"'; ?> > </option>
    <option value="RV" <?php if($dodatniPodaci == 'RV') echo 'selected="selected"'; ?> >evidencija radnog vremena </option>
    <option value="mOD" <?php if($dodatniPodaci == 'mOD') echo 'selected="selected"'; ?> >plaća iz matične tablice </option>
    <option value="OD" <?php if($dodatniPodaci == 'OD') echo 'selected="selected"'; ?> >plaća iz obračuna </option>
</select>  &nbsp;
<input type="checkbox" name="mjestoZaPisanje" <?php if(isset($_POST['mjestoZaPisanje'])) echo 'checked=""' ?> /> Mjesto za pisanje u dodatnom prikazu
<p>
<span id="panelPlace" > 
Plaća za mjesec: 
<?php listaMjeseci("mjesecObracuna", $mjesecObracuna); ?> 
godinu: <input type="text" class="text_width_3em" name="godinaObracuna" id="godinaObracuna" value="<?php echo $godinaObracuna; ?>" 
               pattern="20[0-9][0-9]" title="Unesite godinu obračuna tipa 20XX."/> 
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $vrstaPlace); ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" /> &nbsp; &nbsp;
</span>
<span id="panelVrstaPlace" >
Vrsta plaće: <?php listaVrstePlaca("vrstaPlaceP", $vrstaPlaceP, $daliSve=true); ?>        
</span>
</p>
 <?php postaviTipkeUnosa('Unos', $greska) ; ?>
</form>  
<br>
 <?php
if($greska=='') :
?>

<table class="tablica">
<thead>
 <tr>
    <th rowspan="2" class="left" style="padding-left: 1em">Kod <br>radnika &nbsp;</th>
    <th colspan="4">Ime i prezime &nbsp;</th>
    <th>OIB &nbsp;</th>
    <th>Datum <br>rođenja&nbsp;</th>
    <th colspan="2">Ulica i broj &nbsp;</th>
    <th colspan="2">Mjesto &nbsp;</th>
    <th>Poštanski <br>broj &nbsp;</th>
    <th colspan="4" style="padding-right: 1em">Mjesto pošte &nbsp;</th>
 </tr>
  <?php if($dodatniPodaci=='RV') : ?>
  <tr style="background-color: white">
      <th >Sati <br> dnevno &nbsp;</th>
      <th >Početak <br> rada &nbsp;</th>
      <th >Završtak <br> rada &nbsp;</th>
      <th >Sati <br> subotom &nbsp;</th>
      <th >Početak <br> subotom &nbsp;</th>
      <th >Zavreštak <br> subotom &nbsp;</th>
      <th >Godišnji <br> od &nbsp;</th>
      <th >Godišnji <br> do &nbsp;</th>
      <th >Bolovanje <br> od &nbsp;</th>
      <th >Bolovanje <br> do &nbsp;</th>
      <th >HZZO bolovanje <br> od &nbsp;</th>
      <th >HZZO bolovanje <br> do &nbsp;</th>
      <th >Porodiljski <br> od &nbsp;</th>
      <th >Porodiljski <br> do &nbsp;</th>
 </tr>
 <?php elseif($dodatniPodaci=='OD' || $dodatniPodaci=='mOD') : ?>
  <tr style="background-color: white">
      <th >Osnovica &nbsp;<br>(za koeficijente)</th>
      <th ><b>Bruto&nbsp;<br>(bodovi)</b></th>
      <th colspan="2" ><b>Stimulacija <br> % &nbsp;|&nbsp;Iznos</b></th>
      <th ><b>Prijevoz &nbsp;</b></th>
      <th >Djeca &nbsp;</th>
      <th >Uzdržavani <br> članovi &nbsp;</th>
      <th >Invalidnost &nbsp;</th>
      <th >Ukupni odbitak &nbsp;</th>
      <th >Godišnji <br> odmor &nbsp;</th>
      <th >Iskorošteni <br> godišnji &nbsp;</th>
      <th colspan="2" >Općina &nbsp;</th>
      <th colspan="2" >Općina mjesta rada &nbsp;</th>
 </tr>
 <?php endif; ?>
</thead>
<?php
  $RB = 0;

foreach ($radnici as $slog) :
    if($dodatniPodaci=='mOD' && $vrstaPlaceP!='sve' && $vrstaPlaceP!=$slog['statusRadnika']) 
        continue;
    
    $d1=new DateTime($slog['datumRodjenja']);
    $datumRodjenja = $d1->format('d.m.Y');
    
    if($dodatniPodaci=='mOD') {
        if($slog['postoIliIznosStimulacija']=='%') {
            $stimulacijaIznos = $slog['bodovi'] * $slog['stimulacija'] / 100;
            $stimulacijaStopa = $slog['stimulacija'] .= $slog['postoIliIznosStimulacija'];
        }
        else {
            $stimulacijaIznos = $slog['stimulacija'];
            $stimulacijaStopa = '0.00%'; 
        }
    }
    else if($dodatniPodaci=='OD') {
        $placa = get_obracuni_placa($godinaObracuna, $mjesecObracuna, $godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca='', $slog['kodRadnika']);
        if(isset($placa[0])) { 
            $slog['imeIprezime'] = $placa[0]['imeIprezime'];                  
            $slog['mjestoBoravka'] = $placa[0]['mjestoBoravka'];      
            $slog['ulicaIbroj'] = $placa[0]['ulicaIbroj'];      
            $slog['posPretinac'] = $placa[0]['posPretinac'];      
            $slog['brojPoste'] = $placa[0]['brojPoste'];      
            $slog['mjestoPoste'] = $placa[0]['mjestoPoste'];      
            $slog['opcinaPrebivalista'] = $placa[0]['opcinaPrebivalista'];      
            $slog['opcinaMjestaRada'] = $placa[0]['opcinaMjestaRada'];      
            $slog['vrstaObracuna'] = $placa[0]['vrstaObracuna'];      

            //iznosOsnovniOdbitak DECIMAL(11,2)  DEFAULT 3800,
            //$slog[''] = $placa[0][''];      

            $slog['kojaVrstaZaDjecu'] = $placa[0]['kojaVrstaZaDjecu'];      
            // koeficijentZaDjecu decimal(4,2) DEFAULT 0,
            //$slog[''] = $placa[0][''];      
            //iznosOdbitkaZaDjecu   DECIMAL(11,2) DEFAULT 0,
            //$slog[''] = $placa[0][''];      

            $slog['kojaVrstaZaUzdrzavane'] = $placa[0]['kojaVrstaZaUzdrzavane'];      
            // koeficijentZaUzdrzavane decimal(4,2) DEFAULT 0,
            // $slog[''] = $placa[0][''];      
            // iznosOdbitkaZaUzdrzavane DECIMAL(11,2) DEFAULT 0,
            // $slog[''] = $placa[0][''];      

            $slog['kojaVrstaZaInvalidnost'] = $placa[0]['kojaVrstaZaInvalidnost'];      
            // koeficijentZaInvalidnost decimal(4,2) DEFAULT 0,
            // $slog[''] = $placa[0][''];      
            // iznosOdbitkaZaInvalidnost DECIMAL(11,2) DEFAULT 0,  
            // $slog[''] = $placa[0][''];
            //       
            // iznosIskoristeniOdbitak DECIMAL(11,2)  DEFAULT 3800,  /* stvarno obračunan iznos odbitka(iskorišten u tom mjesecu  */  
            $slog['ukupniOdbitak'] = $placa[0]['iznosIskoristeniOdbitak'];      

            // iznosZaIsplatu DECIMAL(11,2)  DEFAULT 0,

            $slog['ukupniFondSati'] = $placa[0]['ukupniFondSati'];      
            // osnovnaBrutoPlaca DECIMAL(11,2)  DEFAULT 0,
            // $slog[''] = $placa[0][''];      
            $slog['bodovi'] = $placa['0']['osnovnaBrutoPlaca']; 
            $slog['pravoNaGO'] = $placa[0]['pravoNaGO'];      
            $slog['iskoristeniGO'] = $placa[0]['iskoristeniGO'];      
            $slog['stariGO'] = $placa[0]['stariGO'];      
            
            $primici = pregledUnesenihPrimitaka($godinaObracuna, $mjesecObracuna, $godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace,
                                                $slog['kodRadnika'], $vrstaPrimitka='', $groupBy='sveVrstePrimitaka',$oporezivPrimitak='D');
     //       $slog['bodovi'] = $primici['0']['iznos'];
            $primici = get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca='', $slog['kodRadnika'], 'stimul');
            $slog['stimulacija'] = $primici['iznos'];
            $stimulacijaIznos = $primici['iznos'];
            $stimulacijaStopa = round($primici['posto'],2).'%'; 
            
            $primici = get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca='', $slog['kodRadnika'], 'prijev');
            $slog['prijevoz'] = $primici['iznos'];
        }
        else {
            $slog['nemaPlace'] = true;
            continue;
        }    
    }

    $RB = $RB + 1 ;
    $ostatak = $RB % 2;
    if($dodatniPodaci=='')
        if($ostatak == 0) {
           $pozadina = 'pozadina1';
        } else {
           $pozadina = 'pozadina2';
        }
    else   
        $pozadina = 'pozadina2';
        
    if($dodatniPodaci=='mOD') {
       $odbici = get_izracunaniOdbici($slog['kojaVrstaZaDjecu'],$slog['kojaVrstaZaUzdrzavane'],$slog['kojaVrstaZaInvalidnost']);
       $slog['ukupniOdbitak'] = $odbici['ukupniOdbitak'];
    }

    $opcina = get_opcine_po_nazivu($slog['opcinaPrebivalista']);
    if($dodatniPodaci=='mOD' || $dodatniPodaci=='OD') {
        if(isset($opcina[0]['nazivOpcine']))
            $nazivOpcinePrebivalista = $opcina[0]['nazivOpcine'] .'('.$opcina[0]['kodOpcine'].')';
        else 
            $nazivOpcinePrebivalista = '';
        $opcina = get_opcine_po_nazivu($slog['opcinaMjestaRada']);
        if(isset($opcina[0]['nazivOpcine']))
            $nazivOpcineMjestaRada = $opcina[0]['nazivOpcine'] .'('.$opcina[0]['kodOpcine'].')';
        else 
            $nazivOpcineMjestaRada = '';
    }
    ?>

    <tr class="<?php echo $pozadina;?>">
        <td class="left" style="padding-left: 1em" <?php if($dodatniPodaci!='') echo 'rowspan="2"' ?>>                    
        <a href="<?php echo './?action=izabran_je_kod_radnika&kodRadnika='
                . $slog['kodRadnika']; ?>">
        <?php echo $slog['kodRadnika']; ?></a>&nbsp;</td> 
    <td colspan="4" class="left" >
        <?php echo $slog['imeIprezime']; ?> &nbsp;
    </td>  
    <td class="left" >
        <?php echo $slog['OIB']; ?> &nbsp;
    </td>  
    <td class="left" >
        <?php echo $datumRodjenja; ?> &nbsp;
    </td>  
    <td colspan="2" class="left" >
        <?php echo $slog['ulicaIbroj']; ?> &nbsp;
    </td>  
    <td colspan="2" class="left" >
        <?php echo $slog['mjestoBoravka']; ?> &nbsp;
    </td>  
    <td class="left" >
        <?php echo $slog['brojPoste']; ?> &nbsp;
    </td>  
    <td colspan="4" class="left" style="padding-right: 1em" >
        <?php echo $slog['mjestoPoste']; ?> &nbsp;
    </td>  
  </tr>
  <?php if($dodatniPodaci=='RV') : ?>
  <tr style="background-color: white">
    <td align="center" >
        <?php echo $slog['redovniSatiNaDan']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $slog['pocetakRadaSatMin']; ?>
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $slog['zavrsetakRadaSatMin']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" style="padding-right: 1em" >
        <?php echo $slog['redovniSatiSubotom']; ?>
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $slog['pocetakSubotom']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $slog['zavrsetakSubotom']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <?php $razdoblje = formatirajDatume($slog['godisnjiOdmorOd'], $slog['godisnjiOdmorDo']); ?>
    <td align="center" >
        <?php echo $razdoblje['od']; ?> 
    </td>  
    <td align="center" >
        <?php echo $razdoblje['do']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <?php $razdoblje = formatirajDatume($slog['bolovanjeFirmaOd'], $slog['bolovanjeFirmaDo']); ?>
    <td align="center" >
        <?php echo $razdoblje['od']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $razdoblje['do']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <?php $razdoblje = formatirajDatume($slog['bolovanjeHZZOod'], $slog['bolovanjeHZZOdo']); ?>
    <td align="center" >
        <?php echo $razdoblje['od']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" style="padding-right: 1em" >
        <?php echo $razdoblje['do']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <?php $razdoblje = formatirajDatume($slog['porodiljskiOd'], $slog['porodiljskiDo']); ?>
    <td align="center" >
        <?php echo $razdoblje['od']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
    <td align="center" >
        <?php echo $razdoblje['do']; ?> 
        <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
    </td>  
 </tr>
 <?php elseif($dodatniPodaci=='OD' || $dodatniPodaci=='mOD') : ?>
  <tr style="background-color: white">
      <?php if(isset($slog['nemaPlace'])) : ?>
      <td colspan="13" >
            <?php echo 'Nema plaću.' ?> 
      </td> 
      <?php else : ?>
      <td align="right">
           <?php echo $slog['polaznaOsnovica']; ?> &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <b>    <?php echo $slog['bodovi']; ?>  </b> &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td class="right" style="padding-right: 1em" >
            <b>   <?php echo $stimulacijaStopa; ?> </b>&nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td class="right" style="padding-right: 1em" >
            <b>   <?php echo $stimulacijaIznos; ?> </b> &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <b>    <?php echo $slog['prijevoz']; ?> </b> &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <?php echo $slog['kojaVrstaZaDjecu']; ?>  &nbsp;
        </td>  
        <td align="right" >
            <?php echo $slog['kojaVrstaZaUzdrzavane']; ?>  &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <?php echo $slog['kojaVrstaZaInvalidnost']; ?>  &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <?php echo $slog['ukupniOdbitak']; ?>  &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  

        <td align="right" >
            <?php echo $slog['pravoNaGO']; ?>  &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td align="right" >
            <?php echo $slog['iskoristeniGO']; ?>  &nbsp;
            <span class="mjestoZaPisanje"> <?php echo $pisanje ?></span>
        </td>  
        <td colspan="2" >
            <?php echo $nazivOpcinePrebivalista; ?> 
        </td>  
        <td colspan="2">
            <?php echo $nazivOpcineMjestaRada; ?> 
        </td>  
      <?php endif; ?>
  </tr>    
 <?php endif; ?>

<?php endforeach; ?>

<tfoot>
   <tr>
       <td colspan="16"><b>Pronađeno: &nbsp;  <?php echo $RB; ?></b> </td>
    </tr>
</tfoot>   
</table>
<?php endif; ?>

<?php 
function formatirajDatume($datumOd, $datumDo) {
    $datum['od']=$datum['do']='';
    if(trim($datumOd)!='') {
        $d = new DateTime($datumOd);
        $datum['od'] = $d->format('d.m.Y');
    }
    if(trim($datumDo)!='') {
        $d = new DateTime($datumDo);
        $datum['do'] = $d->format('d.m.Y');
    }
    
    return $datum;
}
?>
<script> 
$(document).ready(function(){
  $("#dodatniPodaci").change(function(){
    postaviPanelPlace();
  });
 });
 
 function postaviPanelPlace() {
    (dodatniPodaci.value=='OD') ? $("#panelPlace").slideDown("slow") : $("#panelPlace").slideUp("slow");
    (dodatniPodaci.value=='mOD') ? $("#panelVrstaPlace").slideDown("slow") : $("#panelVrstaPlace").slideUp("slow");
     $("godinaObracuna").prop('required',dodatniPodaci.value=='OD');
};
    
postaviPanelPlace();
 
// $("#xmlPanel").Toggle($("#xmlObrazac").checked);
    // ($("#xmlObrazac").checked) ? $("#xmlPanel").slideDown("slow") : $("#xmlPanel").slideUp("slow");
     
</script>     
