<style>
@media print
{
    #prihvat { display: none; }
    #pretraga { display: none; }
    #navigation { display: none; }
    #footer { display: none; }
    #printable { display: block; }
    .t_lista_primka {font-size: 8pt; border-collapse: separate } 
    body {
        margin-top: 0;
        font-family: Arial, Helvetica, sans-serif;
        background-color: white; 
    }  
    #page {
        margin: 0; 
        background-color: white;
        border: hidden;
        width: auto;
    }
  tfoot { 
      display:table-row-group; 
      background-color: #CAFFD8;  
      font-weight: 350;
      border: 1px solid black;
  }
}
@page
{
    margin-top:1cm;
    margin-left:1cm;
    margin-right:1cm;
    margin-bottom:1cm;
    size: A4;
          
}
</style>
<form action="." method="post" id="view_kartica" name="view_razlikeCijenaStanjaMaticna">
   	 
   <input type="hidden" name="action" value="uzmi_razlikeCijenaStanjaMaticna" />

<?php 
if(isset($_POST['poslovnice_izbor'])) {
    $proda=$_POST['poslovnice_izbor'];
   
    $vrstaProdaje=$_POST['vrstaProdaje'];
    
}
else {

        
        if (!isset($proda)) $proda='';
        if(!isset($vrstaProdaje)) $vrstaProdaje= '';
}        

?>
<h3>Razlike u cijenama Matična - > stanja(za robu koja postoji na stanju) </h3> 
<p></p>
Prodavaona: &nbsp; &nbsp; &nbsp;
<?php listaPoslovnica("poslovnice_izbor", false, $proda); ?>

&nbsp; &nbsp;
 <p></p>     

 <span style="padding-right: 1em"> Vrsta prodaje:</span>
         <select name="vrstaProdaje">
	    <option value="" <?php if($vrstaProdaje == '') echo 'selected="selected"'; ?>  >Sve vrste</option>
            <option value="0" <?php if($vrstaProdaje == '0') echo 'selected="selected"'; ?> >Redovna prodaja</option>
	    <option value="1" <?php if($vrstaProdaje == '1') echo 'selected="selected"'; ?> >Tuđa roba na našem skladištu</option>
	    <option value="2" <?php if($vrstaProdaje == '2') echo 'selected="selected"'; ?> >Naša roba na tuđem skladištu</option>
        </select>

</br></br>
<p id="prihvat">
    <input type="submit" value="Prihvat " />	  
</p>
	<?php if (isset($greska)) : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
	<?php endif; ?> 
 </form>

<?php


if(!isset($action)) exit;
if($action!='uzmi_razlikeCijenaStanjaMaticna') exit; 

$sveVrsteProdaje= array('Redovna prodaja', 'Tuđa roba na našem skladištu', 'Naša roba na tuđem skladištu');
$imaPodataka=false;
for ($i = 0; $i < count($sveVrsteProdaje); $i++) :
?>
    <?php
    if($vrstaProdaje!='' && $vrstaProdaje!=$i)
        continue;
    $razlike=get_razlikeCijenaStanjaMaticna($proda, $i);
    if($razlike) :
    ?>
    <h2> Vrsta prodaje: &nbsp;<?php echo $i.' '.$sveVrsteProdaje[$i]?></h2>
    <table class="t_lista_primka">
      <thead>
         <tr>
            <th class="right">&nbsp;R.br. &nbsp; </th>
            <th class="left">Kod robe &nbsp;</th>
            <th class="right" style="min-width: 6em;">Cijena iz stanja&nbsp;</th>
            <th class="right" style="min-width: 6em;">Cijena iz matične&nbsp;</th>
            <th class="right" style="min-width: 6em;">Stanje &nbsp;</th>
            <th class="left" style="min-width: 6em;">Naziv robe &nbsp;</th>
        </tr>
      </thead>

      <?php 
      $imaPodataka=true;
      $br=0;
     
      foreach ($razlike as $razlika) : ?>
         <?php 
   
           if (++$br%2 == 0) 
               $pozadina = 'pozadina1';
            else 
               $pozadina = 'pozadina2';

        ?> 
          <tr class="<?php echo $pozadina;?>">
            <td class="right">&nbsp;<?php echo $br; ?>&nbsp;&nbsp;</td>
            <td><?php echo $razlika['kodRobe']; ?>&nbsp;</td> 
           <td class="right">&nbsp;
                <?php echo number_format($razlika['Cijena_stanja'],4,',',''); ?>
            </td>  
            <td class="right">&nbsp;
                <?php echo number_format($razlika['Cijena_maticna'],4,',',''); ?>
            </td>  
            <td class="right">&nbsp;
                <?php echo number_format($razlika['stanje'],4,',',''); ?>
            
            <td class="left">&nbsp;
                <?php echo $razlika['nazivRobe']; ?>&nbsp;&nbsp;
            </td>  

        </tr>
        <?php endforeach; ?>

        <tfoot>
           <tr>
            <td colspan="5" class="right_t_lista"><b>Ukupno: &nbsp;</b> </td>
            
            <td class="right">&nbsp;
                <?php echo number_format( $br,0,',',''); ?>&nbsp;&nbsp;
            </td>  
            </tr>
        </tfoot>   
    </table>
<?php endif; endfor; ?>
<?php 
  if($action=='uzmi_razlikeCijeneStanjaMaticna' && !$imaPodataka) 
    echo 'Nema podataka !';
?>
