<?php
  
if (!isset($_POST['kodGrupe'])) {
    $kodGrupe = '';
    $zapamti = true;
} else {
    $kodGrupe = $_POST['kodGrupe'];
    $zapamti = isset($_POST['zapamti']);
}    

if(isset($_POST['prikazIliDatoteka'])) {
    $prikazIliDatoteka =  $_POST['prikazIliDatoteka'];
} else {
    $prikazIliDatoteka =  'prikaz';
}

if(isset($_POST['poslovniceChaky'])) 
    $poslovniceChaky=$_POST['poslovniceChaky'];
else {
    $parametar=get_parametar('poslovniceChakyZaExcel_'.$_SESSION['skracenicaFirme']);
    if(is_array($parametar))
       $prodaChaky=$parametar['vrijednostParametra'];
    else 
       $prodaChaky = '701';       
    $poslovniceChaky = explode(',', $prodaChaky);
}
if(isset($_POST['poslovniceDinamic'])) 
    $poslovniceDinamic=$_POST['poslovniceDinamic'];
else {
    $parametar=get_parametar('poslovniceDinamicZaExcel_'.$_SESSION['skracenicaFirme']);
    if(is_array($parametar))
       $prodaDinamic=$parametar['vrijednostParametra'];
    else 
        $prodaDinamic = '201,202,204,205,208,209,210';       
    $poslovniceDinamic = explode(',', $prodaDinamic);
}
  
if(isset($_POST['prikazuje'])) {
    $prikazuje = $_POST['prikazuje'];
} else {
    $prikazuje = '';
}
  
if($action=='obrada_stanje_robe_chaky_din' && $prikazIliDatoteka == 'datoteka') {
    $tablica = 'stanje_robe_za_excel';
    header("Content-Type: application/vnd.ms-excel");
    header("Content-disposition: attachment; filename=$tablica.xls");
?>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
<?php
}

if (!isset($tablica)) $tablica = '';
$greska='';

?>
    
<?php if($prikazIliDatoteka == 'prikaz') :
    include 'view/header.php'; 
    include 'dokumenti/dialog_robne_grupe_multi.php';       
?>
<form action="." method="post" id="view_promet_po_robi" name="view_promet_po_robi">
    <h2>Prebacivanje stanja robe u excel Chaky + Dinamic</h2>
    <input type="hidden" name="action" value="obrada_stanje_robe_chaky_din" /> 
    Robne grupe:
     <input type="text" class="text_width_30em" name="kodGrupe" id="kodGrupe" value= "<?php echo $kodGrupe ?>"  /> 
    <button id="tipkaRG" type="button" onclick="prikaziDialogRG('view_zalihe', 'kodGrupe');">..</button>          
    Prikazuje:
     <select name="prikazuje">
        <option value="" <?php if($prikazuje == '') echo 'selected="selected"'; ?> >Sve</option>
        <option value="postoji" <?php if($prikazuje == 'postoji') echo 'selected="selected"'; ?> >Robu koja postoji u Dinamicu</option>
        <option value="nepostoji" <?php if($prikazuje == 'nepostoji') echo 'selected="selected"'; ?> >Robu koja ne postoji u Dinamicu</option>
        <option value="isteRG" <?php if($prikazuje == 'isteRG') echo 'selected="selected"'; ?> >Robu s istim robnim grupama</option>
        <option value="razliciteRG" <?php if($prikazuje == 'razliciteRG') echo 'selected="selected"'; ?> >Robu s različitim robnim grupama</option>
    </select>
    <select name="prikazIliDatoteka">
        <option value="prikaz">Odabir grupa, (prikaz), prvi korak</option>
        <option value="datoteka">Prebacivanje u datoteku(excel), drugi korak</option>            
    </select>   
   <br>
   <table>
   <tr>
   <td style="padding-right: 2em">
   <!--Poslovnice Chaky: <br>-->
   <?php    
   $dbPom = $db;
   $pomPoslovnicePunkta=$_SESSION['admin']['poslovnicePunkta'];
   $_SESSION['admin']['poslovnicePunkta']='';
   // $db=konekcijaNaBazu($_SESSION['username'], 'a83bmi', 'murskiga_robno_cha');
   // listaPoslovnicaMulti("poslovniceChaky[]", true, $poslovniceChaky, 12); 
   ?>
   </td>
   <td>       
   Poslovnice Dinamic: <br>
   <?php
   // $dbPom = $db;
   $db=konekcijaNaBazu($_SESSION['username'], 'a83bmi', 'murskiga_robno_din');
   listaPoslovnicaMultiSamoNumericProda("poslovniceDinamic[]", false, $poslovniceDinamic, 12); 
   $db = $dbPom;
   unset($dbPom);
   $_SESSION['admin']['poslovnicePunkta']=$pomPoslovnicePunkta;
   unset($pomPoslovnicePunkta);
   ?>
   </td>
   </tr>
   </table>
   <input type="checkbox" name="zapamti" <?php if($zapamti) echo 'checked=""' ?> />Trajno zapamti odabrane poslovnice 

    <p></p>
   <p id="prihvat">
        <input type="submit" value="Pokreni obradu" />	  
    </p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
	<?php endif; ?> 
   
</form>   
<?php endif; ?> 
    
<?php
if ($action=='obrada_stanje_robe_chaky_din') { 
    $prodaChaky = implode(',', $poslovniceChaky);
    $prodaDinamic = implode(',', $poslovniceDinamic);
    if($zapamti) {
        azuriraj_parametar('poslovniceChakyZaExcel_'.$_SESSION['skracenicaFirme'], $prodaChaky, 'Odabrane Chaky poslovnice u view_stanje_robe_chaky_din za excel.');
        azuriraj_parametar('poslovniceDinamicZaExcel_'.$_SESSION['skracenicaFirme'], $prodaDinamic, 'Odabrane Dinamic poslovnice u view_stanje_robe_chaky_din za excel.');        
    }
    
    
    $stavkeZaObradu = stanje_robe_chaky_din($prodaChaky, $prodaDinamic, $kodGrupe);    
    ?>
    <table id="tblExport">
       <thead>
         <tr>
            <th class="center" >Kod robe</th>
            <th class="center" >Naziv robe</th>
            <th class="center" style="padding-left: 0.5em" >Grupa</th>
            <th class="left" style="padding-left: 0.5em" >Cijena</th>
            <th class="left" style="padding-left: 0.5em" >Cijena s PDV</th>
            <th class="left" style="padding-left: 0.5em" >Rabat %</th>
            <?php kreiraj_poslovnice($prodaChaky); ?>
            <?php if(count($poslovniceChaky)>1) : ?>    
            <th class="right" >70</th>
            <?php endif; ?>    
             <th class="center" >&nbsp;|&nbsp;</th>
            <th class="center" style="padding-left: 0.5em" >Grupa</th>
            <th class="right" style="padding-left: 0.5em" >Cijena s PDV</th>
            <?php kreiraj_poslovnice($prodaDinamic); ?>
            <?php if(count($poslovniceDinamic)>1) : ?>    
            <th class="right" >20</th>
            <?php endif; ?>    
            <th class="center" >&nbsp;|&nbsp;</th>
           <th class="right" >Ukupno <br>stanje</th>
         </tr>
        </thead>
        <?php
        $RB=0;

        foreach ($stavkeZaObradu as $slog) {
            if(($prikazuje=='postoji' && trim($slog['kodGrupe_din'])=='')
              || ($prikazuje=='nepostoji' && trim($slog['kodGrupe_din'])!='')      
              || ($prikazuje=='isteRG' && trim($slog['kodGrupe_din'])!= trim($slog['kodGrupe']))      
              || ($prikazuje=='razliciteRG' && (trim($slog['kodGrupe_din'])== trim($slog['kodGrupe']) || trim($slog['kodGrupe_din'])=='')) )
                continue;
            
            $RB++;
            $ukupnoChaky=$ukupnoDinamic=0;
            if ($RB % 2 == 0) {
              $pozadina = 'pozadina1';
            } else {
              $pozadina = 'pozadina2';
            }  
            ?> 
            <tr class="<?php echo $pozadina;?>">
                <td class="left" style="padding-left: 1em">                    
                    <?php echo $slog['kodRobe']; ?>
                </td>  
                <td class="left" style="padding-left: 1em">                    
                    <?php echo $slog['nazivRobe']; ?>
                </td>  
                <td class="left" style="padding-left: 1em">                    
                    <?php echo $slog['kodGrupe']; ?>
                </td>   
                <td class="right" style="padding-right: 0.5em; padding-left: 0.5em">
                    <?php echo number_format($slog['cijena'],2,',',''); ?>
                </td>   
                <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($slog['cijenaSPDV'],2,',',''); ?>
                </td>   
                 <td class="right" style="padding-right: 0.5em; ">
                    <?php echo number_format($slog['popust'],2,',',''); ?>
                </td>
            <?php 
            foreach ($poslovniceChaky as $proda) {
                $ukupnoChaky += $slog['kolicina_'.$proda];
                ?>
                </td>   
                 <td class="right" style="padding-right: 0.5em; padding-left: 0.5em">
                    <?php echo number_format($slog['kolicina_'.$proda],2,',',''); ?>
                </td>
                <?php 
            }
            ?>
            <?php if(count($poslovniceChaky)>1) : ?>    
                <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($ukupnoChaky,2,',',''); ?>
                </td>
            <?php endif; ?>    

                <td class="center" >&nbsp;|&nbsp;</td>
                <td class="left" style="padding-left: 1em">                    
                    <?php echo trim($slog['kodGrupe_din'])==''?'Nema robe':$slog['kodGrupe_din']; ?>
                </td>   
                <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($slog['cijenaSPDV_din'],2,',',''); ?>
                </td>   
            <?php 
            foreach ($poslovniceDinamic as $proda) {
                $ukupnoDinamic += $slog['kolicina_'.$proda];
                ?>
                </td>   
                 <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($slog['kolicina_'.$proda],2,',',''); ?>
                </td>
                <?php 
            }
            ?>
            <?php if(count($poslovniceDinamic)>1) : ?>    
                <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($ukupnoDinamic,2,',',''); ?>
                </td>
            <?php endif; ?>    
                <td class="center" >&nbsp;|&nbsp;</td>
                <td class="right" style="padding-right: 0.5em">
                    <?php echo number_format($ukupnoChaky+$ukupnoDinamic,2,',',''); ?>
                </td>   

            </tr>
            <?php       
        }
        ?>            
        </table>
        <?php 
 }
if($prikazIliDatoteka == 'prikaz')
   include ('view/footer.php');

function kreiraj_poslovnice($strPoslovnice) {
    $poslovnice = explode(',', $strPoslovnice);
    foreach ($poslovnice as $proda) {
        echo '            <th class="right" >'.$proda.'</th> ';
    }
    return $poslovnice;
}

function listaPoslovnicaMultiSamoNumericProda($naziv, $daliFirma, $odabranePoslovnice, $brojRedova=NULL,$samoDozvoljene=true) {
    $pom=' ';
    if(isset($brojRedova))
        $pom=' size='.$brojRedova;
    $lista='<select name="'.$naziv.'"'.$pom.' id="'.$naziv.'" multiple>';
    //$lista='<select name="poslovnice_izbor[]" multiple>';
    include('dokumenti/kontrola_poslovnice_init.php');
    $poslovnice = get_poslovnice();
    $korisnik = get_admin_by_email($_SESSION['admin']['email']);
    $dozvoljenePoslovnice=  explode(',', $korisnik['poslovnicePunkta']);
    $prioritet=$korisnik['prioritet'];
    $samoDozvoljene&=(array_search('0',$dozvoljenePoslovnice)===FALSE);
    /*+
    if(empty($odabranePoslovnice) && $dozvoljenePoslovnice[0]=='0' && isset($dozvoljenePoslovnice[1])) {
        //if(in_array($dozvoljenePoslovnice[1],$poslovnice))
            $odabranePoslovnice[]=$dozvoljenePoslovnice[1];
    }
     * 
     */
    $dozvPosl=array();
 
    foreach ($poslovnice as $poslovnica_izbor) {      
        if(!is_numeric($poslovnica_izbor['kodPoslovnice'])) continue;
        if(!$daliFirma && $poslovnica_izbor['kodPoslovnice']=='0')
            continue;
        if($samoDozvoljene && $prioritet>4 && array_search($poslovnica_izbor['kodPoslovnice'],$dozvoljenePoslovnice)===FALSE)
            continue;
        if(empty($odabranePoslovnice)) 
            $odabranePoslovnice[]=$poslovnica_izbor['kodPoslovnice'];
        $lista.='<option value="'.$poslovnica_izbor['kodPoslovnice'].'"';
        if (in_array_trim($poslovnica_izbor['kodPoslovnice'], $odabranePoslovnice)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$poslovnica_izbor['kodPoslovnice'].' &nbsp;'.$poslovnica_izbor['nazivPoslovnice'].' </option>';
        $dozvPosl[]=$poslovnica_izbor['kodPoslovnice'];
    }
    $lista.='</select>';
    echo $lista;
    return $dozvPosl;
}

   ?>

