<?php
require_once('model/tarifni_brojevi_db.php');
$slogZaUnos= array();
$slogZaUnos['tarifniBroj']='';
$slogZaUnos['nazivTarifnogBroja']='';
$slogZaUnos['vrstaArtikla']='';

$poljaKljuca=array('tarifniBroj');
$oznakeGreske['tarifniBroj']='&nbsp';
$oznakeGreske['nazivTarifnogBroja']='&nbsp';

$skriptaPregleda='dokumenti/view_pregled_tarifni_brojevi.php';
$povratakIzPregleda='izabran_je_tarifni_broj';
$dokument='Carinski tarifni brojevi';
$slogIzBaze=null;


if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['tarifniBroj']=$_REQUEST['tarifniBroj'];
    $slogIzBaze = get_tarifni_broj($slogZaUnos['tarifniBroj']);
}    

include 'dokumenti/view_unos_zajednicki.php';

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['tarifniBroj'])=='') {
            $greska='Polje Tarifni broj ne smije  biti prazno!';
            $oznakeGreske['tarifniBroj']='*';
        }
        if(trim($slogZaUnos['nazivTarifnogBroja'])=='') {
            $greska.='Polje naziv tarifnog broja ne smije  biti prazno!';
            $oznakeGreske['nazivTarifnogBroja']='*';
        }        
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                echo 'Tarifni  broj' . $slogZaUnos['tarifniBroj'] . '<br>';
                    add_tarifni_broj($slogZaUnos);
                $greska='Tarifni broj je uspješno upisan.';
                break;
            case 'Izmjena':
                update_tarifni_broj($slogZaUnos, $slogIzBaze);
                $greska='Tarifni broj je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                delete_tarifni_broj($slogZaUnos['tarifniBroj']);
                $greska='Tarifni broj je uspješno obrisan.';
                break;

        } 
    }
    
    
}

?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_tarifni_brojevi" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
<b>Carinski tarifni broj:</b>
 <input type="text" class="text_width_8em" name="tarifniBroj" value="<?php echo $slogZaUnos['tarifniBroj']; ?>"  size="12" required/> 
 <span class="greska"><?php echo $oznakeGreske['tarifniBroj']; ?> </span>   
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Obavezan je unos prema službenim oznakama.
    Mogu se koristiti točke.
    Obavezan unos polja Naziv tarifnog broja: (kod operacije Unos). " /> 

<b>Naziv tarifnog broja:</b>
 <input type="text" class="text_width_50em" name="nazivTarifnogBroja" value="<?php echo $slogZaUnos['nazivTarifnogBroja']; ?>"  required/> 
 <span class="greska"><?php echo $oznakeGreske['nazivTarifnogBroja']; ?> </span>  
Vrsta artikla:       
<input type="text" class="text_width_2em" name="vrstaArtikla" value="<?php echo $slogZaUnos['vrstaArtikla']; ?>" />  
 <p></p>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>
<?php
$poljaKljuca[] = 'tarifniBroj';
poljaKljucaUjs($poljaKljuca);
?>