<?php
include_once 'model/tablica_db.php';
$tablica='velicina_kotaca';
$slogZaUnos= array();
$slogZaUnos['velicinaKotaca']='';
$slogZaUnos['nazivVelicineKotaca']='';

$poljaKljuca=array('velicinaKotaca');
$oznakeGreske['velicinaKotaca']='&nbsp';
$oznakeGreske['nazivVelicineKotaca']='&nbsp';

$skriptaPregleda='dokumenti/view_pregled_velicina_kotaca.php';
$povratakIzPregleda='izabrana_je_velicina_kotaca';
$dokument='Veličina kotača bicikla';
$slogIzBaze=null;


if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['velicinaKotaca']=$_REQUEST['velicinaKotaca'];
    $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['velicinaKotaca'])=='') {
            $greska='Polje velićina kotača ne smije  biti prazno!';
            $oznakeGreske['velicinaKotaca']='*';
        }
        if(trim($slogZaUnos['nazivVelicineKotaca'])=='') {
            $greska='Polje naziv ne smije  biti prazno!';
            $oznakeGreske['nazivVelicineKotaca']='*';
        }
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Veličina kotača je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Veličina kotača je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Veličina kotača je uspješno obrisana';
                break;
        } 
    }
    
    
}

?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_velicina_kotaca" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Veličina kotača:
 <input type="text" class="text_width_15em" name="velicinaKotaca" value="<?php echo $slogZaUnos['velicinaKotaca']; ?>"  /> 
 <span class="greska"><?php echo $oznakeGreske['velicinaKotaca']; ?> </span>   &nbsp; &nbsp;
Naziv:
 <input type="text" class="text_width_30em" name="nazivVelicineKotaca" value="<?php echo $slogZaUnos['nazivVelicineKotaca']; ?>"  /> 
 <span class="greska"><?php echo $oznakeGreske['nazivVelicineKotaca']; ?> </span>   &nbsp; &nbsp;

 <p></p>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>
<?php
$poljaKljuca[] = 'velicinaKotaca';
poljaKljucaUjs($poljaKljuca);
?>