function clearForm(oForm) {
    
  var elements = oForm.elements; 
    
  oForm.reset();

  for(i=0; i<elements.length; i++) {
      
	field_type = elements[i].type.toLowerCase();
	if(elements[i].className==="obavezanDatum") {
            d=new Date();
            mjesec=d.getMonth() + 1;
            dFormat = formatiraj(d.getDate()) + "." + formatiraj(mjesec) + "." + d.getFullYear() + " " 
                    + formatiraj(d.getHours()) + ":" + formatiraj(d.getMinutes()) + ":" + formatiraj(d.getSeconds());
            elements[i].value = dFormat;
        } else
	switch(field_type) {
	
		case "text": 
		case "password": 
		case "textarea":
			elements[i].value = ""; 
			break;

		case "number":
			elements[i].value = "0"; 
			break;
            
		case "radio":
		case "checkbox":
  			if (elements[i].checked) {
   				elements[i].checked = false; 
			}
			break;

		case "select-one":
		case "select-multi":
            		elements[i].selectedIndex = 0;
			break;

		default: 
			break;
	}
    }
    //this.onChange();
}

function formatiraj(broj) {
    return (broj<10?"0":"") + broj;
}

