<!-- Dialog zatvaranje stavaka -->
<?php
function dialog_zatvaranje_stavaka($stavkaZatvaranja, $konto='', $kodPartnera='') {
    global $app_path, $action;
    if($konto=='')
        $konto=$stavkaZatvaranja['konto'];
    if($kodPartnera=='')
        $kodPartnera=$stavkaZatvaranja['kodPartnera'];
    $slogKonto=get_konto($konto);
    if(isset($_REQUEST['indeks']))
        $indeks=$_REQUEST['indeks'];
    else 
        $indeks=$stavkaZatvaranja['brojStavke'];
    
    $slogPartnera=get_partner($kodPartnera);
    $slogVrsDo=get_vrsta_dokumenta($stavkaZatvaranja['vrsDo']);
    $stavke=get_gk_za_zatvaranje($konto, $kodPartnera, $stavkaZatvaranja['brojTemeljnice'], $stavkaZatvaranja['brojStavke']);
    $ukupnoDuguje=$stavkaZatvaranja['iznosDug'];
    $ukupnoPotrazuje=$stavkaZatvaranja['iznosPot'];
    $pomBroDo=trim($stavkaZatvaranja['broDo']);
    if(trim($stavkaZatvaranja['brojDobRacuna'])!='')
       $pomBroDo.='*'.$stavkaZatvaranja['brojDobRacuna'];
    $d= new DateTime($stavkaZatvaranja['valuta']);
    $valuta=$d->format("d.m.Y");
    $d= new DateTime($stavkaZatvaranja['DVO']);
    $DVO=$d->format("d.m.Y");

    $p['vrsDo']=$stavkaZatvaranja['vrsDo'];
    $p['oznakaDokumenta']=$slogVrsDo['oznakaDokumenta'];
    $p['broDo']=$stavkaZatvaranja['broDo'];
    $p['iznosOtvDug']=$stavkaZatvaranja['iznosOtvDug'];
    $p['iznosOtvPot']=$stavkaZatvaranja['iznosOtvPot'];
    $p['istiDugujePotrazuje']=false;
    $p['iznosVeze']=0;
    $zaKonrtolu[0]=$p;
    unset($p);
              
    ?>

<style>
#poljePretage {
    background: white; 
    background-image: url('/apl/robno/images/searchicon.png');
    background-position: 5px 5px;
    background-repeat: no-repeat;
    width: 100%;
    /* font-size: 16px; */
    padding: 7px 7px 7px 30px;
    margin-bottom: 8px;
}
</style>

 <div id="dialogZatvaranje" title="Zatvaranje stavaka" style="display: none;">
 <form action="." method="post" id="view_zatvaranje" onsubmit="return kontrola();">
 <input type="hidden" name="action" value="<?php echo $action ?>" />
  
        Konto:
<!--        <input type="text" class="text_width_8em" name="kontoZatvaranja" value="<?php echo $stavkaZatvaranja['konto']; ?>"/> -->
        <?php echo trim($stavkaZatvaranja['konto']); ?> &nbsp;
        <?php /* kreirajPoljeKonta('kontoZatvaranja', $stavkaZatvaranja['konto']);*/ echo $slogKonto['nazivKonta'] ;?> &nbsp;
        Partner:
<!--        <input type="text" class="text_width_8em" name="kodPartneraZatvaranja" value="<?php echo trim($stavkaZatvaranja['kodPartnera']); ?>"/> -->
        <?php echo trim($stavkaZatvaranja['kodPartnera']); ?> &nbsp;&nbsp;
        <?php echo trim($slogPartnera['nazivPartnera']) ?> 
        <br>
        Dospijeće od:
        <input type="text" class="text_width_8em" id="dospijeceOd" onkeyup="pretragaPoDospijecu()" autocomplete="off"/>
        do:
        <input type="text" class="text_width_8em" id="dospijeceDo" onkeyup="pretragaPoDospijecu()" autocomplete="off"/>
        <br>       
        <input type="text" id="poljePretage" onkeyup="pretraga()" placeholder="Unesite iznos, broj dokumenta, dospijeće, DVO ..." autocomplete="off"/>
       <!-- <div style="height:400px;width:100%;overflow:scroll;"> -->
       <table class="t_lista_primka" >
          <thead>
             <tr>
                <th class="left" style="padding-left: 1em">
<!--                    <input type="checkbox" id="preaga0" checked="checked" />-->
                    Dospijeće &nbsp;
                </th>
                <th class="left">
                    DVO&nbsp;
                </th>
                <th class="left">
                    Vrsta <br>dokumenta &nbsp;
                </th>
                <th class="left">
                    Broj dokumenta <br>*dobavljačev broj
                </th>
                <th class="right">
                    Duguje &nbsp;
                </th>
                <th class="right">
                    Potražuje &nbsp;
                </th>
                <th class="right" style="cursor:pointer " onclick="prikaziVeze()">
                    <u>Iznos veze</u> 
                <img src="<?php echo $app_path ?>/images/upitnik.png" alt="help"
                title="Prvi red (obojano crveno): <br>preostali iznos za povezivanje, mijenja se kako unosimo iznose veza.<br/> 
                Priiskom na slovo 'p' u polje iznos veze preuzimamo iznos duguje ili potražuje"  />    
                <th class="left" style="padding-left: 0.5em">
                    Opis knjiženja
                </th>
                </th>
              </tr>
          </thead>
          <tr style="color: blue; font-weight: bold">
            <td class="left" style="padding-left: 1em; width: 8em">
                <?php echo $valuta ?>&nbsp;
            </td>
            <td class="left" style="width: 8em">
                <?php echo $DVO ?>&nbsp;
            </td>
            <td class="left" style="width: 8em">
                <?php echo $slogVrsDo['oznakaDokumenta'] ?>&nbsp;
            </td>
            <td class="left" style="width: 15em">
                <?php echo $stavkaZatvaranja['broDo'] ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <?php echo number_format( (float)str_replace(',', '.', $stavkaZatvaranja['iznosOtvDug']),2,',','.') ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <?php echo number_format( (float)str_replace(',', '.', $stavkaZatvaranja['iznosOtvPot']),2,',','.') ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <input type="text" class="text_width_8em" name="iznosVezeRac" id="iznosVezeRac"  style="color: #990000; font-weight: bold; text-align: right"
                       value="<?php echo number_format( (float)str_replace(',', '.', $stavkaZatvaranja['iznosOtv']),2,',','') ?>" disabled=""/>
            </td>
            <td class="left" style="width: 15em; padding-left: 0.5em">
                <?php echo $stavkaZatvaranja['opisKnjizenja'] ?>&nbsp;
            </td>
          </tr>
        <input type="hidden" name="lijeviDok" 
               value="<?php echo $stavkaZatvaranja['brojTemeljnice'].'|'.$stavkaZatvaranja['brojStavke']?>"/> 
        <input type="hidden" name="brojTemeljnice" value="<?php echo $stavkaZatvaranja['brojTemeljnice']; ?>"/> 
        <input type="hidden" name="brojIzvoda" value="<?php echo $stavkaZatvaranja['brojIzvoda']; ?>"/> 
        <input type="hidden" name="vrsDo" value="<?php echo $stavkaZatvaranja['vrsDo']; ?>"/> 
        <input type="hidden" name="brojStavke" value="<?php echo $stavkaZatvaranja['brojStavke']; ?>"/> 
        <input type="hidden" name="indeks" value="<?php echo $indeks; ?>"/> 
       </table>
       
       <?php if(!empty($stavke)) : ?>
<!--       <div id='tijelo' style=" max-height: 200px; overflow: auto">      -->
       <div id='tijelo' style=" max-height: 500px; overflow: auto">      
       <table class="t_lista_primka"  id="tabStavke">
       <tbody> 
           <?php 
           $RB = 0; 
           foreach ($stavke as $slog) :
               $d= new DateTime($slog['valuta']);
               $valuta=$d->format("d.m.Y");
               $d= new DateTime($slog['DVO']);
               $DVO=$d->format("d.m.Y");
               if(!is_numeric($slog['iznosDug'])) $slog['iznosDug']=0;
               if(!is_numeric($slog['iznosPot'])) $slog['iznosPot']=0;
               $ukupnoDuguje+=$slog['iznosDug'];
               $ukupnoPotrazuje+=$slog['iznosPot'];
               $pomBroDo=trim($slog['broDo']);
               if(trim($slog['brojDobRacuna'])!='')
                   $pomBroDo.='*'.$slog['brojDobRacuna'];
              $istiDugujePotrazuje=$stavkaZatvaranja['iznosDug']==0 && $slog['iznosDug']==0 
                         || $stavkaZatvaranja['iznosPot']==0 && $slog['iznosPot']==0;
              $predznak=$istiDugujePotrazuje? -1 : 1;

              $p['vrsDo']=$slog['vrsDo'];
              $p['oznakaDokumenta']=$slog['oznakaDokumenta'];
              $p['broDo']=$slog['broDo'];
              $p['iznosOtvDug']=$slog['iznosOtvDug'];
              $p['iznosOtvPot']=$slog['iznosOtvPot'];
              $p['istiDugujePotrazuje']=$istiDugujePotrazuje;
              $p['iznosVeze']=0;
              $zaKonrtolu[]=$p;
              unset($p);

              ?>
                <tr class="<?php echo (++$RB % 2 == 0) ? 'pozadina1' : 'pozadina2';?>">
                  <td class="left" style="padding-left: 1em; width: 8em">
                      <?php echo $valuta ?>&nbsp;
                  </td>
                  <td class="left" style="width: 8em">
                      <?php echo $DVO ?>&nbsp;
                  </td>
                  <td class="left" style="width: 8em">
                      <?php echo $slog['oznakaDokumenta'] ?>&nbsp;
                  </td>
                  <td class="left" style="width: 15em">
                      <?php echo $pomBroDo ?>&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($slog['iznosOtvDug'],2,',','') ?>
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($slog['iznosOtvPot'],2,',','') ?>
                  </td>
                  <td class="right" style="width: 10em">
                    <input type="text" class="text_width_8em" name="iznosVeza[]" id="<?php echo 'iznosVeze'.$RB ?>" 
                           pattern="-{0,1}\d+([,.]\d{1,2})?" title="p - preuzimanje dugovnog/potražnog iznosa, t - pretaživanje"                              
                           value="0,00" onfocus="this.oldvalue = this.value;" onchange="racunajOstatak(this, <?php echo $predznak ?>, <?php echo $RB ?>)" 
                           onkeypress="return preuzimanje(this, event, <?php echo $slog['iznosOtv'];?>, <?php echo $predznak ?>, <?php echo $RB ?>)"
                           style="text-align: right"/>
                    <!--<input type="submit" name="prihvatiZatvaranje1" value="." />-->
                  </td>
                  <td class="left" style="width: 15em; padding-left: 0.5em">
                      <?php echo $slog['opisKnjizenja'] ?>&nbsp;
                  </td>
                    <input type="hidden" name="vezniDok[]" 
                        value="<?php echo $slog['brojTemeljnice'].'|'.$slog['brojStavke'] ?>"/> 
                </tr>
           <?php endforeach; ?>
       </tbody>
       </table>
       </div>     
       <table class="t_lista_primka" >
           <tfoot>
               <tr style="font-weight: bold">
                  <td class="left" style="padding-left: 1em; width: 8em">
                      S A L D O :
                  </td>
                  <td class="left" style="width: 8em">
                      &nbsp;
                  </td>
                  <td class="left" style="width: 8em">
                      &nbsp;
                  </td>
                  <td class="left" style="width: 15em">
                      &nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoDuguje,2,',','.') ?>&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoPotrazuje,2,',','.') ?>&nbsp;&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoDuguje-$ukupnoPotrazuje,2,',','.')  ?>&nbsp;
                  </td>
                  <td class="left" style="width: 15.5em">
                      &nbsp;
                  </td>
                </tr>              
           </tfoot>
       </table>  
       <br>
    <p id="prihvat">
    <input type="submit" name="prihvatiZatvaranje" value="Prihvat" />
    </p>
    <?php else: ?>
        <br>
        <p id="greska_prihvat"> Nema stavaka za povezivanje.</p>
    <?php endif; ?>     
</form>
</div>

<script type="text/javascript">
// u racuni[0] je slog banke kojega zatvaramo, a od 1... n su druge otvorene stavke
var racuni=<?php echo json_encode($zaKonrtolu) ?>;
var dOd=NaN, dDo=NaN, poDatumu=false;
    /*
    $(document).tooltip({
       content: function () {
         return ( ( $( this ).prop( 'title' ).replace( '|', '<br />' ) ) );
       }
    });
    */
    $("#dialogZatvaranje").dialog(({width: 1100, maxHeight: window.innerHeight, modal: true,resizable: true}));
    //$("#dialogZatvaranje").dialog(({maxWidth: window.innerWidth, maxHeight: window.innerHeight, modal: true,resizable: true}));
    //$("#tijelo").css("maxHeight", window.innerHeight*0.6);
    //$("#dialogZatvaranje").dialog( "option", "position", { my: "center", at: "center", of: window } );
     //document.getElementById("iznosVeze1").focus();
     document.getElementById("poljePretage").focus();

    function racunajOstatak(polje,predznak,i)
    {
        //console.log(predznak);
        if(isNaN(parseFloat(polje.value))) {
            alert("Niste unijeli broj. Vraćena stara vrijednost");
            polje.value = polje.oldvalue;
            racuni[i]['iznosVeze']=parseFloat(polje.value.replace(",","."));
            return false;
        }

        if(Math.abs(parseFloat(polje.value.replace(",","."))) > Math.abs(racuni[i]['iznosOtvDug'] - racuni[i]['iznosOtvPot'])) {
//                alert("Unijeti iznos veze:" + Math.abs(parseFloat(polje.value.replace(",","."))) + " veći od otvorenog iznosa:" 
//                      + Math.abs(racuni[i]['iznosOtvDug'] - racuni[i]['iznosOtvPot']) + ". Vraćena stara vrijednost");
            if(!confirm("Unijeti iznos veze:" + Math.abs(parseFloat(polje.value.replace(",","."))) + " veći od otvorenog iznosa:" 
                  + Math.abs(racuni[i]['iznosOtvDug'] - racuni[i]['iznosOtvPot']) + ". Prihvaćate li?"))
            {
                polje.value = polje.oldvalue;
                racuni[i]['iznosVeze']=parseFloat(polje.value.replace(",","."));
                return false;
            }
        }            
    

        //
        preostalo=document.getElementById("iznosVezeRac");
        if(typeof polje.oldvalue === 'undefined')
            polje.oldvalue = "0"; // mora biti string jer koristimo polje.oldvalue.replace(",",".")
        iznos = parseFloat(preostalo.value.replace(",",".")) + (parseFloat(polje.oldvalue.replace(",",".")) - parseFloat(polje.value.replace(",",".")))*predznak;
        //console.log(preostalo.value + "+" + polje.oldvalue + "-" + polje.value);
        preostalo.value=iznos.toFixed(2).replace(".",",");
        racuni[i]['iznosVeze']=parseFloat(polje.value.replace(",","."));
        return true;
    }

    function preuzimanje(polje, event, iznosOtv, predznak, i){
        // preuzima kod pritisnute tipke
        var chCode = ('charCode' in event) ? event.charCode : event.keyCode;

        if(chCode==='p'.charCodeAt() || chCode==='P'.charCodeAt()) 
        {
            //alert (iznosOtv);
            polje.value=iznosOtv;
            polje.value=polje.value.replace(".",",");
            racunajOstatak(polje,predznak,i);
            polje.oldvalue=polje.value;
            polje.select();
            return false;
        }
        else if(chCode==='t'.charCodeAt() || chCode==='T'.charCodeAt()) 
        {
            poljePretage.select();
            return false;
        }
        return true;
    } 

    function kontrola() {
        raspolozivo=<?php echo $stavkaZatvaranja['iznosOtv'] ?>;
        preostalo=parseFloat(document.getElementById("iznosVezeRac").value.replace(",","."));
        // ako su preostalo i  raspolozivo suprotnog predznaka ii je  saldo po vezama 
        // veči od raspolozivog iznosa na dokumentu s kojim zatvaramo
        if (raspolozivo>0 && preostalo<0 || raspolozivo<0 & preostalo>0 || Math.abs(raspolozivo)<Math.abs(preostalo)) {
            alert("Saldo Iznosa veza po povezanim dokumentima je veći od otvorenog iznosa na dokumentu s kojim zatvaramo!");
            return false;
        } 

        /*
        for(i=1; i<racuni.length; i++) {
            if(racuni[i]['iznosVeze']!=0 && racuni[i]['istiDugujePotrazuje']) {
            // if(racuni[i]['iznosVeze']!=0) {
                // u racuni[0] je slog banke kojega zatvaramo, a od 1... n su druge otvorene stavke
                if(Math.sign(racuni[0]['iznosOtvDug'] - racuni[0]['iznosOtvPot']) == Math.sign(racuni[i]['iznosOtvDug'] - racuni[i]['iznosOtvPot'])) {
                    alert("Dokument: '" +  racuni[i]['oznakaDokumenta'] + "/" + racuni[i]['broDo'] + "' se ne može poveati s dokumentom: '" 
                          +  racuni[0]['oznakaDokumenta'] + "/" + racuni[0]['broDo'] + "'.\nOba dokumenta imaju otvoreni iznos na istoj dugovnoj/potražnoj strani, s isiim predznakom !");
                    return false;
                }
            }    
        }
        */
        return true;
    }

    function pretraga() {
        unos = document.getElementById("poljePretage");
        filter = unos.value.toUpperCase();
        bezfiltera = filter.trim() == "" && !poDatumu;
        
        filteri = filter.split(" ");
        tablica = document.getElementById("tabStavke");
        redovi = tablica.getElementsByTagName("tr");
        for (i = 0; i < redovi.length; i++) {
            kolone= redovi[i].getElementsByTagName("td");
            prikaz = bezfiltera;
            for (j = 0; j < kolone.length; j++) {
                td = kolone[j];
                if (td && !bezfiltera) {
                    uRazdoblju = true;
                    // pretraga po dospijeću
                    if (dOd || dDo) {
                        manji = veci = true;
                        d = parseDatum(kolone[0].textContent || kolone[0].innerText);
                        if (d && dOd)
                            uRazdoblju &= d >= dOd;
                        if (d && dDo)
                            uRazdoblju &= d <= dDo;
                        if (filter.trim() == "") {
                            prikaz |= uRazdoblju;
                            if (prikaz) break;
                        }
                    }    

                    txtValue = td.textContent || td.innerText;
                    // prikaz |= txtValue.toUpperCase().indexOf(filter) > -1;
                    for (k = 0; k < filteri.length; k++) {
                        if (filteri[k].trim()!="") {
                            prikaz |= txtValue.toUpperCase().indexOf(filteri[k]) > -1 && uRazdoblju;
                            if (prikaz) break;
                       }  
                    }                    
                }    
                if (prikaz) break;
            }
            if (prikaz) {
                redovi[i].style.display = "";
            } else {
                redovi[i].style.display = "none";
            }
        }
    }
    
    function prikaziVeze() {
        tablica = document.getElementById("tabStavke");
        redovi = tablica.getElementsByTagName("tr");
        for (i = 0; i < redovi.length; i++) {
            kolone= redovi[i].getElementsByTagName("td");
            prikaz = false;
            polje = kolone[6].getElementsByTagName("input");
            if (polje[0]) { 
                prikaz = parseFloat(polje[0].value.replace(",",".")) != 0;
            }
            
            if (prikaz) {
                redovi[i].style.display = "";
            } else {
                redovi[i].style.display = "none";
            }
        }
    }
    
    function pretragaPoDospijecu() {
        stariDatumi = dOd || dDo;
        dOd = parseDatum(dospijeceOd.value); 
        dDo = parseDatum(dospijeceDo.value); 
        poDatumu = dOd || dDo;
        if (poDatumu || stariDatumi) 
            pretraga();
        
    }
    
    function parseDatum(strDatum) {
        d = NaN;;
        p = strDatum.trim().split(".");
        if (p.length==3) 
            d = Date.parse(p[2]+"-"+p[1]+"-"+p[0]);
        return d;        
    }
</script>

<?php
}
?>
