<?php
include_once 'model/tablica_db.php';
include_once 'model/maticna_radnika_db.php';
include_once 'model/opcine_db.php';
include_once 'od/model/primici_po_obracunu_db.php';

function listaVrstePlaca($naziv, $varijabla,$daliSve=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_tablica('vrste_placa');
    if($daliSve)
        $lista.='<option value="sve" '.((trim($varijabla) == 'sve') ? 'selected="selected"':'').'>Sve vrste plaća </option>';
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['vrstaPlace'].'"';
        if (trim($slog['vrstaPlace']) ==  trim($varijabla)){
            $lista.=' selected="selected"';
        } 
        $lista.='>'.$slog['nazivVrstePlace'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaNeoporezivihPrimitaka($naziv,$varijabla,$daliSve=false) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    
    $slogovi = get_vrste_neoporezivih_primitaka();
   
    if($daliSve)
        $lista.='<option value="sve" '.((trim($varijabla) == 'sve') ? 'selected="selected"':'').'>Sve vrste neoporezivih primitaka</option>';
    foreach ($slogovi as $slog) {
        $lista.='<option value="'.$slog['vrstaPrimitka'].'"';
        if (trim($slog['vrstaPrimitka']) ==  trim($varijabla)){
            $lista.=' selected="selected"';
        } 
        $lista.='>'.$slog['nazivPrimitka'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaRadnika($naziv, $varijabla,$daliSve=false, $samoAktivni=true) {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_maticna_radnika();
    if(isset($_REQUEST['godinaObracuna']) && isset($_REQUEST['mjesecObracuna']))
       $mjesecPlace=$_REQUEST['godinaObracuna']*100+$_REQUEST['mjesecObracuna'];
    else 
        $mjesecPlace=0;
    if($daliSve)
        $lista.='<option value="" '.((trim($varijabla) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($slogovi as $slog) {
        if($samoAktivni && trim($slog['datumPrestankaRO'])!=''){
            if(!(isset($_REQUEST['godinaObracuna']) && isset($_REQUEST['mjesecObracuna'])))
                continue;
            $d = new DateTime($slog['datumPrestankaRO']);
            $mjeseOdlaska=(int)($d->format('Y'))*100 + (int)($d->format('m'));
            if($mjeseOdlaska<$mjesecPlace)
                continue;
        }    
        $lista.='<option value="'.$slog['kodRadnika'].'"';
        if (trim($slog['kodRadnika']) ==  trim($varijabla)){
            $lista.=' selected="selected"';
        } 
        $lista.='>'.trim($slog['kodRadnika']).' - '.$slog['imeIprezime'].' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function listaRadnikaPoImenu($naziv, $varijabla,$daliSve=false, $samoAktivni=true, $vrstaPlace='sve') {
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    $slogovi = get_maticna_radnika_po_imenu();
    if(isset($_REQUEST['godinaObracuna']) && isset($_REQUEST['mjesecObracuna']))
       $mjesecPlace=$_REQUEST['godinaObracuna']*100+$_REQUEST['mjesecObracuna'];
    else 
        $mjesecPlace=0;
    if($daliSve)
        $lista.='<option value="" '.((trim($varijabla) == '') ? 'selected="selected"':'').'> </option>';
    foreach ($slogovi as $slog) {
        if($vrstaPlace!='sve' && $vrstaPlace!=$slog['statusRadnika'])
            continue;
        if($samoAktivni && trim($slog['datumPrestankaRO'])!=''){
            if(!(isset($_REQUEST['godinaObracuna']) && isset($_REQUEST['mjesecObracuna'])))
                continue;
            $d = new DateTime($slog['datumPrestankaRO']);
            $mjeseOdlaska=(int)($d->format('Y'))*100 + (int)($d->format('m'));
            if($mjeseOdlaska<$mjesecPlace)
                continue;
        }    
        $lista.='<option value="'.$slog['kodRadnika'].'"';
        if (trim($slog['kodRadnika']) ==  trim($varijabla)){
            $lista.=' selected="selected"';
        } 
        $lista.='>' . $slog['imeIprezime'] . ' - ' . trim($slog['kodRadnika']) .' </option>';
    }
    $lista.='</select>';
    echo $lista;
}

function vrstaJOPPDizvjesca($naziv,$varijabla,$daliSve=false) {
     /* 1 izvorna plaća, 2 - promjena, 3-dodavanje 6, */
    $lista='<select name="'.$naziv.'" id="'.$naziv.'">';
    if($daliSve)
        $lista.='<option value="" '.(($varijabla == '') ? 'selected="selected"':'').'></option>';
    $lista.='<option value="1" '.(($varijabla == '1') ? 'selected="selected"':'').' >1 - izvorna plaća</option>';
    $lista.='<option value="2" '.(($varijabla == '2') ? 'selected="selected"':'').' >2 - promjena</option>';
    $lista.='<option value="3" '.(($varijabla == '3') ? 'selected="selected"':'').' >3 - dodavanje</option>';
    $lista.='</select>';
    echo $lista;
}


?>