<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='fond_sati';

$slogZaUnos=kreiraj_slog_tablice($tablica);
   $d = new DateTime();
   if  ($slogZaUnos['godina']==0) $slogZaUnos['godina'] = $d->format('Y');

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['godina'] = '&nbsp;';   
$oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_fond_sati.php';
$povratakIzPregleda='izabran_je_fond_sati';
  
$dokument = 'Fond sati po mjesecima';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['mjesec']=$_REQUEST['mjesec'];
    $slogZaUnos['godina']=$_REQUEST['godina'];   
    if ( ( $slogZaUnos['godina']==0 ||  $slogZaUnos['godina'] > ($d->format('Y') +1) ||  $slogZaUnos['godina'] < ($d->format('Y') -1) ) && ($_REQUEST['opSaDok'] == 'Unos' || $_REQUEST['opSaDok'] == 'Izmjena' ) ) {
        $greska .= 'Pogrešna godina. Ne može biti nula, niti veća od (tekuća godine +1) niti manja od (tekuća godina -1) ! ';
        $oznakeGreske['godina'] = '*'; 
    }
        
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Slog za fond sati "'.$slogZaUnos['mjesec'].'" "'.$slogZaUnos['godina'].'" je uspješno upisan.';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Slog za fond sati "'.$slogZaUnos['mjesec'].'"  "'.$slogZaUnos['godina'].'" je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Slog za fond sati "'.$slogZaUnos['mjesec'].'"  "'.$slogZaUnos['godina'].'" je uspješno obrisan';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_fond_sati" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Mjesec:
<?php listaMjeseci("mjesec", $slogZaUnos['mjesec']); ?> godina: <input type="text" class="text_width_3em" name="godina" id="godina" value="<?php echo $slogZaUnos['godina']; ?>" required />
 <span class="greska"><?php echo $oznakeGreske['godina']; ?> </span>  	
Mjesečni fond sati:
<input type="text" class="text_width_2em" name="mjesecniFondSati" value="<?php echo $slogZaUnos['mjesecniFondSati']; ?>" required /> &nbsp; &nbsp;&nbsp;

Radni sati: 
<input type="text" class="text_width_2em" name="radniSati" value="<?php echo $slogZaUnos['radniSati']; ?>" required /> &nbsp; &nbsp; &nbsp;

Sati blagdana:
<input type="text" class="text_width_2em" name="satiBlagdana" value="<?php echo $slogZaUnos['satiBlagdana']; ?>" required /> 
<br>
Broj obračunskih dana:
<input type="text" class="text_width_2em" name="brojObracunskihDana" value="<?php echo $slogZaUnos['brojObracunskihDana']; ?>" required /> &nbsp; &nbsp; &nbsp;

Broj radnih dana:
<input type="text" class="text_width_2em" name="brojRadnihDana" value="<?php echo $slogZaUnos['brojRadnihDana']; ?>" required /> &nbsp; &nbsp; &nbsp;
    
Broj dana blagdana:
<input type="text" class="text_width_2em" name="brojDanaBlagdana" value="<?php echo $slogZaUnos['brojDanaBlagdana']; ?>" required /> &nbsp; &nbsp; &nbsp;
       
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>
<?php
poljaKljucaUjs($poljaKljuca);

include './dokumenti/view_pregled_fond_sati.php';
?>