<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='od_sifrarnici';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$slogZaUnos['vrstaSifrarnika'] = 'JOPPD';
$slogZaUnos['oznakaBrojSifrarnika'] = '';

// $oznakeGreske['vrstaPlace'] = '&nbsp;';   
// $oznakeGreske['nazivVrstePlace'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_od_sifrarnici.php';
$povratakIzPregleda='izabrani_od_sifrarnici';
  
$dokument = 'JOPPD šifarnici';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaSifrarnika'] = $_REQUEST['vrstaSifrarnika'];
    $slogZaUnos['oznakaBrojSifrarnika'] = $_REQUEST['oznakaBrojSifrarnika'];
    $slogZaUnos['oznakaStavke'] = $_REQUEST['oznakaStavke'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Šifra '.$slogZaUnos['oznakaStavke'].' je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Šifra '.$slogZaUnos['oznakaStavke'].' je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Šifra '.$slogZaUnos['oznakaStavke'].' je  uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_vrste_placa" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Vrsta šifarnika:
<input type="text" size="6" name="vrstaSifrarnika" value="<?php echo $slogZaUnos['vrstaSifrarnika']; ?>" required />  
 <span class="greska"><?php // echo $oznakeGreske['vrstaSifrarnika']; ?> </span>  	
Oznaka šifarnika:
<input type="text" size="6" name="oznakaBrojSifrarnika" value="<?php echo $slogZaUnos['oznakaBrojSifrarnika']; ?>" required />  
Naziv šifarnika:
<input type="text" class="text_width_50em" name="nazivSifrarnika" value="<?php echo $slogZaUnos['nazivSifrarnika']; ?>" required /> 

<p>
Šifra:
<input type="text" size="6" name="oznakaStavke" value="<?php echo $slogZaUnos['oznakaStavke']; ?>" required />  
Naziv:
<!--<input type="text" class="text_width_50em" name="nazivStavke" value="<?php echo $slogZaUnos['nazivStavke']; ?>" required />--> 
<textarea name="nazivStavke" rows="2" cols="80" class="bezMCE" required ><?php echo $slogZaUnos['nazivStavke']; ?> </textarea>
</p>
<br>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>


</form>

<?php
// include './dokumenti/view_pregled_vrste_placa.php';
?>