<?php
include_once 'model/tablica_db.php';
include_once 'model/opcine_db.php';

$tipka='Prihvat';
$tablica='opcine';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['kodOpcine'] = '&nbsp;';   
$oznakeGreske['stopaPrireza'] = '&nbsp;';   
$oznakeGreske['vrijediOd'] = '&nbsp;';   
// $oznakeGreske['vrijediDo'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_opcina.php';
$povratakIzPregleda='izabrano_je_opcine';
  
$dokument = 'Općine-gradovi prirezi';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda ) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['kodOpcine']=$_REQUEST['kodOpcine'];
    $kodOpcine = $_REQUEST['kodOpcine'];
    $slogZaUnos['vrijediOd']=$_REQUEST['vrijediOd'];
    if($greska == '') {
        // $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
        $slogIzBaze = get_jedan_prirez($slogZaUnos['kodOpcine'], $slogZaUnos['vrijediOd']);
    }    
}    

// za datume na nam ne treba vrijeme
$datumBezVremena=true;

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu    
    
     if ( strlen($slogZaUnos['kodOpcine']) != 5 || !is_int(intval($slogZaUnos['kodOpcine'])) ) {
        $greska.='Kod općine mora biti imati 5 brojčanih znamenki(s vodećim nulama npr. 00380), a prema šifrarniku općina za JOPPD !. &nbsp;';
        $oznakeGreske['kodOpcine'] = '*';                
     }          

     if (substr($slogZaUnos['kodOpcine'],0,1) !='0' && $opSaDok!='Brisanje')    {     
       $greska.='Kod općine-grada mora početi s najmanje jednom nulom(prema JOPPD obrascu !';
       $oznakeGreske['kodOpcine'] = '*';             
     }   
// kontrola koda općine    
    if($slogZaUnos['stopaPrireza']>=100) {
        $greska.='Stopa ne može biti veća ili jednaka 100%!';
        $oznakeGreske['stopaPrireza'] = '*';   
    }
    if(trim($slogZaUnos['IBAN'])!='') {
        if(!is_valid_IBAN($slogZaUnos['IBAN'])) {
            $greska .= ' Neispravan IBAN !';   
        }
    }
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        /*
        $greskaDatum = usporedi_datume($slogZaUnos['vrijediOd'],$slogZaUnos['vrijediDo'], 'Vrijedi od', 'Vrijedi do', 'ovisni',true);
        if (isset($greskaDatum)) {
            $greska .= $greskaDatum;  
            $oznakeGreske['vrijediOd'] = '*';   
            $oznakeGreske['vrijediDo'] = '*';   
        } 
         */
        $greskaDatum = is_valid_datum($slogZaUnos['vrijediOd']);
        if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
            if ($buduciDatum !== 0) { 
                $greska .= ' Vrijedi od:'.$greskaDatum;  
                $oznakeGreske['vrijediOd'] = '*';
            }
        } 
        
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                // add_slog_tablice($tablica, $slogZaUnos);
                add_opcine($slogZaUnos);
                $greska='Slog "'.$slogZaUnos['kodOpcine'].'" je uspješno upisan';
                break;
            case 'Izmjena':
                 // update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $stariKljuc['kodOpcine']=$_REQUEST['kodOpcine_st'];
                $stariKljuc['vrijediOd']=$_REQUEST['vrijediOd_st'];
                update_opcine($slogZaUnos, $stariKljuc);
                $greska='Slog "'.$slogZaUnos['kodOpcine'].'" je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                // delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                delete_opcine($slogZaUnos['kodOpcine'], $slogZaUnos['vrijediOd']);
                $greska='Slog "'.$slogZaUnos['kodOpcine'].'" je uspješno obrisan';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_opcine">
<input type="hidden" name="action" value="view_opcine" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?>
       <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Ova tabela služi za evidenciju
             općina-gradova(općina prebivališta radnika ili općina mjesta rada)
             i iznosa prireza i datuma od kada prirez vrijedi.
             Primjer: grad Čakovec mjenja od 1.1.2021 stopu prireza s 10% na 0 %
                  Unese se novi slog sa šifrom grada-općine, Podaci vrijede od: 01.01.2021 i
                  Stpoa prireza: 0,
                  Nova stopa od 0 % počet če se primjenjivati od plaće za 12 mjesec 2020
                  pa nadalje.
             Slični postupak bi bi npr.kod promjene IBAN-a.     
             ili ako općina postane grad.   
             Tekući prirez po općini služi za obračun plaće, a eventualno postojeći prirezi
             u prošlosti se mogu također vidjeti.
             Zato se kod prikaza,izmjena i brisanja prireza(ako nije kliknuto iz pregleda) mora  
             ukucati kod općine i datum(Podaci vrijede od:) što je podebljano.
             Kod ispisa virmana za porez i prirez po plaći iz ove tabele se uzima IBAN 
             općine-grada, a iz tabele Doprinosi-porezi uzimaju se odgovarajući pozivi na broj.
 " /> &nbsp; &nbsp; &nbsp;    
         </h1>  
           &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>

<b>Kod općine</b>(p): &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
<input type="text" size="5" name="kodOpcine" value="<?php echo $slogZaUnos['kodOpcine']; ?>" required />  
 <span class="greska"><?php echo $oznakeGreske['kodOpcine']; ?> </span>  
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Za kod općine koristi se propisani kod općine kod JOPPD obrasca.
       To je brojčani kod duljine 5 znamenki, s tim da se obavezno popunjavaju vodeće nule. npr. 00380.
       Ovo polje je pretražno za operaciju Pregled. npr. Ako se ukuca pod Kod općine(p): 00001 
       i odabere se pod Operacije: Pregled i odabere se pod 
       Pregled općina-gradova, prireza   Pregled: radnika po općinama-gradovima ,
       nakon klika na Prihvat prikazat će se svi radnici koji imaju tu općinu prebivališta
 " /> &nbsp; &nbsp; &nbsp;
Naziv općine-grada: &nbsp; &nbsp; &nbsp;
<input type="text" class="text_width_30em" name="nazivOpcine" value="<?php echo $slogZaUnos['nazivOpcine']; ?>" />  
<!-- do:
<input type="text" size="8" name="vrijediDo" value="<?php // echo $slogZaUnos['vrijediDo']; ?>" required pattern="<?php // echo $patternDatum ?>"  />  
 <span class="greska"><?php // echo $oznakeGreske['vrijediDo']; ?> </span> &nbsp   -->
<p></p>

Stopa prireza(%):
<input type="text" class="text_width_5em" name="stopaPrireza" value="<?php echo $slogZaUnos['stopaPrireza']; ?>" 
       required pattern="[0-9]*[.,]?[0-9]{1,5}"/>   &nbsp;
<b>Podaci vrijede od(dd.mm.gggg):</b>
<input type="text" size="8" name="vrijediOd" value="<?php echo $slogZaUnos['vrijediOd']; ?>" required pattern="<?php echo $patternDatum ?>"  />  
 <span class="greska"><?php echo $oznakeGreske['vrijediOd']; ?> </span> &nbsp 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Datum od kojeg vrijede podaci (dd.mm.gggg).
Ako općina-grad prestanje postojati datum se stavi u budućnost npr. 01.01.2100       
 Ovo se odnosi uglavnom na promjene u slučaju prireza ili promjena IBAN ili općina prelazi u grad...
      " /> &nbsp; &nbsp; &nbsp; 
 
 
 
 
Općina ili grad:
      <select name="opcinaIliGrad">
         <option value="opcina" <?php if($slogZaUnos['opcinaIliGrad'] == 'opcina') echo 'selected="selected"'; ?> >Općina</option>
         <option value="grad" <?php if($slogZaUnos['opcinaIliGrad'] == 'grad') echo 'selected="selected"'; ?> >Grad</option>     
       </select>  &nbsp; &nbsp; &nbsp;
IBAN:
<input type="text" class="text_width_20em" name="IBAN" value="<?php echo $slogZaUnos['IBAN']; ?>" 
       required />  
<br><br>
<input type="hidden" name="kodOpcine_st" value="<?php echo $slogZaUnos['kodOpcine']; ?>" />  
<input type="hidden" name="vrijediOd_st" value="<?php echo $slogZaUnos['vrijediOd']; ?>" />  

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>
<br>
<?php
  include './dokumenti/view_pregled_opcina.php';
?>
</form>
<?php
poljaKljucaUjs($poljaKljuca);
?>

