<?php

include_once 'model/tablica_db.php';
include_once './model/osobni_odbici_db.php';

$tipka='Prihvat';
$tablica='osobni_odbici';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

//oznakeGreske['kojaVrsta'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_osobni_odbici.php';
$povratakIzPregleda='izabran_je_osobni_odbitak';
  
$dokument = 'Osobni Odbici';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaOsobnogOdbitka']=$_REQUEST['vrstaOsobnogOdbitka'];
    $slogZaUnos['kojaVrsta']=$_REQUEST['kojaVrsta'];
    if($greska == '')
        $slogIzBaze = get_osobniOdbitak ($slogZaUnos['vrstaOsobnogOdbitka'], $slogZaUnos['kojaVrsta']);
        //$slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                //add_slog_tablice($tablica, $slogZaUnos);
                add_osobni_odbici($slogZaUnos);
                $greska='Osobni odbitak "'.$slogZaUnos['vrstaOsobnogOdbitka'].'/'.$slogZaUnos['kojaVrsta'].'" je uspješno upisan';
                break;
            case 'Izmjena':
                //update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                update_osobni_odbici($slogZaUnos);
                $greska='Osobni odbitak "'.$slogZaUnos['vrstaOsobnogOdbitka'].'/'.$slogZaUnos['kojaVrsta'].'" je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                //delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                delete_osobni_odbici($slogZaUnos);
                $greska='Osobni odbitak "'.$slogZaUnos['vrstaOsobnogOdbitka'].'/'.$slogZaUnos['kojaVrsta'].'" je uspješno obrisan. ';
                break;
        } 
    }
}

include 'view/header.php'; 
$kojaVrstaTekst='Broj djece, uzdržavamih članova ili postotak invalidnosti;';
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_osobni_odbici" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>

Vrsta osobnog odbitka:
<select name="vrstaOsobnogOdbitka" id="vrstaOsobnogOdbitka">
    <option value="osnoOd" <?php if($slogZaUnos['vrstaOsobnogOdbitka']=='osnoOd') echo 'selected="selected"';?> >osnovni odbitak</option>
    <option value="zaDjec" <?php if($slogZaUnos['vrstaOsobnogOdbitka']=='zaDjec') echo 'selected="selected"';?> >za djecu</option>
    <option value="zaUzdr" <?php if($slogZaUnos['vrstaOsobnogOdbitka']=='zaUzdr') echo 'selected="selected"';?> >za uzdržavane članove obitelji</option>
    <option value="zaInva" <?php if($slogZaUnos['vrstaOsobnogOdbitka']=='zaInva') echo 'selected="selected"';?> >za invaliditet</option>
</select>  &nbsp; &nbsp
<span id="kojaVrstaTekst"> <?php echo $kojaVrstaTekst ?> </span>
<input type="text" name="kojaVrsta" value="<?php echo $slogZaUnos['kojaVrsta'] ?>" size="3" required="" pattern="[0-9]*"/>
<br>
Naziv:
<input type="text" name="nazivOdbitka" class="text_width_30em"value="<?php echo $slogZaUnos['nazivOdbitka'] ?>" required=""/> &nbsp; &nbsp
Koeficijent:
<input type="text" name="koeficijent" value="<?php echo $slogZaUnos['koeficijent'] ?>" class="text_width_5em" required="" pattern="<?php echo $pCijena2Decimale?>"/>
&nbsp; &nbsp
Osnovica:
<input type="text" name="osnovicaOsobnogOdbitka" value="<?php echo $slogZaUnos['osnovicaOsobnogOdbitka'] ?>" class="text_width_5em" required="" pattern="<?php echo $pCijena2Decimale?>"/>
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>

<?php
// poljaKjucaUjs($poljaKljuca);
postaviKjucPoTablici($tablica);
include './dokumenti/view_pregled_osobni_odbici.php';
?>