<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='vrste_primitaka_place';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['vrstaPrimitka'] = '&nbsp;';   
$oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_vrste_primitaka_place.php';
$povratakIzPregleda='izabrana_je_vrste_primitaka_place';
  
$dokument = 'Vrste primitaka za plaću';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaPrimitka']=$_REQUEST['vrstaPrimitka'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>
<style>
    #page {
        margin: 0; 
        width: auto;
    }
</style>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_vrste_primitaka_place" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Vrsta primitka:
<input type="text" size="6" name="vrstaPrimitka" value="<?php echo $slogZaUnos['vrstaPrimitka']; ?>" required />  
 <span class="greska"><?php echo $oznakeGreske['vrstaPrimitka']; ?> </span>  	
Naziv vrste primitka:
<input type="text" class="text_width_50em" name="nazivPrimitka" value="<?php echo $slogZaUnos['nazivPrimitka']; ?>" required />
Šifa primitka (za virmane):
<input type="text" size="3" name="sifraPrimitkaZaVirman" value="<?php echo $slogZaUnos['sifraPrimitkaZaVirman']; ?>" required />
Zaštićeno od ovrhe:
      <select name="zasticenoOdOvrhe">
         <option value="DA" <?php if($slogZaUnos['zasticenoOdOvrhe'] == 'DA') echo 'selected="selected"'; ?> >Da</option>
         <option value="NE" <?php if($slogZaUnos['zasticenoOdOvrhe'] == 'NE') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;
<p></p>
Oporezivo: &nbsp; &nbsp;&nbsp;
      <select name="oporezivPrimitak">
         <option value="D" <?php if($slogZaUnos['oporezivPrimitak'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['oporezivPrimitak'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp; &nbsp;
Nazočnost na poslu:
      <select name="nazocnostNaPoslu">
         <option value="D" <?php if($slogZaUnos['nazocnostNaPoslu'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['nazocnostNaPoslu'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;
Koristi se:
      <select name="aplikacija">
         <option value="" <?php if($slogZaUnos['aplikacija'] == '') echo 'selected="selected"'; ?> >u OD i evidenciji RV</option>
         <option value="OD" <?php if($slogZaUnos['aplikacija'] == 'OD') echo 'selected="selected"'; ?> >u osobnim dohotcima</option>
         <option value="RV" <?php if($slogZaUnos['aplikacija'] == 'RV') echo 'selected="selected"'; ?> >u evidenciji radnog vremena</option>
       </select>  &nbsp; &nbsp;
Na plaćama se unosi:
      <select name="unosiSe">
         <option value="satnica" <?php if($slogZaUnos['unosiSe'] == 'satnica') echo 'selected="selected"'; ?> >satnica</option>
         <option value="iznos" <?php if($slogZaUnos['unosiSe'] == 'iznos') echo 'selected="selected"'; ?> >iznos</option>
      <!--   <option value="iznosNula" <?php if($slogZaUnos['unosiSe'] == 'iznosNula') echo 'selected="selected"'; ?> >iznos nula</option> -->
         <option value="posto" <?php if($slogZaUnos['unosiSe'] == 'posto') echo 'selected="selected"'; ?> >posto</option>
         <option value="iznosPosto" <?php if($slogZaUnos['unosiSe'] == 'iznosPosto') echo 'selected="selected"'; ?> >iznos i posto</option>
         <option value="sve" <?php if($slogZaUnos['unosiSe'] == 'sve') echo 'selected="selected"'; ?> >sve</option>
       </select>  &nbsp; &nbsp;
       <p></p>
% od prosječne ili osnovne satnice za bolovanja, prekovremeni rad ...:
<input type="text" class="text_width_2em" name="postoKorekcijeSatnice" value="<?php echo $slogZaUnos['postoKorekcijeSatnice']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Nova satnica je npr 70 % prosječne ili 150 % trenutne ... 
Npr. bolovanje 70, 
prekovremeni 150  
Ako se satnica ne mjenja, puni se nulom (0)
" /> &nbsp; &nbsp;  
Broj mjeseci unatrag za koje se uzima prosječna satnica:
<input type="text" class="text_width_2em" name="prosjekMjeseci" value="<?php echo $slogZaUnos['prosjekMjeseci']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Npr. za godišnji odmor 3
za bolovanja 6
" /> &nbsp; &nbsp;  
<p>
Min.HZZO naknada:
<input type="text" class="text_width_4em" name="minHZZOnaknada" value="<?php echo $slogZaUnos['minHZZOnaknada']; ?>" />  &nbsp;        
Maks.HZZO naknada:
<input type="text" class="text_width_4em" name="maxHZZOnaknada" value="<?php echo $slogZaUnos['maxHZZOnaknada']; ?>" />     
Na teret:
      <select name="naTeret">
         <option value="" <?php if($slogZaUnos['naTeret'] == '') echo 'selected="selected"'; ?> >poslodavca</option>
         <option value="HZZO" <?php if($slogZaUnos['naTeret'] == 'HZZO') echo 'selected="selected"'; ?> >plaća poslodavac,refundira HZZO</option>
         <option value="HZZOsve" <?php if($slogZaUnos['naTeret'] == 'HZZOsve') echo 'selected="selected"'; ?> >HZZO sve plaća,poslodavac ne plaća</option>
         <option value="RH" <?php if($slogZaUnos['naTeret'] == 'RH') echo 'selected="selected"'; ?> >RH</option>
       </select>  &nbsp; &nbsp;
JOPPD oznaka stjecatelja/osiguranika(6.1):
<input type="text" class="text_width_3em" name="JOPPDoznakaStjecatelja" value="<?php echo $slogZaUnos['JOPPDoznakaStjecatelja']; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"JOPPD Šifarnik 2 Stjecatelj primitka/osiguranik" /> &nbsp; &nbsp;       
JOPPD oznaka primitka 6.2):
<input type="text" class="text_width_3em" name="JOPPDoznakaPrimitka" value="<?php echo $slogZaUnos['JOPPDoznakaPrimitka']; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"JOPPD Šifarnik 3 Primici/ obveze doprinosa" /> &nbsp; &nbsp;     
JOPPD oznaka neoporezivog primitka(15.1):
<input type="text" class="text_width_3em" name="JOPPDoznaka" value="<?php echo $slogZaUnos['JOPPDoznaka']; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Popunjava se za HZZO bolovanja, prijevoz,božičnicu...(neoporezivi primici)
" /> &nbsp; &nbsp;  


<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>
<?php
poljaKljucaUjs($poljaKljuca);

include './dokumenti/view_pregled_vrste_primitaka_place.php';
?>