set @DVOOd = '2014-01-01 00:00:00.00', @DVODo='2015-12-31 23:59:59.00', @kodPartnera='', @vrsteDokumenata='',
    @proda='201', @kodRobe='50-507', @vrstaProdaje='', @sort='poCijeni', @vrstaCijene='sPDV';
/*
select 
vrstaProdaje,
if(datumInventure='0000-00-00 00:00:00' or datumInventure is null, concat(year(now()),'-01-01 00:00:00'), datumInventure) as DVO,
'0' as vrsDo, 'Inventura' as nazivDokumenta, 
brojInvStavke as broDo,
st.kodRobe,  
if(@vrstaCijene='bezPDV', st.cijena, st.cijena*(1+p.PDV/100)) as cijena,
kolicinaInventure as ulaz,
0 as izlaz,
'' as rabatPopust, '' as absRabatPopust, '' as casasSconto, '' as absCasasSconto,
'' as marza, '' as absMarza,
'' as kodPartnera, 
'' as nazivPartnera,
if(@sort='poCijeni', st.cijena, 0) as cijenaSort
from stanja as st
left outer join maticna_robe as m on m.`kodRobe`=st.`kodRobe`
left outer join porezi as p on p.poreznaGrupa=m.`poreznaGrupa`
where proda=@proda 
 and st.kodRobe=@kodRobe
 and (@vrstaProdaje='' or vrstaProdaje=@vrstaProdaje)
 and `kolicinaInventure` <>0 

union all
*/

select vrstaProdaje, z.DVO, z.vrsDo, trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
z.zapis, z.proIn, z.verzi,
z.broDo, s.kodRobe, 
if(@vrstaCijene='bezPDV', s.cijena, s.cijena*(1+s.PDV/100)) as cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, z.`casasSconto`, z.`absCasasSconto`,
s.marza, s.absMarza,
z.kodPartnera, 
part.nazivPartnera,
if(@sort='poCijeni', s.cijena, 0) as cijenaSort
from dok_stavke as s
left outer join dok_zag as z 
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
where z.proda=@proda 
and z.DVO between @DVOOd and @DVODo
and (@vrstaProdaje='' or vrstaProdaje=@vrstaProdaje)
and kodRobe=@kodRobe
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 
and (vd.azurStanja=@vrsteDokumenata or trim(@vrsteDokumenata)='')
and vd.azurStanja<>0
order by vrstaProdaje, cijenaSort, DVO, vrsDo

