set @DVOOd = '2013-01-01 00:00:00.00', @DVODo='2015-12-31 23:59:59.00', @kodPartnera='', --'85933', -- '85539',
    @kodRobe='', --'0312018', -- 50ECO', 
    --@kodRobe='K-3000', --'0312018', -- 50ECO', 
    @vrstaProdaje='', @sort='poCijeni', @vrstaCijene='poCijeni', @samoInventura='Da';

select  kodPartnera, nazivPartnera, kodGrupe, kodRobe, vrstaProdaje, cijena, sum(ulaz) as ulaz, sum(izlaz) as izlaz, 
max( if(kolicinaInventure<>0,kolicinaInventure,0)) as kolicinaInventure,
max( if(brojInvStavke>0, brojInvStavke,0)) as brojInvStavke
from ( 
select  
if(trim(k.partner)='',  
    -- ako nema ulaza u K1 ili K2: @kodRobe<>kodRobe or @vrstaProdaje<>vrstaProdaje
    if(@pomKodRobe<>k.kodRobe or @pomVrstaProdaje<>k.vrstaProdaje, 
        @pomKodPartnera:='', 
        @pomKodPartnera), 
-- else za if(trim(partner)=''
    @pomKodPartnera:=k.partner) as kodPartnera, 
if(@pomKodPartnera='', @nazivPartnera:='Y ROBA BEZ ULAZNIH ZAPISNIKA I BEZ INVENTURNIH STANJA NA KONSIGNACIJI', 
    if(trim(k.partner)='',@nazivPartnera,@nazivPartnera:=nazivP)) as nazivPartnera,
k.*, @pomKodRobe:=k.kodRobe, @pomVrstaProdaje:=k.vrstaProdaje
from (
select 
st.kodPartnera as Partner, m.kodGrupe, st.kodRobe, vrstaProdaje, datumInventure as DVO, '' as proda,'0' as vrsDo, 'Inventura' as nazivDokumenta, brojInvStavke as broDo,
if(@vrstaCijene='bezPDV', st.cijena, st.cijena*(1+p.PDV/100)) as cijena,
kolicinaInventure as ulaz, 0 as izlaz,'' as rabatPopust, '' as absRabatPopust, '' as casasSconto, '' as absCasasSconto,'' as marza, '' as absMarza,
nazivPartnera as nazivP,
if(@sort='poCijeni', st.cijena, 0) as cijenaSort, 'i' as tip,
if(@samoInventura='Da', brojInvStavke, 0) as sortInventura, 
st.cijena as cijena1, 
kolicinaInventure,
brojInvStavke

from kons_stanja as st
join maticna_robe as m on m.`kodRobe`=st.`kodRobe`
join porezi as p on p.poreznaGrupa=m.`poreznaGrupa`
join partner as part on part.`kodPartnera`=st.`kodPartnera`
where (st.kodPartnera=@kodPartnera or trim(@kodPartnera)='')
 and (st.kodRobe=@kodRobe or trim(@kodRobe)='')
 and (@vrstaProdaje='' or vrstaProdaje=@vrstaProdaje)
 and `kolicinaInventure` <>0 

union all

select 
if(s.zapis in ('K1', 'K2'), z.kodPartnera, '') as partner,
m.kodGrupe,
s.kodRobe , 
s.vrstaProdaje, 
z.DVO, 
z.proda, 
z.vrsDo, 
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
if(trim(z.verzi)='',z.broDo,concat(z.broDo,'/',z.verzi)) as broDo, 
if(@vrstaCijene='bezPDV', s.cijena, s.cijena*(1+s.PDV/100)) as cijena, 
if(z.vrsDo='1' or z.vrsDo='2' or z.vrsdo='3', s.kolicina, 0) as ulaz,
if(z.vrsDo='5' or z.vrsDo='6' or z.vrsdo='7' or z.vrsDo= '8', s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, z.`casasSconto`, z.`absCasasSconto`,
s.marza, s.absMarza,
nazivPartnera as NazivP,  
if(@sort='poCijeni', s.cijena, 0) as cijenaSort, 'p' as tip,
0 as sortInventura, 
s.cijena as cijena1,
0 as kolicinaInventure,
0 as brojInvStavke

from dok_stavke as s
join dok_zag as z 
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as m on m.`kodRobe`=s.`kodRobe`
where (s.kodRobe=@kodRobe or trim(@kodRobe)='')
and trim(s.vrstaProdaje)<>'0'
and (@vrstaProdaje='' or s.vrstaProdaje=@vrstaProdaje)
and z.DVO <= @DVODo
and vd.azurStanja<>0
order by kodRobe, vrstaProdaje, tip, Partner desc, cijenaSort, DVO, vrsDo
) as k
inner join (select @pomKodPartnera:='', @pomKodRobe:='', @pomVrstaProdaje:='', @nazivPartnera:='') as pp
order by nazivPartnera, sortInventura, kodRobe, vrstaProdaje, cijenaSort, DVO, vrsDo
) as kk
where (kodPartnera=@kodPartnera or trim(@kodPartnera)='')
group by kodPartnera,  kodRobe, vrstaProdaje, cijena
order by nazivPartnera, sortInventura, kodGrupe, kodRobe, vrstaProdaje, cijenaSort
;
