/* npr. maticna_robe se skopira u maticna_robe_org

SELECT kodRobe,LOCATE('_', kodRobe) 
FROM maticna_robe 
WHERE locate('_',kodRobe)>0; 

*/
update  maticna_robe m
INNER JOIN (
                SELECT DISTINCT kodRobe FROM stanja 
                WHERE proda = '2302' and vrstaProdaje = 'S' and stanje <> 0
            ) AS pom
ON m.kodRobe = pom.kodRobe
SET m.kodRobe = CONCAT(trim(pom.kodRobe), '_'),
    proOzRobe = CONCAT(trim(pom.kodRobe), '_'),    
    cijena = cijena * 0.9;
/* sada su nestali kodovi robe bez _   treba ih vratiti iz maticna_robe_org */
INSERT INTO maticna_robe
/*  dodavanje iz maticna_robe_org u maticna_robe svih kojih nema u maticna_robe */                                            
SELECT t.* FROM maticna_robe_org t
LEFT JOIN maticna_robe a on a.kodRobe=t.kodRobe
WHERE a.kodRobe is NULL;


update stanja
SET kodRobe = CONCAT(trim(kodRobe), '_')
WHERE vrstaProdaje = 'S' and stanje <> 0 and proda = '2302';

update dok_stavke 
SET kodRobe = CONCAT(trim(kodRobe), '_')
WHERE vrstaProdaje = 'S' and proda = '2302' and vrsDo = '3' and zapis = 'RT';   

