set @DVOOd = '2015-01-01 00:00:00.00', @DVODo='2015-12-31 23:59:59.00', 
    @proda='0', @kodRobe='', @vrstaProdaje='', @vrstaIspisa='1', @kodGrupe='', @vrsDo= '5,6,7,8',
    @kodPartnera='', @vrstaProdaje='', @vrstaPoslovnice='', @robaUsluga='R', @poPartneru='', @dioNazivaRobe='%%',
    @refProd='', @poRefProd='', @ukljucenPDV='Da',@zapis='', @brojnarudzbe='', @stanjaOperator='', @stanje=0,@poNarudzbi='Ne';


select 
if(@kakoIspisuje='skupno', '0', z.proda) as proda,
r.kodGrupe as kodGrupe,
rg.nazivGrupe, 
if(@poPartneru='1', z.kodPartnera, '') as partner,
if(@poPartneru='1', part.nazivPartnera, '') as nazivPartnera,
if(@poNarudzbi='Da' and trim(@kodPartnera)<>'',
    if(trim(z.brojNarudzbe)='','ZZZZ', z.brojNarudzbe), '') as narudzba,
if(@poRefProd='1', z.refProd, '') as prodavac,
if(@vrstaIspisa<>'2', s.kodRobe, r.kodGrupe) as roba,
if(@vrstaIspisa<>'2', s.vrstaProdaje, '') as vrstaProdaje,
case @vrstaIspisa
    when '0' then  round(sum(s.cijena* abs(s.kolicina))/sum(abs(s.kolicina)),3)
    when '1' then s.cijena
    else 0
end 
* if(@ukljucenPDV='Da',(1+PDV/100),1) as cijena,
if(@vrstaIspisa<>'2', r.nazivRobe, rg.NazivGrupe) as naziv, 

sum(s.kolicina) as kolicina,
sum(round(s.cijena*s.kolicina*if(@ukljucenPDV='Da',(1+PDV/100),1),2)) as iznos,
sum(round(if(`absRabatPopust`<>'A',
    racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1))*if(@ukljucenPDV='Da',(1+PDV/100),1),2) 
) as popust,
sum(round((s.cijena*s.kolicina - if(`absRabatPopust`<>'A',racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1)))*z.casasSconto/100 * if(@ukljucenPDV='Da',(1+PDV/100),1), 2)) as casasSconto,
count(s.`brojStavke`) as brojStavaka,
null as stanje
from dok_stavke as s
join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join poslovnice as p on p.kodPoslovnice=z.proda
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as r on s.kodRobe=r.kodRobe
join robne_grupe as rg on rg.kodGrupe=r.kodGrupe

where (FIND_IN_SET(trim(z.proda), @proda) or trim(@proda)='' or trim(@proda)='0')
and z.DVO between @DVOOd and @DVODo
and (s.kodRobe=@kodRobe or trim(@kodRobe)='')
and (FIND_IN_SET(trim(r.kodGrupe), @kodGrupe) or trim(@kodGrupe)='')
and FIND_IN_SET(trim(z.vrsDo), @vrsDo)
and (z.zapis=@zapis or trim(@zapis)='')
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 
and (s.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (p.vrstaPoslovnice=@vrstaPoslovnice or trim(@vrstaPoslovnice)='')
and (r.robaUsluga=@robaUsluga or trim(@robaUsluga)='')
and (r.nazivRobe LIKE @dioNazivaRobe or trim(@dioNazivaRobe)='')
and (z.refProd=@refProd or trim(@refProd)='') 
and (z.brojNarudzbe=@brojNarudzbe or trim(@brojNarudzbe)='') 
and vd.tipDokumenta='R'
group by
proda,
narudzba,
kodGrupe,
rg.NazivGrupe,
partner,
prodavac,
naziv,
roba,
vrstaProdaje,
case @vrstaIspisa
    when '1' then s.cijena
    else 0
end 

UNION ALL
select 
if(@kakoIspisuje='skupno', '0', st.proda) as proda,
r.kodGrupe as kodGrupe,
rg.nazivGrupe, 
'' as partner,
'' as nazivPartnera,
'' as narudzba,
'' as prodavac,
r.kodrobe as roba,
st.vrstaProdaje,
r.cijena * if(@ukljucenPDV='Da',(1+po.PDV)/100,1) as cijena,
r.nazivRobe as naziv, 

0 as kolicina,
0 as iznos,
0 as popust,
0 as casasSconto,
0 as brojStavaka,
sum(st.stanje) as  stanje
from stanja as st
join poslovnice as p on p.kodPoslovnice=st.proda
join maticna_robe as r on r.kodRobe=st.kodRobe
join robne_grupe as rg on rg.kodGrupe=r.kodGrupe
left outer join porezi as po on po.poreznaGrupa=r.poreznaGrupa

where (FIND_IN_SET(trim(st.proda), @proda) or trim(@proda)='' or trim(@proda)='0')
and (st.kodRobe=@kodRobe or trim(@kodRobe)='')
and (FIND_IN_SET(trim(r.kodGrupe), @kodGrupe) or trim(@kodGrupe)='')
and (st.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (p.vrstaPoslovnice=@vrstaPoslovnice or trim(@vrstaPoslovnice)='')
and (r.robaUsluga=@robaUsluga or trim(@robaUsluga)='' or r.robaUsluga is null)
and (r.nazivRobe LIKE @dioNazivaRobe or trim(@dioNazivaRobe)='' or r.nazivRobe is null)

group by
proda,
roba,
vrstaProdaje
having (@stanjaOperator=''
     or @stanjaOperator='>' and sum(st.stanje>@stanje)
     or @stanjaOperator='=' and sum(st.stanje=@stanje)
     or @stanjaOperator='<' and sum(st.stanje<@stanje)
     or @stanjaOperator='<>' and sum(st.stanje<>@stanje)
)


order by
proda,
narudzba,
kodGrupe,
roba,
vrstaProdaje,
-- ako je brojStavaka 0 slog je iz stanja i dolazi prvi 
case brojStavaka
    when 0 then 0
    else 1
end,
case @vrstaIspisa
    when '1' then cijena
    else 0
end 


;