-- set @datumInv='2013-04-01 00:00:00';
set @DVOdo='2013-09-27 00:00:00';
set @proda='202';
/*
upisuje onu robu iz prometne koje nema u stanjima
*/
insert into pomocna_stanja
 (proda, pomocna_stanja.`kodRobe`, `vrstaProdaje`, pomocna_stanja.cijena, stanje, `datumOtvaranja`, `tkoJeIzmjenio` )
select proda, s.kodrobe, `vrstaProdaje`, s.cijena , 0 as stanje, now(), 'rekonstrukcija1'
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
inner join poslovnice as p on p.`kodPoslovnice`=s.`proda`
-- left outer join maticna_robe as m on m.kodrobe=s.`kodRobe`
where (v.`tipDokumenta` ='R' and s.`DVO`>=p.`datumInventure` and s.DVO <=@DVOdo and s.proda = @proda)
-- and m.robaUsluga='R'
and s.kodrobe not in
    (
        select st.`kodRobe`
        from pomocna_stanja as st
        where st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.`vrstaProdaje`=s.`vrstaProdaje` and st.cijena=s.cijena
    )
group by proda, s.kodrobe, `vrstaProdaje`, s.cijena
-- group by ?
;

-- postavlja sva pomocna_stanja na 0
update pomocna_stanja
set stanje=0 
;

update pomocna_stanja as st
left outer join
(
select 
    s.proda, 
    s.kodrobe, 
    s.vrstaProdaje, 
    s.cijena, 
    ifnull(sum(ifnull(s.kolicina * v.`azurStanja`,0)),0) as stanje
from dok_stavke as s
left outer join vrste_dokumenata as v on v.vrsDo=s.vrsDo
inner join poslovnice as p on s.proda=p.kodPoslovnice  
where v.`tipDokumenta` ='R'
      and s.proda = @proda
      and s.DVO >= p.datumInventure and s.DVO <= @DVOdo
group by s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
)
as s2 
on s2.proda=st.proda and s2.kodRobe=st.kodRobe and s2.vrstaProdaje=st.vrstaProdaje and s2.cijena=st.cijena
set st.stanje= ifnull(s2.stanje,0) + ifnull(kolicinaInventure,0),
    st.datumIzmjene=now(),
    st.tkoJeIzmjenio='rekonstrukcija' 
;


