-- set @datumInv='2013-04-01 00:00:00';

-- START TRANSACTION;
/*
upisuje onu robu iz prometne koje nema u stanjima
*/
insert into stanja
 (proda, stanja.`kodRobe`, `vrstaProdaje`, stanja.cijena, stanje, `datumOtvaranja`, `tkoJeIzmjenio` )
select proda, s.kodrobe, `vrstaProdaje`, s.cijena , 0 as stanje, now(), 'rekonstrukcija'
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
inner join poslovnice as p on p.`kodPoslovnice`=s.`proda`
-- left outer join maticna_robe as m on m.kodrobe=s.`kodRobe`
where (v.`tipDokumenta` ='R' and s.`DVO`>=p.`datumInventure`)
-- and m.robaUsluga='R'
and s.kodrobe not in
    (
        select st.`kodRobe`
        from stanja as st
        where st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.`vrstaProdaje`=s.`vrstaProdaje` and st.cijena=s.cijena
    )
group by proda, s.kodrobe, `vrstaProdaje`, s.cijena
-- group by ?
;

-- postavlja sva stanja na 0
update stanja
set stanje=0 
;

update stanja as st
left outer join
(
select 
    st.proda, 
    st.kodrobe, 
    st.vrstaProdaje, 
    st.cijena, 
    ifnull(sum(ifnull(s.kolicina * v.`azurStanja`,0)),0) as stanje
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
--  left outer join dok_zag as z 
--  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
--  and z.zapis=s.zapis and z.`broDo`=s.`broDo`
-- left outer join maticna_robe as m on m.kodrobe=s.`kodRobe`
inner join stanja as st
 on st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.`vrstaProdaje`=s.`vrstaProdaje` and st.cijena=s.cijena
inner join poslovnice as p on s.proda=p.kodPoslovnice  
where v.`tipDokumenta` ='R'
-- and m.`robaUsluga`='R'
and (s.`DVO`>= st.`datumInventure` and st.datumInventure>'0000-00-00 00:00:00' 
  or ((st.datumInventure='0000-00-00 00:00:00' or st.datumInventure is null) 
and s.`DVO`>=p.datumInventure
))
group by st.proda, st.kodrobe, st.`vrstaProdaje`, st.cijena
)
 as s2 on s2.proda=st.proda and s2.`kodRobe`=st.`kodRobe` and s2.`vrstaProdaje`=st.`vrstaProdaje` and s2.cijena=st.cijena

set st.stanje= ifnull(s2.stanje,0) + ifnull(kolicinaInventure,0),
    st.datumIzmjene=now(),
    st.tkoJeIzmjenio='rekonstrukcija' 
;

-- postavlja sva stanja na 0 za Panex-agm za zatvorene prodavaone 2301 2310 231 i 2300
update stanja
set stanje=0 
where proda in (2301,2310,231,2300)
;

-- postavlja sva stanja na 0 za Panex-dinamic za zatvorene poslovnice
update stanja
set stanje=0, kolicinaInventure=0 
where proda in (2021,2041,2051,2061,2071,2081,2091)
;
-- COMMIT
;
