-- briše duple u matičnoj
delete maticna_robe from maticna_robe
inner join 
(
select trim(kodRobe) as kodRobe, count(trim(kodRobe))
from maticna_robe
group by trim(kodRobe)
having count(trim(kodRobe))>1
)
 as  p on p.`kodRobe`=trim(maticna_robe.`kodRobe`)
 where maticna_robe.`kodRobe`<>ltrim(p.`kodRobe`);

drop procedure if exists korekcijaTablica;
delimiter $$
CREATE PROCEDURE korekcijaTablica()
BEGIN
declare s varchar(100);
declare sve varchar(10000) default '';
DECLARE done INT DEFAULT FALSE;
DECLARE c CURSOR FOR
select concat('update ', c.TABLE_SCHEMA, '.', c.TABLE_NAME, 
' set ', c.COLUMN_NAME,'=trim(', c.COLUMN_NAME, ');')
from information_schema.`COLUMNS` as c
where c.`COLUMN_NAME`='kodRobe' and c.TABLE_SCHEMA=DATABASE();
DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
open c;
read_loop: LOOP
    FETCH c INTO s;
    IF done THEN
        LEAVE read_loop;
    END IF;
    set @st:=s;
    PREPARE stmt1 FROM @st;
    execute stmt1;
    SET sve:=concat(sve,' ', s);
END LOOP;
select sve as 'izvrsene komande';
close c;
END $$
delimiter ;
call korekcijaTablica();
drop procedure if exists korekcijaTablica;
