<?php

include_once 'model/tablica_db.php';

$greska='';
$tipka='Prihvati';

$tablice = get_popis_tablica($db);

?>
<form action="." method="post" id="view_zag" name="view_zag"  >
<input type="hidden" name="action" value="korekcija_utf8" />
<h1>Korekcija utf8 upisa u bazi</h1>

Tablice:
<select name="tablica" >
<?php
    $lista='';
    $lista.='<option value="Sve"';
    if ('Sve' ==  $_POST['tablica']){
           $lista.=' selected="selected"';
     } 
    $lista.='>Cijela baza </option><br>';
    $i=0;
    $privremene=array();
    foreach ($tablice as $slog) {
	$privremena = strpos($slog[0], '_privr');
	if ($privremena === FALSE) {
            $lista.='<option value="'.$slog[0].'"';
            if ($slog[0] ==  $_POST['tablica']){
                   $lista.=' selected="selected"';
            } 
            $lista.='>'.$slog[0].' </option><br>';
        } 
        else {
            $privremene[]=$slog[0];
            unset($tablice[$i]);
        }
        $i++;
    }
    echo $lista;

?>
</select> &nbsp; &nbsp; &nbsp; &nbsp; 
<input type="submit" value="Brisanje privremenit tablica" name="brisanje" />

<?php postaviTipkeUnosa('Prikaz', $greska) ; ?>

</form>

<?php
if(isset($_POST['tipka'])) {
    
    $query = "SHOW TABLES LIKE 'utf8_test'";
    $statement = $db->prepare($query);
    $statement->execute();
    $utf = $statement->fetchAll();
    $statement->closeCursor();
    if(count($utf)>0) {
        echo 'Baza je već prije korigirana';
        exit();
        
    }
    
    ini_set('memory_limit', '-1');
    ini_set('max_execution_time', 0);        
    
    $username=$_SESSION['username'];
    $password = 'a83bmi';
    $dbname = $_SESSION['odabranaBaza'];

    $dbUtf=konekcijaNaBazu($username, $password, $dbname);
    if($dbUtf===false) {
        echo 'Ne mogu se povezati na bazu';
        exit();
    } 

    if($_POST['tablica']!='Sve') {
        unset($tablice);
        $tablice[0]=$_POST['tablica'];
    }
    $prepisiIBrisi=$_POST['tablica']=='Sve';

    foreach ($tablice as $tablica) {
        if(is_array($tablica))
            $t=$tablica[0];
        else
            $t=$tablica;
        echo 'Prepisujem '.$t.'<br>';
        $slogovi=prepisi_tablicu($t, $db, $dbUtf, $prepisiIBrisi);
        echo $t.',  prepisano slogova:'.count($slogovi).' <br>';
    }
    echo '<h1> $db </h1>';
    show_character_set($db);
    echo '<h1> $dbUtf </h1>';
    show_character_set($dbUtf);

    unset($dbUtf);

    if($prepisiIBrisi) {
        $baza=$_SESSION['odabranaBaza'];
        $query = "ALTER DATABASE $baza CHARACTER SET utf8 COLLATE utf8_croatian_ci";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
            $statement->closeCursor();
           
        } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
            ;
        }        

        $query = "CREATE TABLE `utf8_test` (`naziv` varchar(50), PRIMARY KEY (`naziv`))";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
            $statement->closeCursor();
           
        } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
            ;
        }        
    }
    else    
        prikaziUTablici($slogovi, $_POST['tablica'].'_privr');


}
else if(isset($_POST['brisanje'])) {
    foreach ($privremene as $privremenaTablica) {
        $query = "drop table if exists $privremenaTablica";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        echo $privremenaTablica.' je obrisana. <br>';
    }
}

function  get_popis_tablica($db) {
    $query = "SHOW TABLES";
    $statement = $db->prepare($query);
    $statement->execute();
    $tablice = $statement->fetchAll();
    $statement->closeCursor();
    return $tablice;
    
}

function  show_character_set($db) {
    $query = "SHOW VARIABLES LIKE 'character_set%'";
    $statement = $db->prepare($query);
    $statement->execute();
    $tablice = $statement->fetchAll();
    $statement->closeCursor();
    prikaziUTablici($tablice, ' ');
    
    $query = "SHOW VARIABLES LIKE 'collation%'";
    $statement = $db->prepare($query);
    $statement->execute();
    $tablice = $statement->fetchAll();
    $statement->closeCursor();
    prikaziUTablici($tablice, ' ');
}

function  prepisi_tablicu($tablica,$db,$dbUtf, $prepisiIBrisi) {
    $query = "SELECT * FROM $tablica";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $slogovi = $statement->fetchAll();
        $statement->closeCursor();
        //return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    $privremenaTablica=$tablica.'_privr';

    ///*
    $query = "SET NAMES utf8";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    //*/
    
    $query = "drop table if exists $privremenaTablica";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    $query = "CREATE TABLE $privremenaTablica LIKE $tablica";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    
    $query = "ALTER TABLE $privremenaTablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_croatian_ci";
    //$query = "ALTER TABLE $privremenaTablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_bin";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
       
    foreach ($slogovi as $slog) {
        if($slog['datumIzmjene']=="0000-00-00 00:00:00")
            $slog['datumIzmjene']='';
        kopiraj_slog_tablice($privremenaTablica, $slog, $dbUtf);
        /*
        $values = implode("', '", $slog);    
        $query = "INSERT INTO `$privremenaTablica` VALUES('$values')";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
         */
    }
    
    $query = "SELECT * FROM $privremenaTablica";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
        $slogovi = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    if($prepisiIBrisi) {
        $query = "DROP TABLE if exists `$tablica`";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
            $statement->closeCursor();
        } catch (PDOException $e) {
            // $error_message = $e->getMessage();
            // display_db_error($error_message);
            ;
        }

        $query = "ALTER TABLE `$privremenaTablica` RENAME `$tablica`";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
            $statement->closeCursor();
        } catch (PDOException $e) {
            //$error_message = $e->getMessage();
            //display_db_error($error_message);
            ;
        }
    
    }
    return $slogovi;
}    

function kopiraj_slog_tablice($tablica, $slog, $db) {
    //global $db;
    //$email_user = $_SESSION['admin']['email'];
    $struktura  = get_struktura_tablice($tablica);
    $query = "INSERT INTO $tablica ";
    $dioPolja=$dioParametri='';
    foreach ($struktura as $strukturaPolja) {
        if(isset($slog[$strukturaPolja['COLUMN_NAME']])) {
            if($dioPolja!='') {
                $dioPolja.=",\n";
                $dioParametri.=",\n";
            }
            $dioPolja.=$strukturaPolja['COLUMN_NAME'];
            $dioParametri.=':'.$strukturaPolja['COLUMN_NAME'];
        }
    }
    //$dioPolja.="datumOtvaranja, \ntkoJeIzmjenio \n";
    //$dioParametri.="NOW(), \n:email_user \n";
    $query.="( \n".$dioPolja."\n)\n VALUES ( \n".$dioParametri."\n)\n";

    try {
        $statement = $db->prepare($query);
        foreach ($struktura as $strukturaPolja) {
            if(isset($slog[$strukturaPolja['COLUMN_NAME']])) {
                postavi_parametar($statement, $strukturaPolja['COLUMN_NAME'], $strukturaPolja['DATA_TYPE'], $strukturaPolja['IS_NULLABLE'], $slog[$strukturaPolja['COLUMN_NAME']]);
            }
        }

        //$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        var_dump($slog);
        //display_db_error($error_message);
    }
}

?>