<?php

include_once 'model/tablica_db.php';

$greska='';
$tipka='Prihvati';

$tablice = get_popis_tablica($db);

?>
<form action="." method="post" id="view_zag" name="view_zag"  >
<input type="hidden" name="action" value="korekcija_utf8" />
<h1>Korekcija utf8 upisa u bazi</h1>

Tablice:
<select name="tablica" >
<?php
    $lista='';
    $lista.='<option value="Sve"';
    if ('Sve' ==  $_POST['tablica']){
           $lista.=' selected="selected"';
     } 
    $lista.='>Cijela baza </option><br>';
    $i=0;
    $privremene=array();
    foreach ($tablice as $slog) {
        if($slog['TABLE_COLLATION']=='utf8_croatian_ci')
            continue;
	$privremena = strpos($slog[0], '_privr');
	if ($privremena === FALSE) {
            $lista.='<option value="'.$slog[0].'"';
            if ($slog[0] ==  $_POST['tablica']){
                   $lista.=' selected="selected"';
            } 
            $lista.='>'.$slog[0].' </option><br>';
        } 
        else {
            $privremene[]=$slog[0];
            unset($tablice[$i]);
        }
        $i++;
    }
    echo $lista;

?>
</select> 
<input type="checkbox" name="proba"  <?php if(isset($_POST['proba'])) echo 'checked="checked"'; ?>  /> Probno prepisivanje

&nbsp; &nbsp; &nbsp; &nbsp; 

<!--<input type="submit" value="Brisanje privremenit tablica" name="brisanje" />-->

<?php postaviTipkeUnosa('Prikaz', $greska) ; ?>

</form>

<?php
if(isset($_POST['tipka'])) {
    
    $query = "SHOW TABLES LIKE 'utf8_test'";
    $statement = $db->prepare($query);
    $statement->execute();
    $utf = $statement->fetchAll();
    $statement->closeCursor();
    if(count($utf)>0) {
        echo 'Baza je već prije korigirana';
        exit();
        
    }
    
    ini_set('memory_limit', '-1');
    ini_set('max_execution_time', 0);        
    
    $username=$_SESSION['username'];
    $password = 'a83bmi';
    $dbname = $_SESSION['odabranaBaza'];

    $dbUtf=konekcijaNaBazu($username, $password, $dbname);
    if($dbUtf===false) {
        echo 'Ne mogu se povezati na bazu';
        exit();
    } 

    if($_POST['tablica']!='Sve') {
        unset($tablice);
        $tablice[0]=$_POST['tablica'];
    }
    $sveTablice=$_POST['tablica']=='Sve' && !isset($_POST['proba']);

    foreach ($tablice as $tablica) {
        if(is_array($tablica)) {
            if($tablica['TABLE_COLLATION']=='utf8_croatian_ci') {
            echo 'Tablica '.$tablica[0].' je prepisana od prije.<br>';
                continue;
            }
            $t=$tablica[0];
        }      
        else
            $t=$tablica;
        echo 'Prepisujem '.$t.'<br>';
        $BrojSlogova=prepisi_tablicu($t, $db, $dbUtf, $sveTablice);
        echo $t.',  prepisano slogova:'.$BrojSlogova.' <br>';
    }
    /*
    echo '<h1> $db </h1>';
    show_character_set($db);
    echo '<h1> $dbUtf </h1>';
    show_character_set($dbUtf);
    */
    unset($dbUtf);

    if($sveTablice) {
        $baza=$_SESSION['odabranaBaza'];
        $query = "ALTER DATABASE $baza CHARACTER SET utf8 COLLATE utf8_croatian_ci";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
            $statement->closeCursor();
           
        } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
            ;
        }        

        $query = "CREATE TABLE `utf8_test` (`naziv` varchar(50), PRIMARY KEY (`naziv`))";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
            $statement->closeCursor();
           
        } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
            ;
        }        
    }
    //else    
        //prikaziUTablici($slogovi, $_POST['tablica'].'_privr');


}
else if(isset($_POST['brisanje'])) {
    foreach ($privremene as $privremenaTablica) {
        $query = "drop table if exists $privremenaTablica";
        try {
            $statement = $db->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        echo $privremenaTablica.' je obrisana. <br>';
    }
}

function  get_popis_tablica($db,$tablica='') {
    $query = "SELECT TABLE_NAME, TABLE_COLLATION,ENGINE
              FROM information_schema.`TABLES`
              WHERE TABLE_SCHEMA=database()
              AND (TABLE_NAME=:tablica OR trim(:tablica)='')";
    $statement = $db->prepare($query);
    $statement->bindValue(':tablica', $tablica);
    $statement->execute();
    if($tablica=='')
        $tablice = $statement->fetchAll();
    else
        $tablice = $statement->fetch();
    $statement->closeCursor();
    return $tablice;
    
}

function  show_character_set($db) {
    $query = "SHOW VARIABLES LIKE 'character_set%'";
    $statement = $db->prepare($query);
    $statement->execute();
    $tablice = $statement->fetchAll();
    $statement->closeCursor();
    prikaziUTablici($tablice, ' ');
    
    $query = "SHOW VARIABLES LIKE 'collation%'";
    $statement = $db->prepare($query);
    $statement->execute();
    $tablice = $statement->fetchAll();
    $statement->closeCursor();
    prikaziUTablici($tablice, ' ');
}

function  prepisi_tablicu($tablica,$db,$dbUtf, $prepisiIBrisi) {
  // /*
    
    if(isset($_POST['proba'])) {
        $privremenaTablica=$tablica.'_privr';
   
        $query = "drop table if exists $privremenaTablica";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        $query = "CREATE TABLE $privremenaTablica LIKE $tablica";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        $query = "INSERT $privremenaTablica SELECT * FROM $tablica";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        $tablica=$privremenaTablica;
    }
    
    $opisTablice=get_popis_tablica($db, $tablica);
    if($opisTablice['ENGINE']=='MyISAM') {
        $query = "ALTER TABLE $tablica ENGINE=InnoDB";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $dbUtf->rollBack();
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        
    }
    //*/
    $query = "
        SELECT COLUMN_NAME, DATA_TYPE, CHARACTER_SET_NAME, COLLATION_NAME
        FROM information_schema.`COLUMNS`
        WHERE TABLE_SCHEMA=database()
        AND TABLE_NAME='$tablica'
              " ;
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $struktura = $statement->fetchAll();
        $statement->closeCursor();
        //return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    $dbUtf->beginTransaction();
    $query = "SET NAMES utf8";
    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    if(isset($_POST['proba'])) 
        $query = "ALTER TABLE $tablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_bin";
    else
        $query = "ALTER TABLE $tablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_croatian_ci";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $dbUtf->rollBack();
        $error_message = $e->getMessage();
        $query = "ALTER TABLE $tablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci";
        $statement = $db->prepare($query);
        $statement->execute();
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    $query = "UPDATE $tablica \nSET\n";
    $dioPolja='';
    foreach ($struktura as $strukturaPolja) {
        if($strukturaPolja['DATA_TYPE']=='char' || $strukturaPolja['DATA_TYPE']=='varchar' || $strukturaPolja['DATA_TYPE']=='text') {
            $nazivPolja=$strukturaPolja['COLUMN_NAME'];
            $dioPolja.=$nazivPolja."=convert(cast(convert($nazivPolja using  latin1) as binary) using utf8),\n";
        }
    }
    $query.=substr($dioPolja,0,-2);
    //echo $query;

    try {
        $statement = $dbUtf->prepare($query);
        $statement->execute();
        $brojSlogova = $statement->rowCount();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $dbUtf->rollBack();
        $error_message = $e->getMessage().'<br> Tablicu '.$tablica.' je potrebno korigirati i ponoviti prepisivanje!';
        $query = "ALTER TABLE $tablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci";
        $statement = $db->prepare($query);
        $statement->execute();
        display_db_error($error_message);
    }
    if(!isset($_POST['proba'])) {
        $dbUtf->commit();
    }
    else {
        $query = "ALTER TABLE $tablica CONVERT TO CHARACTER SET utf8 COLLATE utf8_croatian_ci";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            //$dbUtf->rollBack();
            $dbUtf->rollBack();
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
       $dbUtf->rollBack();
        $query = "drop table if exists $privremenaTablica";
        try {
            $statement = $dbUtf->prepare($query);
            $statement->execute();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
    }
    return $brojSlogova;
}    


function kopiraj_slog_tablice($tablica, $slog, $db) {
    //global $db;
    //$email_user = $_SESSION['admin']['email'];
    $struktura  = get_struktura_tablice($tablica);
    $query = "INSERT INTO $tablica ";
    $dioPolja=$dioParametri='';
    foreach ($struktura as $strukturaPolja) {
        if(isset($slog[$strukturaPolja['COLUMN_NAME']])) {
            if($dioPolja!='') {
                $dioPolja.=",\n";
                $dioParametri.=",\n";
            }
            $dioPolja.=$strukturaPolja['COLUMN_NAME'];
            $dioParametri.=':'.$strukturaPolja['COLUMN_NAME'];
        }
    }
    //$dioPolja.="datumOtvaranja, \ntkoJeIzmjenio \n";
    //$dioParametri.="NOW(), \n:email_user \n";
    $query.="( \n".$dioPolja."\n)\n VALUES ( \n".$dioParametri."\n)\n";

    try {
        $statement = $db->prepare($query);
        foreach ($struktura as $strukturaPolja) {
            if(isset($slog[$strukturaPolja['COLUMN_NAME']])) {
                postavi_parametar($statement, $strukturaPolja['COLUMN_NAME'], $strukturaPolja['DATA_TYPE'], $strukturaPolja['IS_NULLABLE'], $slog[$strukturaPolja['COLUMN_NAME']]);
            }
        }

        //$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        var_dump($slog);
        //display_db_error($error_message);
    }
}

?>